#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 680
#define LARGE_STATE_COUNT 15
#define SYMBOL_COUNT 179
#define ALIAS_COUNT 10
#define TOKEN_COUNT 91
#define EXTERNAL_TOKEN_COUNT 4
#define FIELD_COUNT 7
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 27

enum ts_symbol_identifiers {
  anon_sym_ATimport = 1,
  anon_sym_COMMA = 2,
  anon_sym_SEMI = 3,
  anon_sym_ATmedia = 4,
  anon_sym_ATcharset = 5,
  anon_sym_ATnamespace = 6,
  anon_sym_ATkeyframes = 7,
  aux_sym_keyframes_statement_token1 = 8,
  anon_sym_LBRACE = 9,
  anon_sym_RBRACE = 10,
  anon_sym_from = 11,
  sym_to = 12,
  anon_sym_ATsupports = 13,
  sym_nesting_selector = 14,
  anon_sym_STAR = 15,
  anon_sym_DOT = 16,
  anon_sym_COLON_COLON = 17,
  anon_sym_POUND = 18,
  anon_sym_LBRACK = 19,
  anon_sym_EQ = 20,
  anon_sym_TILDE_EQ = 21,
  anon_sym_CARET_EQ = 22,
  anon_sym_PIPE_EQ = 23,
  anon_sym_STAR_EQ = 24,
  anon_sym_DOLLAR_EQ = 25,
  anon_sym_RBRACK = 26,
  anon_sym_GT = 27,
  anon_sym_TILDE = 28,
  anon_sym_PLUS = 29,
  anon_sym_PIPE = 30,
  anon_sym_LPAREN = 31,
  anon_sym_RPAREN = 32,
  anon_sym_COLON = 33,
  sym_important = 34,
  anon_sym_LPAREN2 = 35,
  anon_sym_and = 36,
  anon_sym_or = 37,
  anon_sym_not = 38,
  anon_sym_only = 39,
  anon_sym_selector = 40,
  aux_sym_color_value_token1 = 41,
  anon_sym_SQUOTE = 42,
  aux_sym_string_value_token1 = 43,
  anon_sym_DQUOTE = 44,
  aux_sym_string_value_token2 = 45,
  sym_escape_sequence = 46,
  aux_sym_integer_value_token1 = 47,
  aux_sym_float_value_token1 = 48,
  sym_unit = 49,
  anon_sym_LBRACK2 = 50,
  anon_sym_DASH = 51,
  anon_sym_SLASH = 52,
  anon_sym_EQ_EQ = 53,
  anon_sym_LT = 54,
  anon_sym_BANG_EQ = 55,
  anon_sym_LT_EQ = 56,
  anon_sym_GT_EQ = 57,
  sym_identifier = 58,
  sym_at_keyword = 59,
  sym_js_comment = 60,
  sym_comment = 61,
  sym_plain_value = 62,
  anon_sym_ATuse = 63,
  anon_sym_ATforward = 64,
  anon_sym_ATmixin = 65,
  anon_sym_ATinclude = 66,
  anon_sym_RPAREN2 = 67,
  anon_sym_ATfunction = 68,
  anon_sym_ATreturn = 69,
  anon_sym_ATextend = 70,
  anon_sym_ATerror = 71,
  anon_sym_ATwarn = 72,
  anon_sym_ATdebug = 73,
  anon_sym_ATat_DASHroot = 74,
  anon_sym_ATif = 75,
  anon_sym_ATelse = 76,
  anon_sym_if = 77,
  anon_sym_ATeach = 78,
  anon_sym_in = 79,
  anon_sym_ATfor = 80,
  anon_sym_through = 81,
  anon_sym_ATwhile = 82,
  anon_sym_POUND_LBRACE = 83,
  anon_sym_PERCENT = 84,
  anon_sym_DASH2 = 85,
  sym_variable = 86,
  sym__descendant_operator = 87,
  sym__pseudo_class_selector_colon = 88,
  sym___error_recovery = 89,
  sym__concat = 90,
  sym_stylesheet = 91,
  sym_import_statement = 92,
  sym_media_statement = 93,
  sym_charset_statement = 94,
  sym_namespace_statement = 95,
  sym_keyframes_statement = 96,
  sym_keyframe_block_list = 97,
  sym_keyframe_block = 98,
  sym_from = 99,
  sym_supports_statement = 100,
  sym_postcss_statement = 101,
  sym_at_rule = 102,
  sym_rule_set = 103,
  sym_selectors = 104,
  sym_block = 105,
  sym__selector = 106,
  sym_universal_selector = 107,
  sym_class_selector = 108,
  sym_pseudo_class_selector = 109,
  sym_pseudo_element_selector = 110,
  sym_id_selector = 111,
  sym_attribute_selector = 112,
  sym_child_selector = 113,
  sym_descendant_selector = 114,
  sym_sibling_selector = 115,
  sym_adjacent_sibling_selector = 116,
  sym_namespace_selector = 117,
  sym_pseudo_class_arguments = 118,
  sym_pseudo_element_arguments = 119,
  sym_declaration = 120,
  sym_last_declaration = 121,
  sym__query = 122,
  sym_feature_query = 123,
  sym_parenthesized_query = 124,
  sym_binary_query = 125,
  sym_unary_query = 126,
  sym_selector_query = 127,
  sym__value = 128,
  sym_parenthesized_value = 129,
  sym_color_value = 130,
  sym_string_value = 131,
  sym_integer_value = 132,
  sym_float_value = 133,
  sym_grid_value = 134,
  sym_call_expression = 135,
  sym_binary_expression = 136,
  sym_arguments = 137,
  sym_use_statement = 138,
  sym_forward_statement = 139,
  sym_mixin_statement = 140,
  sym_include_statement = 141,
  sym__include_arguments = 142,
  sym__include_argument = 143,
  sym_function_statement = 144,
  sym_parameters = 145,
  sym_parameter = 146,
  sym_return_statement = 147,
  sym_extend_statement = 148,
  sym_error_statement = 149,
  sym_warn_statement = 150,
  sym_debug_statement = 151,
  sym_at_root_statement = 152,
  sym_if_statement = 153,
  sym_else_if_clause = 154,
  sym_else_clause = 155,
  sym_each_statement = 156,
  sym_for_statement = 157,
  sym_while_statement = 158,
  sym_list_value = 159,
  sym_interpolation = 160,
  sym_placeholder = 161,
  sym__concatenated_identifier = 162,
  aux_sym_stylesheet_repeat1 = 163,
  aux_sym_import_statement_repeat1 = 164,
  aux_sym_keyframe_block_list_repeat1 = 165,
  aux_sym_postcss_statement_repeat1 = 166,
  aux_sym_selectors_repeat1 = 167,
  aux_sym_block_repeat1 = 168,
  aux_sym_pseudo_class_arguments_repeat1 = 169,
  aux_sym_declaration_repeat1 = 170,
  aux_sym_string_value_repeat1 = 171,
  aux_sym_string_value_repeat2 = 172,
  aux_sym_grid_value_repeat1 = 173,
  aux_sym_arguments_repeat1 = 174,
  aux_sym__include_arguments_repeat1 = 175,
  aux_sym_parameters_repeat1 = 176,
  aux_sym_if_statement_repeat1 = 177,
  aux_sym__concatenated_identifier_repeat1 = 178,
  alias_sym_attribute_name = 179,
  alias_sym_class_name = 180,
  alias_sym_feature_name = 181,
  alias_sym_function_name = 182,
  alias_sym_id_name = 183,
  alias_sym_keyframes_name = 184,
  alias_sym_keyword_query = 185,
  alias_sym_namespace_name = 186,
  alias_sym_property_name = 187,
  alias_sym_tag_name = 188,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_ATimport] = "@import",
  [anon_sym_COMMA] = ",",
  [anon_sym_SEMI] = ";",
  [anon_sym_ATmedia] = "@media",
  [anon_sym_ATcharset] = "@charset",
  [anon_sym_ATnamespace] = "@namespace",
  [anon_sym_ATkeyframes] = "@keyframes",
  [aux_sym_keyframes_statement_token1] = "at_keyword",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_from] = "from",
  [sym_to] = "to",
  [anon_sym_ATsupports] = "@supports",
  [sym_nesting_selector] = "nesting_selector",
  [anon_sym_STAR] = "*",
  [anon_sym_DOT] = ".",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_POUND] = "#",
  [anon_sym_LBRACK] = "[",
  [anon_sym_EQ] = "=",
  [anon_sym_TILDE_EQ] = "~=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_DOLLAR_EQ] = "$=",
  [anon_sym_RBRACK] = "]",
  [anon_sym_GT] = ">",
  [anon_sym_TILDE] = "~",
  [anon_sym_PLUS] = "+",
  [anon_sym_PIPE] = "|",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COLON] = ":",
  [sym_important] = "important",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_not] = "not",
  [anon_sym_only] = "only",
  [anon_sym_selector] = "selector",
  [aux_sym_color_value_token1] = "color_value_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_value_token1] = "string_content",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_value_token2] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_integer_value_token1] = "integer_value_token1",
  [aux_sym_float_value_token1] = "float_value_token1",
  [sym_unit] = "unit",
  [anon_sym_LBRACK2] = "[",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_LT] = "<",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [sym_identifier] = "identifier",
  [sym_at_keyword] = "at_keyword",
  [sym_js_comment] = "js_comment",
  [sym_comment] = "comment",
  [sym_plain_value] = "plain_value",
  [anon_sym_ATuse] = "@use",
  [anon_sym_ATforward] = "@forward",
  [anon_sym_ATmixin] = "@mixin",
  [anon_sym_ATinclude] = "@include",
  [anon_sym_RPAREN2] = ")",
  [anon_sym_ATfunction] = "@function",
  [anon_sym_ATreturn] = "@return",
  [anon_sym_ATextend] = "@extend",
  [anon_sym_ATerror] = "@error",
  [anon_sym_ATwarn] = "@warn",
  [anon_sym_ATdebug] = "@debug",
  [anon_sym_ATat_DASHroot] = "@at-root",
  [anon_sym_ATif] = "@if",
  [anon_sym_ATelse] = "@else",
  [anon_sym_if] = "if",
  [anon_sym_ATeach] = "@each",
  [anon_sym_in] = "in",
  [anon_sym_ATfor] = "@for",
  [anon_sym_through] = "through",
  [anon_sym_ATwhile] = "@while",
  [anon_sym_POUND_LBRACE] = "#{",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DASH2] = "identifier",
  [sym_variable] = "variable",
  [sym__descendant_operator] = "_descendant_operator",
  [sym__pseudo_class_selector_colon] = ":",
  [sym___error_recovery] = "__error_recovery",
  [sym__concat] = "_concat",
  [sym_stylesheet] = "stylesheet",
  [sym_import_statement] = "import_statement",
  [sym_media_statement] = "media_statement",
  [sym_charset_statement] = "charset_statement",
  [sym_namespace_statement] = "namespace_statement",
  [sym_keyframes_statement] = "keyframes_statement",
  [sym_keyframe_block_list] = "keyframe_block_list",
  [sym_keyframe_block] = "keyframe_block",
  [sym_from] = "from",
  [sym_supports_statement] = "supports_statement",
  [sym_postcss_statement] = "postcss_statement",
  [sym_at_rule] = "at_rule",
  [sym_rule_set] = "rule_set",
  [sym_selectors] = "selectors",
  [sym_block] = "block",
  [sym__selector] = "_selector",
  [sym_universal_selector] = "universal_selector",
  [sym_class_selector] = "class_selector",
  [sym_pseudo_class_selector] = "pseudo_class_selector",
  [sym_pseudo_element_selector] = "pseudo_element_selector",
  [sym_id_selector] = "id_selector",
  [sym_attribute_selector] = "attribute_selector",
  [sym_child_selector] = "child_selector",
  [sym_descendant_selector] = "descendant_selector",
  [sym_sibling_selector] = "sibling_selector",
  [sym_adjacent_sibling_selector] = "adjacent_sibling_selector",
  [sym_namespace_selector] = "namespace_selector",
  [sym_pseudo_class_arguments] = "arguments",
  [sym_pseudo_element_arguments] = "arguments",
  [sym_declaration] = "declaration",
  [sym_last_declaration] = "declaration",
  [sym__query] = "_query",
  [sym_feature_query] = "feature_query",
  [sym_parenthesized_query] = "parenthesized_query",
  [sym_binary_query] = "binary_query",
  [sym_unary_query] = "unary_query",
  [sym_selector_query] = "selector_query",
  [sym__value] = "_value",
  [sym_parenthesized_value] = "parenthesized_value",
  [sym_color_value] = "color_value",
  [sym_string_value] = "string_value",
  [sym_integer_value] = "integer_value",
  [sym_float_value] = "float_value",
  [sym_grid_value] = "grid_value",
  [sym_call_expression] = "call_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_arguments] = "arguments",
  [sym_use_statement] = "use_statement",
  [sym_forward_statement] = "forward_statement",
  [sym_mixin_statement] = "mixin_statement",
  [sym_include_statement] = "include_statement",
  [sym__include_arguments] = "arguments",
  [sym__include_argument] = "argument",
  [sym_function_statement] = "function_statement",
  [sym_parameters] = "parameters",
  [sym_parameter] = "parameter",
  [sym_return_statement] = "return_statement",
  [sym_extend_statement] = "extend_statement",
  [sym_error_statement] = "error_statement",
  [sym_warn_statement] = "warn_statement",
  [sym_debug_statement] = "debug_statement",
  [sym_at_root_statement] = "at_root_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_each_statement] = "each_statement",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_list_value] = "list_value",
  [sym_interpolation] = "interpolation",
  [sym_placeholder] = "placeholder",
  [sym__concatenated_identifier] = "_concatenated_identifier",
  [aux_sym_stylesheet_repeat1] = "stylesheet_repeat1",
  [aux_sym_import_statement_repeat1] = "import_statement_repeat1",
  [aux_sym_keyframe_block_list_repeat1] = "keyframe_block_list_repeat1",
  [aux_sym_postcss_statement_repeat1] = "postcss_statement_repeat1",
  [aux_sym_selectors_repeat1] = "selectors_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_pseudo_class_arguments_repeat1] = "pseudo_class_arguments_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_string_value_repeat1] = "string_value_repeat1",
  [aux_sym_string_value_repeat2] = "string_value_repeat2",
  [aux_sym_grid_value_repeat1] = "grid_value_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym__include_arguments_repeat1] = "_include_arguments_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym__concatenated_identifier_repeat1] = "_concatenated_identifier_repeat1",
  [alias_sym_attribute_name] = "attribute_name",
  [alias_sym_class_name] = "class_name",
  [alias_sym_feature_name] = "feature_name",
  [alias_sym_function_name] = "function_name",
  [alias_sym_id_name] = "id_name",
  [alias_sym_keyframes_name] = "keyframes_name",
  [alias_sym_keyword_query] = "keyword_query",
  [alias_sym_namespace_name] = "namespace_name",
  [alias_sym_property_name] = "property_name",
  [alias_sym_tag_name] = "tag_name",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_ATimport] = anon_sym_ATimport,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_ATmedia] = anon_sym_ATmedia,
  [anon_sym_ATcharset] = anon_sym_ATcharset,
  [anon_sym_ATnamespace] = anon_sym_ATnamespace,
  [anon_sym_ATkeyframes] = anon_sym_ATkeyframes,
  [aux_sym_keyframes_statement_token1] = sym_at_keyword,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_from] = anon_sym_from,
  [sym_to] = sym_to,
  [anon_sym_ATsupports] = anon_sym_ATsupports,
  [sym_nesting_selector] = sym_nesting_selector,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_TILDE_EQ] = anon_sym_TILDE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_DOLLAR_EQ] = anon_sym_DOLLAR_EQ,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COLON] = anon_sym_COLON,
  [sym_important] = sym_important,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_only] = anon_sym_only,
  [anon_sym_selector] = anon_sym_selector,
  [aux_sym_color_value_token1] = aux_sym_color_value_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_value_token1] = aux_sym_string_value_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_value_token2] = aux_sym_string_value_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_integer_value_token1] = aux_sym_integer_value_token1,
  [aux_sym_float_value_token1] = aux_sym_float_value_token1,
  [sym_unit] = sym_unit,
  [anon_sym_LBRACK2] = anon_sym_LBRACK,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [sym_identifier] = sym_identifier,
  [sym_at_keyword] = sym_at_keyword,
  [sym_js_comment] = sym_js_comment,
  [sym_comment] = sym_comment,
  [sym_plain_value] = sym_plain_value,
  [anon_sym_ATuse] = anon_sym_ATuse,
  [anon_sym_ATforward] = anon_sym_ATforward,
  [anon_sym_ATmixin] = anon_sym_ATmixin,
  [anon_sym_ATinclude] = anon_sym_ATinclude,
  [anon_sym_RPAREN2] = anon_sym_RPAREN,
  [anon_sym_ATfunction] = anon_sym_ATfunction,
  [anon_sym_ATreturn] = anon_sym_ATreturn,
  [anon_sym_ATextend] = anon_sym_ATextend,
  [anon_sym_ATerror] = anon_sym_ATerror,
  [anon_sym_ATwarn] = anon_sym_ATwarn,
  [anon_sym_ATdebug] = anon_sym_ATdebug,
  [anon_sym_ATat_DASHroot] = anon_sym_ATat_DASHroot,
  [anon_sym_ATif] = anon_sym_ATif,
  [anon_sym_ATelse] = anon_sym_ATelse,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_ATeach] = anon_sym_ATeach,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_ATfor] = anon_sym_ATfor,
  [anon_sym_through] = anon_sym_through,
  [anon_sym_ATwhile] = anon_sym_ATwhile,
  [anon_sym_POUND_LBRACE] = anon_sym_POUND_LBRACE,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DASH2] = sym_identifier,
  [sym_variable] = sym_variable,
  [sym__descendant_operator] = sym__descendant_operator,
  [sym__pseudo_class_selector_colon] = anon_sym_COLON,
  [sym___error_recovery] = sym___error_recovery,
  [sym__concat] = sym__concat,
  [sym_stylesheet] = sym_stylesheet,
  [sym_import_statement] = sym_import_statement,
  [sym_media_statement] = sym_media_statement,
  [sym_charset_statement] = sym_charset_statement,
  [sym_namespace_statement] = sym_namespace_statement,
  [sym_keyframes_statement] = sym_keyframes_statement,
  [sym_keyframe_block_list] = sym_keyframe_block_list,
  [sym_keyframe_block] = sym_keyframe_block,
  [sym_from] = sym_from,
  [sym_supports_statement] = sym_supports_statement,
  [sym_postcss_statement] = sym_postcss_statement,
  [sym_at_rule] = sym_at_rule,
  [sym_rule_set] = sym_rule_set,
  [sym_selectors] = sym_selectors,
  [sym_block] = sym_block,
  [sym__selector] = sym__selector,
  [sym_universal_selector] = sym_universal_selector,
  [sym_class_selector] = sym_class_selector,
  [sym_pseudo_class_selector] = sym_pseudo_class_selector,
  [sym_pseudo_element_selector] = sym_pseudo_element_selector,
  [sym_id_selector] = sym_id_selector,
  [sym_attribute_selector] = sym_attribute_selector,
  [sym_child_selector] = sym_child_selector,
  [sym_descendant_selector] = sym_descendant_selector,
  [sym_sibling_selector] = sym_sibling_selector,
  [sym_adjacent_sibling_selector] = sym_adjacent_sibling_selector,
  [sym_namespace_selector] = sym_namespace_selector,
  [sym_pseudo_class_arguments] = sym_arguments,
  [sym_pseudo_element_arguments] = sym_arguments,
  [sym_declaration] = sym_declaration,
  [sym_last_declaration] = sym_declaration,
  [sym__query] = sym__query,
  [sym_feature_query] = sym_feature_query,
  [sym_parenthesized_query] = sym_parenthesized_query,
  [sym_binary_query] = sym_binary_query,
  [sym_unary_query] = sym_unary_query,
  [sym_selector_query] = sym_selector_query,
  [sym__value] = sym__value,
  [sym_parenthesized_value] = sym_parenthesized_value,
  [sym_color_value] = sym_color_value,
  [sym_string_value] = sym_string_value,
  [sym_integer_value] = sym_integer_value,
  [sym_float_value] = sym_float_value,
  [sym_grid_value] = sym_grid_value,
  [sym_call_expression] = sym_call_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_arguments] = sym_arguments,
  [sym_use_statement] = sym_use_statement,
  [sym_forward_statement] = sym_forward_statement,
  [sym_mixin_statement] = sym_mixin_statement,
  [sym_include_statement] = sym_include_statement,
  [sym__include_arguments] = sym_arguments,
  [sym__include_argument] = sym__include_argument,
  [sym_function_statement] = sym_function_statement,
  [sym_parameters] = sym_parameters,
  [sym_parameter] = sym_parameter,
  [sym_return_statement] = sym_return_statement,
  [sym_extend_statement] = sym_extend_statement,
  [sym_error_statement] = sym_error_statement,
  [sym_warn_statement] = sym_warn_statement,
  [sym_debug_statement] = sym_debug_statement,
  [sym_at_root_statement] = sym_at_root_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_each_statement] = sym_each_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_list_value] = sym_list_value,
  [sym_interpolation] = sym_interpolation,
  [sym_placeholder] = sym_placeholder,
  [sym__concatenated_identifier] = sym__concatenated_identifier,
  [aux_sym_stylesheet_repeat1] = aux_sym_stylesheet_repeat1,
  [aux_sym_import_statement_repeat1] = aux_sym_import_statement_repeat1,
  [aux_sym_keyframe_block_list_repeat1] = aux_sym_keyframe_block_list_repeat1,
  [aux_sym_postcss_statement_repeat1] = aux_sym_postcss_statement_repeat1,
  [aux_sym_selectors_repeat1] = aux_sym_selectors_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_pseudo_class_arguments_repeat1] = aux_sym_pseudo_class_arguments_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_string_value_repeat1] = aux_sym_string_value_repeat1,
  [aux_sym_string_value_repeat2] = aux_sym_string_value_repeat2,
  [aux_sym_grid_value_repeat1] = aux_sym_grid_value_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym__include_arguments_repeat1] = aux_sym__include_arguments_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym__concatenated_identifier_repeat1] = aux_sym__concatenated_identifier_repeat1,
  [alias_sym_attribute_name] = alias_sym_attribute_name,
  [alias_sym_class_name] = alias_sym_class_name,
  [alias_sym_feature_name] = alias_sym_feature_name,
  [alias_sym_function_name] = alias_sym_function_name,
  [alias_sym_id_name] = alias_sym_id_name,
  [alias_sym_keyframes_name] = alias_sym_keyframes_name,
  [alias_sym_keyword_query] = alias_sym_keyword_query,
  [alias_sym_namespace_name] = alias_sym_namespace_name,
  [alias_sym_property_name] = alias_sym_property_name,
  [alias_sym_tag_name] = alias_sym_tag_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_ATimport] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATmedia] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATcharset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATnamespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATkeyframes] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_keyframes_statement_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [sym_to] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ATsupports] = {
    .visible = true,
    .named = false,
  },
  [sym_nesting_selector] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [sym_important] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_only] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_selector] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_color_value_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_value_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_value_token2] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_integer_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_float_value_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_at_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym_js_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_plain_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ATuse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATforward] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATmixin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATinclude] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATfunction] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATextend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATerror] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATwarn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATdebug] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATat_DASHroot] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATelse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATeach] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATfor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_through] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATwhile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH2] = {
    .visible = true,
    .named = true,
  },
  [sym_variable] = {
    .visible = true,
    .named = true,
  },
  [sym__descendant_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__pseudo_class_selector_colon] = {
    .visible = true,
    .named = false,
  },
  [sym___error_recovery] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_stylesheet] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_media_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_charset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_keyframes_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_keyframe_block_list] = {
    .visible = true,
    .named = true,
  },
  [sym_keyframe_block] = {
    .visible = true,
    .named = true,
  },
  [sym_from] = {
    .visible = true,
    .named = true,
  },
  [sym_supports_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_postcss_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_at_rule] = {
    .visible = true,
    .named = true,
  },
  [sym_rule_set] = {
    .visible = true,
    .named = true,
  },
  [sym_selectors] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__selector] = {
    .visible = false,
    .named = true,
  },
  [sym_universal_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_class_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_pseudo_class_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_pseudo_element_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_id_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_child_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_descendant_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_sibling_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_adjacent_sibling_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_pseudo_class_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_pseudo_element_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_last_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__query] = {
    .visible = false,
    .named = true,
  },
  [sym_feature_query] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_query] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_query] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_query] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_query] = {
    .visible = true,
    .named = true,
  },
  [sym__value] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_value] = {
    .visible = true,
    .named = true,
  },
  [sym_color_value] = {
    .visible = true,
    .named = true,
  },
  [sym_string_value] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_value] = {
    .visible = true,
    .named = true,
  },
  [sym_float_value] = {
    .visible = true,
    .named = true,
  },
  [sym_grid_value] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_use_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_forward_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_mixin_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_include_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__include_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__include_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_extend_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_error_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_warn_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debug_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_at_root_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_each_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_list_value] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym__concatenated_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_stylesheet_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyframe_block_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_postcss_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_selectors_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pseudo_class_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_value_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_grid_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__include_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__concatenated_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_class_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_feature_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_function_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_id_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_keyframes_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_keyword_query] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_tag_name] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_condition = 1,
  field_default = 2,
  field_from = 3,
  field_key = 4,
  field_name = 5,
  field_through = 6,
  field_value = 7,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_condition] = "condition",
  [field_default] = "default",
  [field_from] = "from",
  [field_key] = "key",
  [field_name] = "name",
  [field_through] = "through",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [10] = {.index = 0, .length = 1},
  [11] = {.index = 1, .length = 1},
  [17] = {.index = 2, .length = 1},
  [19] = {.index = 3, .length = 2},
  [20] = {.index = 5, .length = 1},
  [22] = {.index = 6, .length = 1},
  [23] = {.index = 7, .length = 2},
  [24] = {.index = 9, .length = 1},
  [25] = {.index = 10, .length = 2},
  [26] = {.index = 12, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1},
  [1] =
    {field_condition, 1},
  [2] =
    {field_value, 0},
  [3] =
    {field_name, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [5] =
    {field_value, 1},
  [6] =
    {field_default, 2},
  [7] =
    {field_name, 0},
    {field_value, 2},
  [9] =
    {field_condition, 2},
  [10] =
    {field_key, 1},
    {field_value, 3},
  [12] =
    {field_from, 3},
    {field_through, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_tag_name,
  },
  [2] = {
    [1] = alias_sym_class_name,
  },
  [3] = {
    [0] = sym_plain_value,
  },
  [4] = {
    [0] = alias_sym_keyword_query,
  },
  [5] = {
    [1] = alias_sym_tag_name,
  },
  [6] = {
    [1] = alias_sym_id_name,
  },
  [7] = {
    [0] = alias_sym_function_name,
  },
  [8] = {
    [1] = alias_sym_keyframes_name,
  },
  [9] = {
    [1] = alias_sym_attribute_name,
  },
  [12] = {
    [2] = alias_sym_class_name,
  },
  [13] = {
    [2] = alias_sym_tag_name,
  },
  [14] = {
    [2] = alias_sym_id_name,
  },
  [15] = {
    [1] = alias_sym_namespace_name,
  },
  [16] = {
    [0] = alias_sym_property_name,
  },
  [18] = {
    [2] = alias_sym_attribute_name,
  },
  [21] = {
    [1] = alias_sym_feature_name,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_namespace_selector, 2,
    sym_namespace_selector,
    alias_sym_attribute_name,
  sym__concatenated_identifier, 4,
    sym__concatenated_identifier,
    alias_sym_class_name,
    alias_sym_property_name,
    alias_sym_tag_name,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 5,
  [7] = 4,
  [8] = 4,
  [9] = 5,
  [10] = 4,
  [11] = 5,
  [12] = 5,
  [13] = 4,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 18,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 21,
  [25] = 20,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 22,
  [32] = 27,
  [33] = 33,
  [34] = 33,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 28,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 30,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 29,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 26,
  [81] = 29,
  [82] = 28,
  [83] = 30,
  [84] = 84,
  [85] = 67,
  [86] = 58,
  [87] = 62,
  [88] = 55,
  [89] = 76,
  [90] = 40,
  [91] = 43,
  [92] = 46,
  [93] = 47,
  [94] = 51,
  [95] = 63,
  [96] = 64,
  [97] = 68,
  [98] = 69,
  [99] = 70,
  [100] = 71,
  [101] = 72,
  [102] = 73,
  [103] = 74,
  [104] = 75,
  [105] = 30,
  [106] = 78,
  [107] = 59,
  [108] = 36,
  [109] = 37,
  [110] = 38,
  [111] = 41,
  [112] = 42,
  [113] = 35,
  [114] = 44,
  [115] = 45,
  [116] = 48,
  [117] = 49,
  [118] = 50,
  [119] = 53,
  [120] = 54,
  [121] = 56,
  [122] = 57,
  [123] = 79,
  [124] = 60,
  [125] = 29,
  [126] = 28,
  [127] = 77,
  [128] = 128,
  [129] = 128,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 142,
  [144] = 142,
  [145] = 145,
  [146] = 142,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 132,
  [154] = 133,
  [155] = 135,
  [156] = 131,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 134,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 135,
  [169] = 158,
  [170] = 170,
  [171] = 161,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 140,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 132,
  [180] = 180,
  [181] = 181,
  [182] = 133,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 183,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 177,
  [191] = 131,
  [192] = 192,
  [193] = 177,
  [194] = 139,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 177,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 135,
  [207] = 134,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 223,
  [231] = 210,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 211,
  [236] = 236,
  [237] = 223,
  [238] = 238,
  [239] = 223,
  [240] = 240,
  [241] = 241,
  [242] = 223,
  [243] = 243,
  [244] = 240,
  [245] = 213,
  [246] = 217,
  [247] = 224,
  [248] = 238,
  [249] = 227,
  [250] = 228,
  [251] = 229,
  [252] = 232,
  [253] = 233,
  [254] = 234,
  [255] = 211,
  [256] = 256,
  [257] = 241,
  [258] = 215,
  [259] = 259,
  [260] = 243,
  [261] = 220,
  [262] = 221,
  [263] = 222,
  [264] = 211,
  [265] = 256,
  [266] = 241,
  [267] = 211,
  [268] = 256,
  [269] = 241,
  [270] = 211,
  [271] = 211,
  [272] = 211,
  [273] = 211,
  [274] = 256,
  [275] = 84,
  [276] = 276,
  [277] = 130,
  [278] = 276,
  [279] = 139,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 140,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 141,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 141,
  [302] = 132,
  [303] = 131,
  [304] = 133,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 136,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 134,
  [319] = 135,
  [320] = 320,
  [321] = 138,
  [322] = 322,
  [323] = 135,
  [324] = 132,
  [325] = 149,
  [326] = 133,
  [327] = 149,
  [328] = 132,
  [329] = 131,
  [330] = 133,
  [331] = 331,
  [332] = 131,
  [333] = 333,
  [334] = 135,
  [335] = 192,
  [336] = 336,
  [337] = 134,
  [338] = 286,
  [339] = 165,
  [340] = 166,
  [341] = 140,
  [342] = 139,
  [343] = 287,
  [344] = 344,
  [345] = 134,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 288,
  [351] = 185,
  [352] = 140,
  [353] = 196,
  [354] = 188,
  [355] = 176,
  [356] = 187,
  [357] = 178,
  [358] = 192,
  [359] = 180,
  [360] = 195,
  [361] = 196,
  [362] = 184,
  [363] = 197,
  [364] = 181,
  [365] = 197,
  [366] = 165,
  [367] = 166,
  [368] = 140,
  [369] = 195,
  [370] = 320,
  [371] = 181,
  [372] = 315,
  [373] = 187,
  [374] = 176,
  [375] = 178,
  [376] = 180,
  [377] = 139,
  [378] = 188,
  [379] = 184,
  [380] = 185,
  [381] = 139,
  [382] = 317,
  [383] = 383,
  [384] = 384,
  [385] = 145,
  [386] = 141,
  [387] = 383,
  [388] = 133,
  [389] = 131,
  [390] = 390,
  [391] = 391,
  [392] = 346,
  [393] = 347,
  [394] = 348,
  [395] = 349,
  [396] = 344,
  [397] = 391,
  [398] = 149,
  [399] = 399,
  [400] = 400,
  [401] = 132,
  [402] = 402,
  [403] = 134,
  [404] = 135,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 166,
  [409] = 405,
  [410] = 406,
  [411] = 411,
  [412] = 412,
  [413] = 405,
  [414] = 406,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 412,
  [419] = 402,
  [420] = 405,
  [421] = 165,
  [422] = 422,
  [423] = 406,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 165,
  [428] = 428,
  [429] = 426,
  [430] = 139,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 435,
  [439] = 434,
  [440] = 432,
  [441] = 436,
  [442] = 431,
  [443] = 184,
  [444] = 433,
  [445] = 196,
  [446] = 185,
  [447] = 188,
  [448] = 428,
  [449] = 197,
  [450] = 176,
  [451] = 178,
  [452] = 180,
  [453] = 181,
  [454] = 166,
  [455] = 455,
  [456] = 456,
  [457] = 187,
  [458] = 140,
  [459] = 459,
  [460] = 192,
  [461] = 195,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 466,
  [473] = 473,
  [474] = 466,
  [475] = 466,
  [476] = 466,
  [477] = 477,
  [478] = 466,
  [479] = 466,
  [480] = 466,
  [481] = 466,
  [482] = 469,
  [483] = 465,
  [484] = 467,
  [485] = 470,
  [486] = 486,
  [487] = 468,
  [488] = 471,
  [489] = 473,
  [490] = 462,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 492,
  [495] = 495,
  [496] = 491,
  [497] = 493,
  [498] = 498,
  [499] = 498,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 501,
  [504] = 504,
  [505] = 505,
  [506] = 135,
  [507] = 507,
  [508] = 508,
  [509] = 500,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 512,
  [514] = 514,
  [515] = 511,
  [516] = 514,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 523,
  [525] = 525,
  [526] = 526,
  [527] = 519,
  [528] = 520,
  [529] = 521,
  [530] = 522,
  [531] = 526,
  [532] = 532,
  [533] = 525,
  [534] = 526,
  [535] = 519,
  [536] = 520,
  [537] = 521,
  [538] = 522,
  [539] = 519,
  [540] = 540,
  [541] = 526,
  [542] = 519,
  [543] = 520,
  [544] = 521,
  [545] = 522,
  [546] = 526,
  [547] = 526,
  [548] = 519,
  [549] = 520,
  [550] = 521,
  [551] = 522,
  [552] = 520,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 519,
  [557] = 557,
  [558] = 29,
  [559] = 518,
  [560] = 540,
  [561] = 561,
  [562] = 521,
  [563] = 520,
  [564] = 525,
  [565] = 565,
  [566] = 521,
  [567] = 522,
  [568] = 28,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 555,
  [573] = 573,
  [574] = 525,
  [575] = 575,
  [576] = 575,
  [577] = 526,
  [578] = 554,
  [579] = 30,
  [580] = 571,
  [581] = 522,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 583,
  [588] = 585,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 585,
  [593] = 583,
  [594] = 585,
  [595] = 584,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 590,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 601,
  [604] = 604,
  [605] = 605,
  [606] = 583,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 611,
  [618] = 618,
  [619] = 610,
  [620] = 615,
  [621] = 621,
  [622] = 612,
  [623] = 621,
  [624] = 616,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 165,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 637,
  [640] = 640,
  [641] = 638,
  [642] = 642,
  [643] = 643,
  [644] = 638,
  [645] = 634,
  [646] = 638,
  [647] = 631,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 637,
  [653] = 635,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 650,
  [659] = 657,
  [660] = 660,
  [661] = 661,
  [662] = 636,
  [663] = 663,
  [664] = 664,
  [665] = 631,
  [666] = 631,
  [667] = 637,
  [668] = 668,
  [669] = 654,
  [670] = 631,
  [671] = 632,
  [672] = 664,
  [673] = 638,
  [674] = 649,
  [675] = 661,
  [676] = 676,
  [677] = 648,
  [678] = 633,
  [679] = 656,
};

static TSCharacterRange sym_plain_value_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'"', '\''}, {'+', '+'}, {'-', ':'}, {'<', 'Z'}, {'\\', '\\'}, {'^', 'z'},
  {'|', '|'}, {'~', 0x10ffff},
};

static TSCharacterRange sym_plain_value_character_set_2[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'"', '\''}, {'*', '+'}, {'-', ':'}, {'<', 'Z'}, {'\\', '\\'}, {'^', 'z'},
  {'|', '|'}, {'~', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(117);
      ADVANCE_MAP(
        '!', 55,
        '"', 195,
        '#', 137,
        '$', 56,
        '%', 423,
        '&', 131,
        '\'', 189,
        '(', 155,
        ')', 404,
        '*', 132,
        '+', 151,
        ',', 119,
        '-', 424,
        '.', 133,
        '/', 240,
        ':', 158,
        ';', 120,
        '<', 243,
        '=', 140,
        '>', 148,
        '@', 60,
        '[', 138,
        '\\', 106,
        ']', 146,
        '^', 58,
        'a', 80,
        'f', 93,
        'i', 69,
        'n', 83,
        'o', 81,
        's', 68,
        't', 72,
        '{', 126,
        '|', 154,
        '}', 127,
        '~', 150,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'e')) ADVANCE(108);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1);
      if (lookahead == '"') ADVANCE(195);
      if (lookahead == '/') ADVANCE(196);
      if (lookahead == '\\') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(199);
      if (lookahead != 0) ADVANCE(200);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(2);
      if (lookahead == '\'') ADVANCE(189);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead == '\\') ADVANCE(106);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(193);
      if (lookahead != 0) ADVANCE(194);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 55,
        '"', 195,
        '#', 137,
        '$', 109,
        '%', 235,
        '&', 131,
        '\'', 189,
        '(', 160,
        ')', 156,
        '*', 132,
        '+', 152,
        ',', 119,
        '-', 238,
        '.', 103,
        '/', 241,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        '[', 236,
        '_', 247,
        '}', 127,
        'E', 226,
        'e', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(227);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 55,
        '"', 195,
        '#', 137,
        '$', 109,
        '&', 131,
        '\'', 189,
        '(', 155,
        ')', 156,
        '*', 132,
        '+', 152,
        ',', 119,
        '-', 238,
        '.', 134,
        '/', 241,
        ':', 53,
        '<', 243,
        '=', 57,
        '>', 148,
        '[', 138,
        '_', 247,
        '|', 153,
        '~', 149,
        'E', 248,
        'e', 248,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 55,
        '"', 195,
        '#', 137,
        '$', 109,
        '&', 131,
        '\'', 189,
        '(', 155,
        ')', 156,
        '*', 132,
        '+', 152,
        ',', 119,
        '-', 238,
        '.', 103,
        '/', 241,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        '[', 236,
        '_', 247,
        '}', 127,
        'E', 248,
        'e', 248,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 55,
        '"', 195,
        '#', 137,
        '$', 109,
        '&', 131,
        '\'', 189,
        '(', 155,
        '*', 132,
        '+', 152,
        ',', 119,
        '-', 238,
        '.', 103,
        '/', 241,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        '[', 236,
        '_', 247,
        'a', 258,
        'o', 262,
        '{', 126,
        'E', 248,
        'e', 248,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 55,
        '"', 195,
        '#', 137,
        '$', 109,
        '&', 131,
        '\'', 189,
        '(', 160,
        ')', 156,
        '*', 132,
        '+', 152,
        ',', 119,
        '-', 238,
        '.', 134,
        '/', 241,
        ':', 53,
        '<', 243,
        '=', 57,
        '>', 148,
        '[', 138,
        '_', 247,
        '|', 153,
        '~', 149,
        'E', 248,
        'e', 248,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 55,
        '"', 195,
        '#', 137,
        '$', 109,
        '&', 131,
        '\'', 189,
        '(', 160,
        ')', 156,
        '*', 132,
        '+', 152,
        ',', 119,
        '-', 238,
        '.', 103,
        '/', 241,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        '[', 236,
        '_', 247,
        '}', 127,
        'E', 248,
        'e', 248,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 55,
        '"', 195,
        '#', 137,
        '$', 109,
        '&', 131,
        '\'', 189,
        '(', 160,
        '*', 132,
        '+', 152,
        ',', 119,
        '-', 238,
        '.', 103,
        '/', 241,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        '[', 236,
        '_', 247,
        'a', 258,
        'o', 262,
        '{', 126,
        'E', 248,
        'e', 248,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 74,
        '"', 195,
        '#', 137,
        '$', 109,
        '%', 423,
        '&', 131,
        '\'', 189,
        '(', 160,
        ')', 156,
        '*', 132,
        '+', 46,
        '-', 45,
        '.', 134,
        '/', 39,
        ':', 53,
        '[', 138,
        '_', 247,
        'E', 248,
        'e', 248,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 74,
        '"', 195,
        '#', 137,
        '$', 109,
        '&', 131,
        '\'', 189,
        '(', 160,
        ')', 156,
        '+', 46,
        ',', 119,
        '-', 45,
        '.', 103,
        '/', 39,
        ';', 120,
        '[', 236,
        '_', 247,
        '}', 127,
        'E', 248,
        'e', 248,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 74,
        '"', 195,
        '#', 137,
        '$', 109,
        '&', 131,
        '\'', 189,
        '(', 160,
        '+', 46,
        '-', 45,
        '.', 103,
        '/', 39,
        ';', 120,
        '[', 236,
        '_', 247,
        'n', 259,
        'o', 257,
        's', 254,
        '{', 126,
        'E', 248,
        'e', 248,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 54,
        '#', 137,
        '&', 131,
        '*', 132,
        '+', 151,
        '-', 239,
        '.', 133,
        '/', 240,
        ':', 53,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        '[', 138,
        '|', 153,
        '~', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 54,
        '#', 136,
        '&', 131,
        '(', 155,
        ')', 156,
        '*', 132,
        '+', 151,
        ',', 119,
        '-', 237,
        '.', 133,
        '/', 240,
        ':', 158,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        '[', 138,
        ']', 146,
        'a', 79,
        'o', 90,
        't', 71,
        '{', 126,
        '|', 153,
        '}', 127,
        '~', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 54,
        '#', 136,
        '&', 131,
        ')', 156,
        '*', 132,
        '+', 151,
        ',', 119,
        '-', 237,
        '.', 133,
        '/', 240,
        ':', 158,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        '[', 138,
        ']', 146,
        'a', 79,
        'o', 90,
        't', 71,
        '{', 126,
        '|', 153,
        '}', 127,
        '~', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 54,
        '#', 102,
        '%', 235,
        '(', 160,
        '*', 132,
        '+', 151,
        '-', 239,
        '/', 240,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        'n', 219,
        'o', 218,
        's', 215,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 54,
        '#', 102,
        '(', 155,
        '*', 132,
        '+', 151,
        '-', 239,
        '/', 240,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        'n', 276,
        'o', 275,
        's', 272,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 54,
        '#', 102,
        '(', 160,
        '*', 132,
        '+', 151,
        '-', 239,
        '/', 240,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        'n', 276,
        'o', 275,
        's', 272,
        '{', 126,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 54,
        '#', 102,
        '(', 160,
        '*', 132,
        '+', 151,
        '-', 239,
        '/', 240,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        'n', 276,
        'o', 275,
        's', 272,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 54,
        '(', 155,
        ')', 404,
        '*', 132,
        '+', 151,
        ',', 119,
        '-', 237,
        '/', 240,
        ':', 157,
        '<', 243,
        '=', 57,
        '>', 148,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(235);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 54,
        ')', 156,
        '*', 132,
        '+', 151,
        ',', 119,
        '-', 237,
        '/', 240,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        ']', 146,
        '{', 126,
        '}', 127,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 54,
        ')', 156,
        '*', 132,
        '+', 151,
        ',', 119,
        '-', 237,
        '/', 240,
        ';', 120,
        '<', 243,
        '=', 57,
        '>', 148,
        ']', 146,
        '{', 126,
        '}', 127,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(235);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 54,
        '*', 132,
        '+', 151,
        ',', 119,
        '-', 237,
        '/', 240,
        ':', 157,
        '<', 243,
        '=', 57,
        '>', 148,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 54,
        '*', 132,
        '+', 151,
        '-', 237,
        '/', 240,
        '<', 243,
        '=', 57,
        '>', 148,
        't', 230,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(235);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 54,
        '*', 132,
        '+', 151,
        '-', 237,
        '/', 240,
        '<', 243,
        '=', 57,
        '>', 148,
        't', 71,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '"', 195,
        '#', 137,
        '$', 109,
        '%', 423,
        '&', 131,
        '\'', 189,
        '(', 160,
        ')', 404,
        '*', 132,
        ',', 119,
        '-', 110,
        '.', 133,
        '/', 38,
        ':', 53,
        '@', 63,
        '[', 138,
        '{', 126,
        '}', 127,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(250);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '"', 195,
        '#', 137,
        '$', 109,
        '%', 423,
        '&', 131,
        '\'', 189,
        '(', 160,
        '*', 132,
        ',', 119,
        '-', 110,
        '.', 133,
        '/', 38,
        ':', 53,
        '@', 63,
        '[', 138,
        '{', 126,
        '}', 127,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(250);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '"', 195,
        '#', 137,
        '$', 109,
        '%', 423,
        '&', 131,
        '\'', 189,
        '*', 132,
        '-', 110,
        '.', 133,
        '/', 38,
        ':', 53,
        '@', 61,
        '[', 138,
        '}', 127,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(250);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '"', 195,
        '#', 137,
        '%', 423,
        '&', 131,
        '\'', 189,
        ')', 156,
        '*', 132,
        '+', 151,
        ',', 119,
        '-', 110,
        '.', 133,
        '/', 38,
        ':', 53,
        '>', 147,
        '[', 138,
        '{', 126,
        '|', 153,
        '~', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '"', 195,
        '#', 137,
        '%', 423,
        '&', 131,
        '\'', 189,
        ')', 156,
        '*', 132,
        '+', 151,
        ',', 119,
        '-', 425,
        '.', 133,
        '/', 38,
        ':', 53,
        '>', 147,
        '[', 138,
        '{', 126,
        '|', 153,
        '~', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 31:
      if (lookahead == '"') ADVANCE(195);
      if (lookahead == '\'') ADVANCE(189);
      if (lookahead == '(') ADVANCE(155);
      if (lookahead == '-') ADVANCE(51);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '_') ADVANCE(267);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 32:
      if (lookahead == '"') ADVANCE(195);
      if (lookahead == '\'') ADVANCE(189);
      if (lookahead == '-') ADVANCE(51);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '_') ADVANCE(267);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '#', 137,
        '$', 56,
        '&', 131,
        '(', 155,
        ')', 156,
        '*', 59,
        '+', 151,
        ',', 119,
        '-', 110,
        '.', 133,
        '/', 38,
        ':', 53,
        ';', 120,
        '=', 139,
        '>', 147,
        '[', 138,
        ']', 146,
        '^', 58,
        '{', 126,
        '|', 154,
        '~', 150,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '#', 137,
        '$', 56,
        '&', 131,
        ')', 156,
        '*', 59,
        '+', 151,
        ',', 119,
        '-', 110,
        '.', 133,
        '/', 38,
        ':', 53,
        ';', 120,
        '=', 139,
        '>', 147,
        '[', 138,
        ']', 146,
        '^', 58,
        '{', 126,
        '|', 154,
        '~', 150,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 35:
      if (lookahead == '#') ADVANCE(102);
      if (lookahead == '(') ADVANCE(160);
      if (lookahead == '-') ADVANCE(110);
      if (lookahead == '/') ADVANCE(38);
      if (lookahead == 'n') ADVANCE(276);
      if (lookahead == 'o') ADVANCE(275);
      if (lookahead == 's') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 36:
      if (lookahead == '$') ADVANCE(109);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        ')', 156,
        ',', 119,
        '/', 38,
        ':', 157,
        ';', 120,
        'a', 79,
        'f', 92,
        'i', 69,
        'o', 90,
        't', 84,
        '{', 126,
        '}', 127,
        '+', 105,
        '-', 105,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(209);
      END_STATE();
    case 38:
      if (lookahead == '*') ADVANCE(41);
      if (lookahead == '/') ADVANCE(393);
      END_STATE();
    case 39:
      if (lookahead == '*') ADVANCE(41);
      if (lookahead == '/') ADVANCE(390);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(52);
      END_STATE();
    case 40:
      if (lookahead == '*') ADVANCE(40);
      if (lookahead == '/') ADVANCE(394);
      if (lookahead != 0) ADVANCE(41);
      END_STATE();
    case 41:
      if (lookahead == '*') ADVANCE(40);
      if (lookahead != 0) ADVANCE(41);
      END_STATE();
    case 42:
      if (lookahead == '-') ADVANCE(110);
      if (lookahead == '/') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(283);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 43:
      if (lookahead == '-') ADVANCE(110);
      if (lookahead == '/') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 44:
      if (lookahead == '-') ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(212);
      END_STATE();
    case 45:
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == '/') ADVANCE(111);
      if (lookahead == '-' ||
          lookahead == '_') ADVANCE(267);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 46:
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      END_STATE();
    case 47:
      if (lookahead == '/') ADVANCE(38);
      if (lookahead == '{') ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      END_STATE();
    case 48:
      if (lookahead == '/') ADVANCE(38);
      if (lookahead == '{') ADVANCE(126);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(235);
      END_STATE();
    case 49:
      if (lookahead == '/') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      END_STATE();
    case 50:
      if (lookahead == '/') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 51:
      if (lookahead == '/') ADVANCE(111);
      if (lookahead == '-' ||
          lookahead == '_') ADVANCE(267);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 52:
      if (lookahead == '/') ADVANCE(111);
      if (lookahead == '-' ||
          lookahead == '_') ADVANCE(52);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(398);
      END_STATE();
    case 53:
      if (lookahead == ':') ADVANCE(135);
      END_STATE();
    case 54:
      if (lookahead == '=') ADVANCE(244);
      END_STATE();
    case 55:
      if (lookahead == '=') ADVANCE(244);
      if (lookahead == 'i') ADVANCE(77);
      END_STATE();
    case 56:
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 57:
      if (lookahead == '=') ADVANCE(242);
      END_STATE();
    case 58:
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 59:
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        'a', 373,
        'c', 325,
        'd', 305,
        'e', 286,
        'f', 341,
        'i', 320,
        'k', 306,
        'm', 307,
        'n', 288,
        'r', 314,
        's', 382,
        'u', 370,
        'w', 290,
      );
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        'a', 373,
        'c', 325,
        'd', 305,
        'e', 286,
        'f', 348,
        'i', 320,
        'k', 306,
        'm', 307,
        'n', 288,
        'r', 314,
        's', 382,
        'w', 290,
      );
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        'a', 373,
        'c', 325,
        'd', 305,
        'e', 287,
        'f', 341,
        'i', 320,
        'k', 306,
        'm', 307,
        'n', 288,
        'r', 314,
        's', 382,
        'u', 370,
        'w', 290,
      );
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        'a', 373,
        'c', 325,
        'd', 305,
        'e', 287,
        'f', 348,
        'i', 320,
        'k', 306,
        'm', 307,
        'n', 288,
        'r', 314,
        's', 382,
        'w', 290,
      );
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(99);
      END_STATE();
    case 66:
      if (lookahead == 'd') ADVANCE(161);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(76);
      END_STATE();
    case 69:
      if (lookahead == 'f') ADVANCE(414);
      if (lookahead == 'n') ADVANCE(416);
      END_STATE();
    case 70:
      if (lookahead == 'g') ADVANCE(73);
      END_STATE();
    case 71:
      if (lookahead == 'h') ADVANCE(94);
      END_STATE();
    case 72:
      if (lookahead == 'h') ADVANCE(94);
      if (lookahead == 'o') ADVANCE(129);
      END_STATE();
    case 73:
      if (lookahead == 'h') ADVANCE(419);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(77);
      END_STATE();
    case 75:
      if (lookahead == 'l') ADVANCE(101);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(67);
      END_STATE();
    case 77:
      if (lookahead == 'm') ADVANCE(89);
      END_STATE();
    case 78:
      if (lookahead == 'm') ADVANCE(128);
      END_STATE();
    case 79:
      if (lookahead == 'n') ADVANCE(66);
      END_STATE();
    case 80:
      if (lookahead == 'n') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(75);
      if (lookahead == 'r') ADVANCE(163);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 83:
      if (lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 84:
      if (lookahead == 'o') ADVANCE(129);
      END_STATE();
    case 85:
      if (lookahead == 'o') ADVANCE(100);
      END_STATE();
    case 86:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 87:
      if (lookahead == 'o') ADVANCE(95);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 89:
      if (lookahead == 'p') ADVANCE(87);
      END_STATE();
    case 90:
      if (lookahead == 'r') ADVANCE(163);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(173);
      END_STATE();
    case 92:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 93:
      if (lookahead == 'r') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 94:
      if (lookahead == 'r') ADVANCE(85);
      END_STATE();
    case 95:
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 96:
      if (lookahead == 't') ADVANCE(165);
      END_STATE();
    case 97:
      if (lookahead == 't') ADVANCE(64);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(159);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 100:
      if (lookahead == 'u') ADVANCE(70);
      END_STATE();
    case 101:
      if (lookahead == 'y') ADVANCE(169);
      END_STATE();
    case 102:
      if (lookahead == '{') ADVANCE(422);
      END_STATE();
    case 103:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(211);
      END_STATE();
    case 104:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(212);
      END_STATE();
    case 105:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(209);
      END_STATE();
    case 106:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(207);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(201);
      END_STATE();
    case 107:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(186);
      END_STATE();
    case 108:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 109:
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(426);
      END_STATE();
    case 110:
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 111:
      if ((!eof && set_contains(sym_plain_value_character_set_1, 10, lookahead))) ADVANCE(52);
      END_STATE();
    case 112:
      if ((!eof && set_contains(sym_plain_value_character_set_1, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 113:
      if (eof) ADVANCE(117);
      ADVANCE_MAP(
        '!', 55,
        '"', 195,
        '#', 137,
        '$', 56,
        '%', 423,
        '&', 131,
        '\'', 189,
        '(', 160,
        ')', 156,
        '*', 132,
        '+', 151,
        ',', 119,
        '-', 237,
        '.', 133,
        '/', 240,
        ':', 158,
        ';', 120,
        '<', 243,
        '=', 140,
        '>', 148,
        '@', 60,
        '[', 138,
        '\\', 106,
        ']', 146,
        '^', 58,
        'a', 79,
        'f', 92,
        'i', 69,
        'n', 83,
        'o', 81,
        's', 68,
        't', 72,
        '{', 126,
        '|', 154,
        '}', 127,
        '~', 150,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      END_STATE();
    case 114:
      if (eof) ADVANCE(117);
      ADVANCE_MAP(
        '"', 195,
        '#', 137,
        '$', 109,
        '%', 423,
        '&', 131,
        '\'', 189,
        '(', 155,
        ')', 156,
        '*', 132,
        '+', 151,
        ',', 119,
        '-', 110,
        '.', 133,
        '/', 38,
        ':', 158,
        ';', 120,
        '>', 147,
        '@', 62,
        '[', 138,
        ']', 146,
        '{', 126,
        '|', 153,
        '}', 127,
        '~', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(250);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 115:
      if (eof) ADVANCE(117);
      ADVANCE_MAP(
        '"', 195,
        '#', 137,
        '$', 109,
        '%', 423,
        '&', 131,
        '\'', 189,
        ')', 156,
        '*', 132,
        '+', 151,
        ',', 119,
        '-', 110,
        '.', 133,
        '/', 38,
        ':', 158,
        ';', 120,
        '>', 147,
        '@', 62,
        '[', 138,
        ']', 146,
        '{', 126,
        '|', 153,
        '}', 127,
        '~', 149,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(250);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 116:
      if (eof) ADVANCE(117);
      ADVANCE_MAP(
        '"', 195,
        '#', 137,
        '$', 109,
        '%', 423,
        '&', 131,
        '\'', 189,
        '*', 132,
        '-', 110,
        '.', 133,
        '/', 38,
        ':', 53,
        '@', 60,
        '[', 138,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(250);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_ATimport);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_ATmedia);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_ATcharset);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_ATnamespace);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_ATkeyframes);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_keyframes_statement_token1);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_to);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_ATsupports);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_nesting_selector);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(211);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '{') ADVANCE(422);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(242);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_TILDE_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_DOLLAR_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(246);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(135);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_important);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '%') ADVANCE(235);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_only);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_only);
      if (lookahead == '%') ADVANCE(235);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_only);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_only);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_selector);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_selector);
      if (lookahead == '%') ADVANCE(235);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_selector);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_selector);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_color_value_token1);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_color_value_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(177);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_color_value_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(188);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_color_value_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(178);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym_color_value_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(179);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(aux_sym_color_value_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(180);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(aux_sym_color_value_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(aux_sym_color_value_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(182);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(aux_sym_color_value_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(183);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(aux_sym_color_value_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(184);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(aux_sym_color_value_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(185);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(aux_sym_color_value_token1);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(aux_sym_string_value_token1);
      if (lookahead == '*') ADVANCE(192);
      if (lookahead == '/') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(194);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym_string_value_token1);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '/') ADVANCE(194);
      if (lookahead == '\n' ||
          lookahead == '\'' ||
          lookahead == '\\') ADVANCE(41);
      if (lookahead != 0) ADVANCE(192);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym_string_value_token1);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '\n' ||
          lookahead == '\'' ||
          lookahead == '\\') ADVANCE(41);
      if (lookahead != 0) ADVANCE(192);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym_string_value_token1);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(193);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(194);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym_string_value_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(194);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym_string_value_token2);
      if (lookahead == '*') ADVANCE(198);
      if (lookahead == '/') ADVANCE(200);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(200);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(aux_sym_string_value_token2);
      if (lookahead == '*') ADVANCE(197);
      if (lookahead == '/') ADVANCE(200);
      if (lookahead == '\n' ||
          lookahead == '"' ||
          lookahead == '\\') ADVANCE(41);
      if (lookahead != 0) ADVANCE(198);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(aux_sym_string_value_token2);
      if (lookahead == '*') ADVANCE(197);
      if (lookahead == '\n' ||
          lookahead == '"' ||
          lookahead == '\\') ADVANCE(41);
      if (lookahead != 0) ADVANCE(198);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym_string_value_token2);
      if (lookahead == '/') ADVANCE(196);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(199);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(200);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(aux_sym_string_value_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(200);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(201);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(202);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(203);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(204);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(205);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(206);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym_integer_value_token1);
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(aux_sym_integer_value_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(209);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(aux_sym_float_value_token1);
      if (lookahead == '/') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_float_value_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(211);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(aux_sym_float_value_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(212);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == 'c') ADVANCE(223);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(213);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == 'e') ADVANCE(217);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == 'l') ADVANCE(224);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == 'l') ADVANCE(214);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == 'n') ADVANCE(216);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == 'o') ADVANCE(222);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == 'o') ADVANCE(221);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == 'r') ADVANCE(174);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == 't') ADVANCE(166);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == 't') ADVANCE(220);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (lookahead == 'y') ADVANCE(170);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(235);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(228);
      if (lookahead == '-') ADVANCE(268);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == '_') ADVANCE(266);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(227);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%') ADVANCE(228);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == '_') ADVANCE(266);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(227);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(228);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == 'g') ADVANCE(231);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(235);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == 'h') ADVANCE(233);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(235);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == 'h') ADVANCE(420);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(235);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == 'o') ADVANCE(234);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(235);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == 'r') ADVANCE(232);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(235);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == 'u') ADVANCE(229);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(235);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_unit);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(235);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_LBRACK2);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == '/') ADVANCE(111);
      if (lookahead == '-' ||
          lookahead == '_') ADVANCE(267);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(41);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(41);
      if (lookahead == '/') ADVANCE(390);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(52);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(245);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == '.') ADVANCE(36);
      if (lookahead == '/') ADVANCE(111);
      if (lookahead == '_') ADVANCE(247);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('0' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(268);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if ((0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(268);
      if (lookahead == '/') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(36);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(250);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'c') ADVANCE(264);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'd') ADVANCE(162);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'e') ADVANCE(251);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'e') ADVANCE(256);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'l') ADVANCE(265);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'l') ADVANCE(253);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'n') ADVANCE(255);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'n') ADVANCE(252);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'o') ADVANCE(263);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'o') ADVANCE(261);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'r') ADVANCE(175);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'r') ADVANCE(164);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 't') ADVANCE(167);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 't') ADVANCE(260);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == 'y') ADVANCE(171);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(395);
      if (lookahead == '/') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(266);
      if (('-' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '/') ADVANCE(111);
      if (lookahead == '-' ||
          lookahead == '_') ADVANCE(267);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '/') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(269);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(280);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(270);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(274);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(281);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(271);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(273);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(279);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(278);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(176);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(168);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(277);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(172);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(187);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(282);
      if (lookahead == '-' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == '-') ADVANCE(358);
      if (lookahead == 'k') ADVANCE(319);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'a') ADVANCE(298);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'l') ADVANCE(371);
      if (lookahead == 'r') ADVANCE(353);
      if (lookahead == 'x') ADVANCE(380);
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'a') ADVANCE(298);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(353);
      if (lookahead == 'x') ADVANCE(380);
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'a') ADVANCE(332);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'a') ADVANCE(121);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'a') ADVANCE(357);
      if (lookahead == 'h') ADVANCE(326);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'a') ADVANCE(300);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'a') ADVANCE(363);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'a') ADVANCE(333);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'a') ADVANCE(334);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'b') ADVANCE(381);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'c') ADVANCE(330);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'c') ADVANCE(324);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'c') ADVANCE(379);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'c') ADVANCE(312);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'd') ADVANCE(407);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'd') ADVANCE(401);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'd') ADVANCE(327);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'd') ADVANCE(311);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(296);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(386);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(303);
      if (lookahead == 'i') ADVANCE(385);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(400);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(413);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(421);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(403);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(123);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(369);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(377);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(339);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(367);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(368);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(376);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'e') ADVANCE(387);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'f') ADVANCE(412);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'm') ADVANCE(350);
      if (lookahead == 'n') ADVANCE(297);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'f') ADVANCE(364);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'f') ADVANCE(365);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'g') ADVANCE(410);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'h') ADVANCE(415);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'h') ADVANCE(292);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'i') ADVANCE(331);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'i') ADVANCE(289);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'i') ADVANCE(336);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'i') ADVANCE(346);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'l') ADVANCE(383);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'l') ADVANCE(310);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'm') ADVANCE(313);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'm') ADVANCE(316);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'm') ADVANCE(317);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(409);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(402);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(406);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(405);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(301);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'n') ADVANCE(299);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(354);
      if (lookahead == 'u') ADVANCE(340);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(344);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(355);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(375);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(360);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(338);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(362);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'o') ADVANCE(356);
      if (lookahead == 'u') ADVANCE(340);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'p') ADVANCE(291);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'p') ADVANCE(345);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'p') ADVANCE(347);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'p') ADVANCE(351);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(343);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(417);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(408);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(418);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(335);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(342);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(302);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(374);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(337);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(378);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(372);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(294);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(295);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 's') ADVANCE(130);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 's') ADVANCE(124);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 's') ADVANCE(125);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 's') ADVANCE(349);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 's') ADVANCE(308);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 's') ADVANCE(309);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 's') ADVANCE(318);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 't') ADVANCE(285);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 't') ADVANCE(118);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 't') ADVANCE(411);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 't') ADVANCE(122);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 't') ADVANCE(384);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 't') ADVANCE(366);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 't') ADVANCE(329);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 't') ADVANCE(315);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'u') ADVANCE(323);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'u') ADVANCE(352);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'u') ADVANCE(304);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'u') ADVANCE(361);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'x') ADVANCE(328);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'y') ADVANCE(321);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'y') ADVANCE(322);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym_at_keyword);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(389);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym_js_comment);
      if (lookahead == '/') ADVANCE(391);
      if (lookahead == '-' ||
          lookahead == '_') ADVANCE(390);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(399);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(393);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_js_comment);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '!' ||
          ('(' <= lookahead && lookahead <= '*') ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(393);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(390);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_js_comment);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '!' ||
          ('(' <= lookahead && lookahead <= '*') ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(393);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(399);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_js_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(393);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_plain_value);
      if (lookahead == '$') ADVANCE(396);
      if (lookahead == '/') ADVANCE(112);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_plain_value);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_plain_value);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_plain_value);
      if (lookahead == '/') ADVANCE(112);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(398);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_plain_value);
      if (lookahead == '/') ADVANCE(392);
      if ((!eof && set_contains(sym_plain_value_character_set_2, 10, lookahead))) ADVANCE(399);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_ATuse);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_ATforward);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_ATmixin);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_ATinclude);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_RPAREN2);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_ATfunction);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_ATreturn);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_ATextend);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_ATerror);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_ATwarn);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_ATdebug);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_ATat_DASHroot);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_ATif);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_ATelse);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_ATeach);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_ATfor);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == 'w') ADVANCE(293);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_ATfor);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_through);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_through);
      if (lookahead == '%' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(235);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_ATwhile);
      if (lookahead == 'k') ADVANCE(319);
      if (lookahead == '-' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(388);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(389);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACE);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_DASH2);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0xa0 <= lookahead && lookahead <= 0xff)) ADVANCE(284);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_variable);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(426);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 114, .external_lex_state = 2},
  [2] = {.lex_state = 114, .external_lex_state = 2},
  [3] = {.lex_state = 114, .external_lex_state = 2},
  [4] = {.lex_state = 26, .external_lex_state = 2},
  [5] = {.lex_state = 26, .external_lex_state = 2},
  [6] = {.lex_state = 26, .external_lex_state = 2},
  [7] = {.lex_state = 26, .external_lex_state = 2},
  [8] = {.lex_state = 26, .external_lex_state = 2},
  [9] = {.lex_state = 26, .external_lex_state = 2},
  [10] = {.lex_state = 26, .external_lex_state = 2},
  [11] = {.lex_state = 26, .external_lex_state = 2},
  [12] = {.lex_state = 26, .external_lex_state = 2},
  [13] = {.lex_state = 26, .external_lex_state = 2},
  [14] = {.lex_state = 26, .external_lex_state = 2},
  [15] = {.lex_state = 10, .external_lex_state = 2},
  [16] = {.lex_state = 10, .external_lex_state = 2},
  [17] = {.lex_state = 10, .external_lex_state = 2},
  [18] = {.lex_state = 10, .external_lex_state = 2},
  [19] = {.lex_state = 10, .external_lex_state = 2},
  [20] = {.lex_state = 116, .external_lex_state = 2},
  [21] = {.lex_state = 116, .external_lex_state = 2},
  [22] = {.lex_state = 116, .external_lex_state = 2},
  [23] = {.lex_state = 8},
  [24] = {.lex_state = 28, .external_lex_state = 2},
  [25] = {.lex_state = 28, .external_lex_state = 2},
  [26] = {.lex_state = 116, .external_lex_state = 2},
  [27] = {.lex_state = 12},
  [28] = {.lex_state = 116, .external_lex_state = 2},
  [29] = {.lex_state = 116, .external_lex_state = 2},
  [30] = {.lex_state = 116, .external_lex_state = 2},
  [31] = {.lex_state = 28, .external_lex_state = 2},
  [32] = {.lex_state = 12},
  [33] = {.lex_state = 8},
  [34] = {.lex_state = 8},
  [35] = {.lex_state = 114, .external_lex_state = 2},
  [36] = {.lex_state = 114, .external_lex_state = 2},
  [37] = {.lex_state = 114, .external_lex_state = 2},
  [38] = {.lex_state = 114, .external_lex_state = 2},
  [39] = {.lex_state = 114, .external_lex_state = 2},
  [40] = {.lex_state = 114, .external_lex_state = 2},
  [41] = {.lex_state = 114, .external_lex_state = 2},
  [42] = {.lex_state = 114, .external_lex_state = 2},
  [43] = {.lex_state = 114, .external_lex_state = 2},
  [44] = {.lex_state = 114, .external_lex_state = 2},
  [45] = {.lex_state = 114, .external_lex_state = 2},
  [46] = {.lex_state = 114, .external_lex_state = 2},
  [47] = {.lex_state = 114, .external_lex_state = 2},
  [48] = {.lex_state = 114, .external_lex_state = 2},
  [49] = {.lex_state = 114, .external_lex_state = 2},
  [50] = {.lex_state = 114, .external_lex_state = 2},
  [51] = {.lex_state = 114, .external_lex_state = 2},
  [52] = {.lex_state = 114, .external_lex_state = 2},
  [53] = {.lex_state = 114, .external_lex_state = 2},
  [54] = {.lex_state = 114, .external_lex_state = 2},
  [55] = {.lex_state = 114, .external_lex_state = 2},
  [56] = {.lex_state = 114, .external_lex_state = 2},
  [57] = {.lex_state = 114, .external_lex_state = 2},
  [58] = {.lex_state = 114, .external_lex_state = 2},
  [59] = {.lex_state = 114, .external_lex_state = 2},
  [60] = {.lex_state = 114, .external_lex_state = 2},
  [61] = {.lex_state = 114, .external_lex_state = 2},
  [62] = {.lex_state = 114, .external_lex_state = 2},
  [63] = {.lex_state = 114, .external_lex_state = 2},
  [64] = {.lex_state = 114, .external_lex_state = 2},
  [65] = {.lex_state = 114, .external_lex_state = 2},
  [66] = {.lex_state = 114, .external_lex_state = 2},
  [67] = {.lex_state = 114, .external_lex_state = 2},
  [68] = {.lex_state = 114, .external_lex_state = 2},
  [69] = {.lex_state = 114, .external_lex_state = 2},
  [70] = {.lex_state = 114, .external_lex_state = 2},
  [71] = {.lex_state = 114, .external_lex_state = 2},
  [72] = {.lex_state = 114, .external_lex_state = 2},
  [73] = {.lex_state = 114, .external_lex_state = 2},
  [74] = {.lex_state = 114, .external_lex_state = 2},
  [75] = {.lex_state = 114, .external_lex_state = 2},
  [76] = {.lex_state = 114, .external_lex_state = 2},
  [77] = {.lex_state = 114, .external_lex_state = 2},
  [78] = {.lex_state = 114, .external_lex_state = 2},
  [79] = {.lex_state = 114, .external_lex_state = 2},
  [80] = {.lex_state = 28, .external_lex_state = 2},
  [81] = {.lex_state = 28, .external_lex_state = 2},
  [82] = {.lex_state = 28, .external_lex_state = 2},
  [83] = {.lex_state = 28, .external_lex_state = 2},
  [84] = {.lex_state = 4, .external_lex_state = 3},
  [85] = {.lex_state = 26, .external_lex_state = 2},
  [86] = {.lex_state = 26, .external_lex_state = 2},
  [87] = {.lex_state = 26, .external_lex_state = 2},
  [88] = {.lex_state = 26, .external_lex_state = 2},
  [89] = {.lex_state = 26, .external_lex_state = 2},
  [90] = {.lex_state = 26, .external_lex_state = 2},
  [91] = {.lex_state = 26, .external_lex_state = 2},
  [92] = {.lex_state = 26, .external_lex_state = 2},
  [93] = {.lex_state = 26, .external_lex_state = 2},
  [94] = {.lex_state = 26, .external_lex_state = 2},
  [95] = {.lex_state = 26, .external_lex_state = 2},
  [96] = {.lex_state = 26, .external_lex_state = 2},
  [97] = {.lex_state = 26, .external_lex_state = 2},
  [98] = {.lex_state = 26, .external_lex_state = 2},
  [99] = {.lex_state = 26, .external_lex_state = 2},
  [100] = {.lex_state = 26, .external_lex_state = 2},
  [101] = {.lex_state = 26, .external_lex_state = 2},
  [102] = {.lex_state = 26, .external_lex_state = 2},
  [103] = {.lex_state = 26, .external_lex_state = 2},
  [104] = {.lex_state = 26, .external_lex_state = 2},
  [105] = {.lex_state = 26, .external_lex_state = 2},
  [106] = {.lex_state = 26, .external_lex_state = 2},
  [107] = {.lex_state = 26, .external_lex_state = 2},
  [108] = {.lex_state = 26, .external_lex_state = 2},
  [109] = {.lex_state = 26, .external_lex_state = 2},
  [110] = {.lex_state = 26, .external_lex_state = 2},
  [111] = {.lex_state = 26, .external_lex_state = 2},
  [112] = {.lex_state = 26, .external_lex_state = 2},
  [113] = {.lex_state = 26, .external_lex_state = 2},
  [114] = {.lex_state = 26, .external_lex_state = 2},
  [115] = {.lex_state = 26, .external_lex_state = 2},
  [116] = {.lex_state = 26, .external_lex_state = 2},
  [117] = {.lex_state = 26, .external_lex_state = 2},
  [118] = {.lex_state = 26, .external_lex_state = 2},
  [119] = {.lex_state = 26, .external_lex_state = 2},
  [120] = {.lex_state = 26, .external_lex_state = 2},
  [121] = {.lex_state = 26, .external_lex_state = 2},
  [122] = {.lex_state = 26, .external_lex_state = 2},
  [123] = {.lex_state = 26, .external_lex_state = 2},
  [124] = {.lex_state = 26, .external_lex_state = 2},
  [125] = {.lex_state = 26, .external_lex_state = 2},
  [126] = {.lex_state = 26, .external_lex_state = 2},
  [127] = {.lex_state = 26, .external_lex_state = 2},
  [128] = {.lex_state = 12},
  [129] = {.lex_state = 12},
  [130] = {.lex_state = 7, .external_lex_state = 4},
  [131] = {.lex_state = 7, .external_lex_state = 3},
  [132] = {.lex_state = 7, .external_lex_state = 3},
  [133] = {.lex_state = 7, .external_lex_state = 3},
  [134] = {.lex_state = 7, .external_lex_state = 3},
  [135] = {.lex_state = 7, .external_lex_state = 3},
  [136] = {.lex_state = 7, .external_lex_state = 4},
  [137] = {.lex_state = 6, .external_lex_state = 5},
  [138] = {.lex_state = 7, .external_lex_state = 4},
  [139] = {.lex_state = 7, .external_lex_state = 4},
  [140] = {.lex_state = 7, .external_lex_state = 4},
  [141] = {.lex_state = 5, .external_lex_state = 5},
  [142] = {.lex_state = 11},
  [143] = {.lex_state = 11},
  [144] = {.lex_state = 11},
  [145] = {.lex_state = 9, .external_lex_state = 5},
  [146] = {.lex_state = 11},
  [147] = {.lex_state = 11},
  [148] = {.lex_state = 11},
  [149] = {.lex_state = 5},
  [150] = {.lex_state = 11},
  [151] = {.lex_state = 11},
  [152] = {.lex_state = 11},
  [153] = {.lex_state = 8, .external_lex_state = 5},
  [154] = {.lex_state = 8, .external_lex_state = 5},
  [155] = {.lex_state = 9, .external_lex_state = 5},
  [156] = {.lex_state = 8, .external_lex_state = 5},
  [157] = {.lex_state = 11},
  [158] = {.lex_state = 30, .external_lex_state = 2},
  [159] = {.lex_state = 30, .external_lex_state = 2},
  [160] = {.lex_state = 30, .external_lex_state = 2},
  [161] = {.lex_state = 11},
  [162] = {.lex_state = 8, .external_lex_state = 5},
  [163] = {.lex_state = 30, .external_lex_state = 2},
  [164] = {.lex_state = 11},
  [165] = {.lex_state = 3},
  [166] = {.lex_state = 3},
  [167] = {.lex_state = 30, .external_lex_state = 2},
  [168] = {.lex_state = 8, .external_lex_state = 5},
  [169] = {.lex_state = 30, .external_lex_state = 2},
  [170] = {.lex_state = 30, .external_lex_state = 2},
  [171] = {.lex_state = 11},
  [172] = {.lex_state = 30, .external_lex_state = 2},
  [173] = {.lex_state = 30, .external_lex_state = 2},
  [174] = {.lex_state = 30, .external_lex_state = 2},
  [175] = {.lex_state = 8},
  [176] = {.lex_state = 8},
  [177] = {.lex_state = 11},
  [178] = {.lex_state = 8},
  [179] = {.lex_state = 14, .external_lex_state = 3},
  [180] = {.lex_state = 8},
  [181] = {.lex_state = 8},
  [182] = {.lex_state = 14, .external_lex_state = 3},
  [183] = {.lex_state = 11},
  [184] = {.lex_state = 8},
  [185] = {.lex_state = 8},
  [186] = {.lex_state = 11},
  [187] = {.lex_state = 8},
  [188] = {.lex_state = 8},
  [189] = {.lex_state = 11},
  [190] = {.lex_state = 11},
  [191] = {.lex_state = 14, .external_lex_state = 3},
  [192] = {.lex_state = 8},
  [193] = {.lex_state = 11},
  [194] = {.lex_state = 8},
  [195] = {.lex_state = 8},
  [196] = {.lex_state = 8},
  [197] = {.lex_state = 8},
  [198] = {.lex_state = 11},
  [199] = {.lex_state = 8},
  [200] = {.lex_state = 11},
  [201] = {.lex_state = 8},
  [202] = {.lex_state = 11},
  [203] = {.lex_state = 8},
  [204] = {.lex_state = 8},
  [205] = {.lex_state = 11},
  [206] = {.lex_state = 14, .external_lex_state = 3},
  [207] = {.lex_state = 14, .external_lex_state = 3},
  [208] = {.lex_state = 11},
  [209] = {.lex_state = 8},
  [210] = {.lex_state = 11},
  [211] = {.lex_state = 11},
  [212] = {.lex_state = 11},
  [213] = {.lex_state = 8},
  [214] = {.lex_state = 11},
  [215] = {.lex_state = 11},
  [216] = {.lex_state = 11},
  [217] = {.lex_state = 8},
  [218] = {.lex_state = 11},
  [219] = {.lex_state = 11},
  [220] = {.lex_state = 11},
  [221] = {.lex_state = 11},
  [222] = {.lex_state = 11},
  [223] = {.lex_state = 11},
  [224] = {.lex_state = 11},
  [225] = {.lex_state = 11},
  [226] = {.lex_state = 11},
  [227] = {.lex_state = 11},
  [228] = {.lex_state = 11},
  [229] = {.lex_state = 11},
  [230] = {.lex_state = 11},
  [231] = {.lex_state = 11},
  [232] = {.lex_state = 11},
  [233] = {.lex_state = 11},
  [234] = {.lex_state = 11},
  [235] = {.lex_state = 11},
  [236] = {.lex_state = 11},
  [237] = {.lex_state = 11},
  [238] = {.lex_state = 11},
  [239] = {.lex_state = 11},
  [240] = {.lex_state = 11},
  [241] = {.lex_state = 11},
  [242] = {.lex_state = 11},
  [243] = {.lex_state = 11},
  [244] = {.lex_state = 11},
  [245] = {.lex_state = 8},
  [246] = {.lex_state = 8},
  [247] = {.lex_state = 11},
  [248] = {.lex_state = 11},
  [249] = {.lex_state = 11},
  [250] = {.lex_state = 11},
  [251] = {.lex_state = 11},
  [252] = {.lex_state = 11},
  [253] = {.lex_state = 11},
  [254] = {.lex_state = 11},
  [255] = {.lex_state = 11},
  [256] = {.lex_state = 11},
  [257] = {.lex_state = 11},
  [258] = {.lex_state = 11},
  [259] = {.lex_state = 11},
  [260] = {.lex_state = 11},
  [261] = {.lex_state = 11},
  [262] = {.lex_state = 11},
  [263] = {.lex_state = 11},
  [264] = {.lex_state = 11},
  [265] = {.lex_state = 11},
  [266] = {.lex_state = 11},
  [267] = {.lex_state = 11},
  [268] = {.lex_state = 11},
  [269] = {.lex_state = 11},
  [270] = {.lex_state = 11},
  [271] = {.lex_state = 11},
  [272] = {.lex_state = 11},
  [273] = {.lex_state = 11},
  [274] = {.lex_state = 11},
  [275] = {.lex_state = 14, .external_lex_state = 3},
  [276] = {.lex_state = 18},
  [277] = {.lex_state = 13, .external_lex_state = 4},
  [278] = {.lex_state = 18},
  [279] = {.lex_state = 14, .external_lex_state = 4},
  [280] = {.lex_state = 33, .external_lex_state = 4},
  [281] = {.lex_state = 33, .external_lex_state = 4},
  [282] = {.lex_state = 33, .external_lex_state = 4},
  [283] = {.lex_state = 14, .external_lex_state = 4},
  [284] = {.lex_state = 33, .external_lex_state = 4},
  [285] = {.lex_state = 33, .external_lex_state = 4},
  [286] = {.lex_state = 33, .external_lex_state = 3},
  [287] = {.lex_state = 33, .external_lex_state = 3},
  [288] = {.lex_state = 33, .external_lex_state = 4},
  [289] = {.lex_state = 33, .external_lex_state = 4},
  [290] = {.lex_state = 33, .external_lex_state = 4},
  [291] = {.lex_state = 33, .external_lex_state = 4},
  [292] = {.lex_state = 33, .external_lex_state = 4},
  [293] = {.lex_state = 33, .external_lex_state = 4},
  [294] = {.lex_state = 14, .external_lex_state = 5},
  [295] = {.lex_state = 33, .external_lex_state = 4},
  [296] = {.lex_state = 33, .external_lex_state = 4},
  [297] = {.lex_state = 33, .external_lex_state = 4},
  [298] = {.lex_state = 33, .external_lex_state = 4},
  [299] = {.lex_state = 33, .external_lex_state = 4},
  [300] = {.lex_state = 33, .external_lex_state = 4},
  [301] = {.lex_state = 17, .external_lex_state = 5},
  [302] = {.lex_state = 33, .external_lex_state = 3},
  [303] = {.lex_state = 33, .external_lex_state = 3},
  [304] = {.lex_state = 33, .external_lex_state = 3},
  [305] = {.lex_state = 33, .external_lex_state = 4},
  [306] = {.lex_state = 33, .external_lex_state = 4},
  [307] = {.lex_state = 33, .external_lex_state = 4},
  [308] = {.lex_state = 33, .external_lex_state = 4},
  [309] = {.lex_state = 33, .external_lex_state = 4},
  [310] = {.lex_state = 33, .external_lex_state = 4},
  [311] = {.lex_state = 33, .external_lex_state = 4},
  [312] = {.lex_state = 33, .external_lex_state = 4},
  [313] = {.lex_state = 33, .external_lex_state = 4},
  [314] = {.lex_state = 14, .external_lex_state = 4},
  [315] = {.lex_state = 33, .external_lex_state = 3},
  [316] = {.lex_state = 33, .external_lex_state = 3},
  [317] = {.lex_state = 33, .external_lex_state = 3},
  [318] = {.lex_state = 33, .external_lex_state = 3},
  [319] = {.lex_state = 33, .external_lex_state = 3},
  [320] = {.lex_state = 33, .external_lex_state = 3},
  [321] = {.lex_state = 14, .external_lex_state = 4},
  [322] = {.lex_state = 33, .external_lex_state = 3},
  [323] = {.lex_state = 14, .external_lex_state = 5},
  [324] = {.lex_state = 18, .external_lex_state = 5},
  [325] = {.lex_state = 17},
  [326] = {.lex_state = 18, .external_lex_state = 5},
  [327] = {.lex_state = 14},
  [328] = {.lex_state = 14, .external_lex_state = 5},
  [329] = {.lex_state = 14, .external_lex_state = 5},
  [330] = {.lex_state = 14, .external_lex_state = 5},
  [331] = {.lex_state = 14, .external_lex_state = 5},
  [332] = {.lex_state = 18, .external_lex_state = 5},
  [333] = {.lex_state = 33, .external_lex_state = 4},
  [334] = {.lex_state = 18, .external_lex_state = 5},
  [335] = {.lex_state = 18},
  [336] = {.lex_state = 33, .external_lex_state = 4},
  [337] = {.lex_state = 14, .external_lex_state = 5},
  [338] = {.lex_state = 114, .external_lex_state = 3},
  [339] = {.lex_state = 16},
  [340] = {.lex_state = 16},
  [341] = {.lex_state = 33, .external_lex_state = 4},
  [342] = {.lex_state = 33, .external_lex_state = 4},
  [343] = {.lex_state = 114, .external_lex_state = 3},
  [344] = {.lex_state = 33, .external_lex_state = 4},
  [345] = {.lex_state = 18, .external_lex_state = 5},
  [346] = {.lex_state = 33, .external_lex_state = 4},
  [347] = {.lex_state = 33, .external_lex_state = 4},
  [348] = {.lex_state = 33, .external_lex_state = 4},
  [349] = {.lex_state = 33, .external_lex_state = 4},
  [350] = {.lex_state = 30, .external_lex_state = 4},
  [351] = {.lex_state = 18},
  [352] = {.lex_state = 18},
  [353] = {.lex_state = 18},
  [354] = {.lex_state = 18},
  [355] = {.lex_state = 14},
  [356] = {.lex_state = 14},
  [357] = {.lex_state = 14},
  [358] = {.lex_state = 14},
  [359] = {.lex_state = 14},
  [360] = {.lex_state = 14},
  [361] = {.lex_state = 14},
  [362] = {.lex_state = 18},
  [363] = {.lex_state = 14},
  [364] = {.lex_state = 14},
  [365] = {.lex_state = 18},
  [366] = {.lex_state = 22},
  [367] = {.lex_state = 22},
  [368] = {.lex_state = 14},
  [369] = {.lex_state = 18},
  [370] = {.lex_state = 114, .external_lex_state = 3},
  [371] = {.lex_state = 18},
  [372] = {.lex_state = 114, .external_lex_state = 3},
  [373] = {.lex_state = 18},
  [374] = {.lex_state = 18},
  [375] = {.lex_state = 18},
  [376] = {.lex_state = 18},
  [377] = {.lex_state = 14},
  [378] = {.lex_state = 14},
  [379] = {.lex_state = 14},
  [380] = {.lex_state = 14},
  [381] = {.lex_state = 18},
  [382] = {.lex_state = 114, .external_lex_state = 3},
  [383] = {.lex_state = 114, .external_lex_state = 3},
  [384] = {.lex_state = 114, .external_lex_state = 3},
  [385] = {.lex_state = 14, .external_lex_state = 5},
  [386] = {.lex_state = 20, .external_lex_state = 5},
  [387] = {.lex_state = 114, .external_lex_state = 3},
  [388] = {.lex_state = 20, .external_lex_state = 5},
  [389] = {.lex_state = 20, .external_lex_state = 5},
  [390] = {.lex_state = 114, .external_lex_state = 4},
  [391] = {.lex_state = 114, .external_lex_state = 4},
  [392] = {.lex_state = 114, .external_lex_state = 4},
  [393] = {.lex_state = 114, .external_lex_state = 4},
  [394] = {.lex_state = 114, .external_lex_state = 4},
  [395] = {.lex_state = 114, .external_lex_state = 4},
  [396] = {.lex_state = 114, .external_lex_state = 4},
  [397] = {.lex_state = 114, .external_lex_state = 4},
  [398] = {.lex_state = 20},
  [399] = {.lex_state = 114, .external_lex_state = 4},
  [400] = {.lex_state = 114, .external_lex_state = 4},
  [401] = {.lex_state = 20, .external_lex_state = 5},
  [402] = {.lex_state = 35},
  [403] = {.lex_state = 20, .external_lex_state = 5},
  [404] = {.lex_state = 20, .external_lex_state = 5},
  [405] = {.lex_state = 14},
  [406] = {.lex_state = 14},
  [407] = {.lex_state = 114, .external_lex_state = 4},
  [408] = {.lex_state = 20},
  [409] = {.lex_state = 14},
  [410] = {.lex_state = 14},
  [411] = {.lex_state = 20},
  [412] = {.lex_state = 35},
  [413] = {.lex_state = 14},
  [414] = {.lex_state = 14},
  [415] = {.lex_state = 35},
  [416] = {.lex_state = 35},
  [417] = {.lex_state = 35},
  [418] = {.lex_state = 35},
  [419] = {.lex_state = 35},
  [420] = {.lex_state = 14},
  [421] = {.lex_state = 20},
  [422] = {.lex_state = 14},
  [423] = {.lex_state = 14},
  [424] = {.lex_state = 35},
  [425] = {.lex_state = 114, .external_lex_state = 4},
  [426] = {.lex_state = 14},
  [427] = {.lex_state = 24},
  [428] = {.lex_state = 14},
  [429] = {.lex_state = 14},
  [430] = {.lex_state = 20},
  [431] = {.lex_state = 14},
  [432] = {.lex_state = 14},
  [433] = {.lex_state = 114, .external_lex_state = 4},
  [434] = {.lex_state = 14},
  [435] = {.lex_state = 14},
  [436] = {.lex_state = 14},
  [437] = {.lex_state = 20},
  [438] = {.lex_state = 14},
  [439] = {.lex_state = 14},
  [440] = {.lex_state = 14},
  [441] = {.lex_state = 14},
  [442] = {.lex_state = 14},
  [443] = {.lex_state = 20},
  [444] = {.lex_state = 114, .external_lex_state = 4},
  [445] = {.lex_state = 20},
  [446] = {.lex_state = 20},
  [447] = {.lex_state = 20},
  [448] = {.lex_state = 14},
  [449] = {.lex_state = 20},
  [450] = {.lex_state = 20},
  [451] = {.lex_state = 20},
  [452] = {.lex_state = 20},
  [453] = {.lex_state = 20},
  [454] = {.lex_state = 24},
  [455] = {.lex_state = 20},
  [456] = {.lex_state = 14},
  [457] = {.lex_state = 20},
  [458] = {.lex_state = 20},
  [459] = {.lex_state = 114, .external_lex_state = 4},
  [460] = {.lex_state = 20},
  [461] = {.lex_state = 20},
  [462] = {.lex_state = 14},
  [463] = {.lex_state = 14},
  [464] = {.lex_state = 14},
  [465] = {.lex_state = 14},
  [466] = {.lex_state = 14},
  [467] = {.lex_state = 14},
  [468] = {.lex_state = 114, .external_lex_state = 4},
  [469] = {.lex_state = 14},
  [470] = {.lex_state = 14},
  [471] = {.lex_state = 14},
  [472] = {.lex_state = 14},
  [473] = {.lex_state = 14},
  [474] = {.lex_state = 14},
  [475] = {.lex_state = 14},
  [476] = {.lex_state = 14},
  [477] = {.lex_state = 14},
  [478] = {.lex_state = 14},
  [479] = {.lex_state = 14},
  [480] = {.lex_state = 14},
  [481] = {.lex_state = 14},
  [482] = {.lex_state = 14},
  [483] = {.lex_state = 14},
  [484] = {.lex_state = 14},
  [485] = {.lex_state = 14},
  [486] = {.lex_state = 14},
  [487] = {.lex_state = 114, .external_lex_state = 4},
  [488] = {.lex_state = 14},
  [489] = {.lex_state = 14},
  [490] = {.lex_state = 14},
  [491] = {.lex_state = 37},
  [492] = {.lex_state = 31},
  [493] = {.lex_state = 37},
  [494] = {.lex_state = 31},
  [495] = {.lex_state = 37},
  [496] = {.lex_state = 37},
  [497] = {.lex_state = 37},
  [498] = {.lex_state = 37},
  [499] = {.lex_state = 37},
  [500] = {.lex_state = 37},
  [501] = {.lex_state = 31},
  [502] = {.lex_state = 37},
  [503] = {.lex_state = 31},
  [504] = {.lex_state = 37},
  [505] = {.lex_state = 37},
  [506] = {.lex_state = 37},
  [507] = {.lex_state = 37},
  [508] = {.lex_state = 37},
  [509] = {.lex_state = 37},
  [510] = {.lex_state = 37},
  [511] = {.lex_state = 37},
  [512] = {.lex_state = 114},
  [513] = {.lex_state = 114},
  [514] = {.lex_state = 114},
  [515] = {.lex_state = 37},
  [516] = {.lex_state = 114},
  [517] = {.lex_state = 37},
  [518] = {.lex_state = 37},
  [519] = {.lex_state = 1},
  [520] = {.lex_state = 2},
  [521] = {.lex_state = 1},
  [522] = {.lex_state = 30},
  [523] = {.lex_state = 26},
  [524] = {.lex_state = 26},
  [525] = {.lex_state = 114},
  [526] = {.lex_state = 2},
  [527] = {.lex_state = 1},
  [528] = {.lex_state = 2},
  [529] = {.lex_state = 1},
  [530] = {.lex_state = 30},
  [531] = {.lex_state = 2},
  [532] = {.lex_state = 114},
  [533] = {.lex_state = 114},
  [534] = {.lex_state = 2},
  [535] = {.lex_state = 1},
  [536] = {.lex_state = 2},
  [537] = {.lex_state = 1},
  [538] = {.lex_state = 30},
  [539] = {.lex_state = 1},
  [540] = {.lex_state = 114},
  [541] = {.lex_state = 2},
  [542] = {.lex_state = 1},
  [543] = {.lex_state = 2},
  [544] = {.lex_state = 1},
  [545] = {.lex_state = 30},
  [546] = {.lex_state = 2},
  [547] = {.lex_state = 2},
  [548] = {.lex_state = 1},
  [549] = {.lex_state = 2},
  [550] = {.lex_state = 1},
  [551] = {.lex_state = 30},
  [552] = {.lex_state = 2},
  [553] = {.lex_state = 2},
  [554] = {.lex_state = 26},
  [555] = {.lex_state = 30},
  [556] = {.lex_state = 1},
  [557] = {.lex_state = 1},
  [558] = {.lex_state = 37},
  [559] = {.lex_state = 37},
  [560] = {.lex_state = 114},
  [561] = {.lex_state = 114},
  [562] = {.lex_state = 1},
  [563] = {.lex_state = 2},
  [564] = {.lex_state = 114},
  [565] = {.lex_state = 30},
  [566] = {.lex_state = 1},
  [567] = {.lex_state = 30},
  [568] = {.lex_state = 37},
  [569] = {.lex_state = 37},
  [570] = {.lex_state = 37},
  [571] = {.lex_state = 30},
  [572] = {.lex_state = 30},
  [573] = {.lex_state = 114},
  [574] = {.lex_state = 114},
  [575] = {.lex_state = 30},
  [576] = {.lex_state = 30},
  [577] = {.lex_state = 2},
  [578] = {.lex_state = 26},
  [579] = {.lex_state = 37},
  [580] = {.lex_state = 30},
  [581] = {.lex_state = 30},
  [582] = {.lex_state = 114},
  [583] = {.lex_state = 114},
  [584] = {.lex_state = 114},
  [585] = {.lex_state = 114},
  [586] = {.lex_state = 114},
  [587] = {.lex_state = 114},
  [588] = {.lex_state = 114},
  [589] = {.lex_state = 114},
  [590] = {.lex_state = 114},
  [591] = {.lex_state = 26},
  [592] = {.lex_state = 114},
  [593] = {.lex_state = 114},
  [594] = {.lex_state = 114},
  [595] = {.lex_state = 114},
  [596] = {.lex_state = 114},
  [597] = {.lex_state = 114},
  [598] = {.lex_state = 37},
  [599] = {.lex_state = 114},
  [600] = {.lex_state = 114},
  [601] = {.lex_state = 37},
  [602] = {.lex_state = 114},
  [603] = {.lex_state = 37},
  [604] = {.lex_state = 26},
  [605] = {.lex_state = 114},
  [606] = {.lex_state = 114},
  [607] = {.lex_state = 114},
  [608] = {.lex_state = 26},
  [609] = {.lex_state = 114},
  [610] = {.lex_state = 37},
  [611] = {.lex_state = 114},
  [612] = {.lex_state = 114},
  [613] = {.lex_state = 114},
  [614] = {.lex_state = 114},
  [615] = {.lex_state = 114},
  [616] = {.lex_state = 114},
  [617] = {.lex_state = 114},
  [618] = {.lex_state = 114},
  [619] = {.lex_state = 37},
  [620] = {.lex_state = 114},
  [621] = {.lex_state = 42},
  [622] = {.lex_state = 114},
  [623] = {.lex_state = 42},
  [624] = {.lex_state = 114},
  [625] = {.lex_state = 114},
  [626] = {.lex_state = 26},
  [627] = {.lex_state = 114},
  [628] = {.lex_state = 114},
  [629] = {.lex_state = 48},
  [630] = {.lex_state = 30},
  [631] = {.lex_state = 114},
  [632] = {.lex_state = 30},
  [633] = {.lex_state = 114},
  [634] = {.lex_state = 30},
  [635] = {.lex_state = 30},
  [636] = {.lex_state = 30},
  [637] = {.lex_state = 50},
  [638] = {.lex_state = 114},
  [639] = {.lex_state = 50},
  [640] = {.lex_state = 114},
  [641] = {.lex_state = 114},
  [642] = {.lex_state = 30},
  [643] = {.lex_state = 30},
  [644] = {.lex_state = 114},
  [645] = {.lex_state = 30},
  [646] = {.lex_state = 114},
  [647] = {.lex_state = 114},
  [648] = {.lex_state = 37},
  [649] = {.lex_state = 114},
  [650] = {.lex_state = 114},
  [651] = {.lex_state = 114},
  [652] = {.lex_state = 50},
  [653] = {.lex_state = 30},
  [654] = {.lex_state = 114},
  [655] = {.lex_state = 26},
  [656] = {.lex_state = 37},
  [657] = {.lex_state = 114},
  [658] = {.lex_state = 114},
  [659] = {.lex_state = 114},
  [660] = {.lex_state = 30},
  [661] = {.lex_state = 114},
  [662] = {.lex_state = 30},
  [663] = {.lex_state = 30},
  [664] = {.lex_state = 37},
  [665] = {.lex_state = 114},
  [666] = {.lex_state = 114},
  [667] = {.lex_state = 50},
  [668] = {.lex_state = 114},
  [669] = {.lex_state = 114},
  [670] = {.lex_state = 114},
  [671] = {.lex_state = 30},
  [672] = {.lex_state = 37},
  [673] = {.lex_state = 114},
  [674] = {.lex_state = 114},
  [675] = {.lex_state = 114},
  [676] = {.lex_state = 114},
  [677] = {.lex_state = 37},
  [678] = {.lex_state = 114},
  [679] = {.lex_state = 37},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_ATimport] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_ATmedia] = ACTIONS(1),
    [anon_sym_ATcharset] = ACTIONS(1),
    [anon_sym_ATnamespace] = ACTIONS(1),
    [anon_sym_ATkeyframes] = ACTIONS(1),
    [aux_sym_keyframes_statement_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [sym_to] = ACTIONS(1),
    [anon_sym_ATsupports] = ACTIONS(1),
    [sym_nesting_selector] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_TILDE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [sym_important] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_only] = ACTIONS(1),
    [anon_sym_selector] = ACTIONS(1),
    [aux_sym_color_value_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_LBRACK2] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [sym_at_keyword] = ACTIONS(1),
    [sym_js_comment] = ACTIONS(3),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATuse] = ACTIONS(1),
    [anon_sym_ATforward] = ACTIONS(1),
    [anon_sym_ATmixin] = ACTIONS(1),
    [anon_sym_ATinclude] = ACTIONS(1),
    [anon_sym_RPAREN2] = ACTIONS(1),
    [anon_sym_ATfunction] = ACTIONS(1),
    [anon_sym_ATreturn] = ACTIONS(1),
    [anon_sym_ATextend] = ACTIONS(1),
    [anon_sym_ATerror] = ACTIONS(1),
    [anon_sym_ATwarn] = ACTIONS(1),
    [anon_sym_ATdebug] = ACTIONS(1),
    [anon_sym_ATat_DASHroot] = ACTIONS(1),
    [anon_sym_ATif] = ACTIONS(1),
    [anon_sym_ATelse] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_ATeach] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_ATfor] = ACTIONS(1),
    [anon_sym_through] = ACTIONS(1),
    [anon_sym_ATwhile] = ACTIONS(1),
    [anon_sym_POUND_LBRACE] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DASH2] = ACTIONS(1),
    [sym__descendant_operator] = ACTIONS(1),
    [sym__pseudo_class_selector_colon] = ACTIONS(1),
    [sym___error_recovery] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
  },
  [1] = {
    [sym_stylesheet] = STATE(668),
    [sym_import_statement] = STATE(3),
    [sym_media_statement] = STATE(3),
    [sym_charset_statement] = STATE(3),
    [sym_namespace_statement] = STATE(3),
    [sym_keyframes_statement] = STATE(3),
    [sym_supports_statement] = STATE(3),
    [sym_postcss_statement] = STATE(3),
    [sym_at_rule] = STATE(3),
    [sym_rule_set] = STATE(3),
    [sym_selectors] = STATE(616),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(3),
    [sym_string_value] = STATE(399),
    [sym_use_statement] = STATE(3),
    [sym_forward_statement] = STATE(3),
    [sym_mixin_statement] = STATE(3),
    [sym_include_statement] = STATE(3),
    [sym_function_statement] = STATE(3),
    [sym_return_statement] = STATE(3),
    [sym_extend_statement] = STATE(3),
    [sym_error_statement] = STATE(3),
    [sym_warn_statement] = STATE(3),
    [sym_debug_statement] = STATE(3),
    [sym_at_root_statement] = STATE(3),
    [sym_if_statement] = STATE(3),
    [sym_each_statement] = STATE(3),
    [sym_for_statement] = STATE(3),
    [sym_while_statement] = STATE(3),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(397),
    [aux_sym_stylesheet_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_ATimport] = ACTIONS(9),
    [anon_sym_ATmedia] = ACTIONS(11),
    [anon_sym_ATcharset] = ACTIONS(13),
    [anon_sym_ATnamespace] = ACTIONS(15),
    [anon_sym_ATkeyframes] = ACTIONS(17),
    [aux_sym_keyframes_statement_token1] = ACTIONS(17),
    [anon_sym_ATsupports] = ACTIONS(19),
    [sym_nesting_selector] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_COLON_COLON] = ACTIONS(27),
    [anon_sym_POUND] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_at_keyword] = ACTIONS(39),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATuse] = ACTIONS(41),
    [anon_sym_ATforward] = ACTIONS(43),
    [anon_sym_ATmixin] = ACTIONS(45),
    [anon_sym_ATinclude] = ACTIONS(47),
    [anon_sym_ATfunction] = ACTIONS(49),
    [anon_sym_ATreturn] = ACTIONS(51),
    [anon_sym_ATextend] = ACTIONS(53),
    [anon_sym_ATerror] = ACTIONS(55),
    [anon_sym_ATwarn] = ACTIONS(57),
    [anon_sym_ATdebug] = ACTIONS(59),
    [anon_sym_ATat_DASHroot] = ACTIONS(61),
    [anon_sym_ATif] = ACTIONS(63),
    [anon_sym_ATeach] = ACTIONS(65),
    [anon_sym_ATfor] = ACTIONS(67),
    [anon_sym_ATwhile] = ACTIONS(69),
    [anon_sym_POUND_LBRACE] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(73),
    [sym_variable] = ACTIONS(75),
    [sym__pseudo_class_selector_colon] = ACTIONS(77),
  },
  [2] = {
    [sym_import_statement] = STATE(2),
    [sym_media_statement] = STATE(2),
    [sym_charset_statement] = STATE(2),
    [sym_namespace_statement] = STATE(2),
    [sym_keyframes_statement] = STATE(2),
    [sym_supports_statement] = STATE(2),
    [sym_postcss_statement] = STATE(2),
    [sym_at_rule] = STATE(2),
    [sym_rule_set] = STATE(2),
    [sym_selectors] = STATE(616),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(2),
    [sym_string_value] = STATE(399),
    [sym_use_statement] = STATE(2),
    [sym_forward_statement] = STATE(2),
    [sym_mixin_statement] = STATE(2),
    [sym_include_statement] = STATE(2),
    [sym_function_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_extend_statement] = STATE(2),
    [sym_error_statement] = STATE(2),
    [sym_warn_statement] = STATE(2),
    [sym_debug_statement] = STATE(2),
    [sym_at_root_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_each_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_while_statement] = STATE(2),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(397),
    [aux_sym_stylesheet_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(79),
    [anon_sym_ATimport] = ACTIONS(81),
    [anon_sym_ATmedia] = ACTIONS(84),
    [anon_sym_ATcharset] = ACTIONS(87),
    [anon_sym_ATnamespace] = ACTIONS(90),
    [anon_sym_ATkeyframes] = ACTIONS(93),
    [aux_sym_keyframes_statement_token1] = ACTIONS(93),
    [anon_sym_ATsupports] = ACTIONS(96),
    [sym_nesting_selector] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(102),
    [anon_sym_DOT] = ACTIONS(105),
    [anon_sym_COLON_COLON] = ACTIONS(108),
    [anon_sym_POUND] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(114),
    [anon_sym_SQUOTE] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(120),
    [sym_identifier] = ACTIONS(123),
    [sym_at_keyword] = ACTIONS(126),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATuse] = ACTIONS(129),
    [anon_sym_ATforward] = ACTIONS(132),
    [anon_sym_ATmixin] = ACTIONS(135),
    [anon_sym_ATinclude] = ACTIONS(138),
    [anon_sym_ATfunction] = ACTIONS(141),
    [anon_sym_ATreturn] = ACTIONS(144),
    [anon_sym_ATextend] = ACTIONS(147),
    [anon_sym_ATerror] = ACTIONS(150),
    [anon_sym_ATwarn] = ACTIONS(153),
    [anon_sym_ATdebug] = ACTIONS(156),
    [anon_sym_ATat_DASHroot] = ACTIONS(159),
    [anon_sym_ATif] = ACTIONS(162),
    [anon_sym_ATeach] = ACTIONS(165),
    [anon_sym_ATfor] = ACTIONS(168),
    [anon_sym_ATwhile] = ACTIONS(171),
    [anon_sym_POUND_LBRACE] = ACTIONS(174),
    [anon_sym_PERCENT] = ACTIONS(177),
    [sym_variable] = ACTIONS(180),
    [sym__pseudo_class_selector_colon] = ACTIONS(183),
  },
  [3] = {
    [sym_import_statement] = STATE(2),
    [sym_media_statement] = STATE(2),
    [sym_charset_statement] = STATE(2),
    [sym_namespace_statement] = STATE(2),
    [sym_keyframes_statement] = STATE(2),
    [sym_supports_statement] = STATE(2),
    [sym_postcss_statement] = STATE(2),
    [sym_at_rule] = STATE(2),
    [sym_rule_set] = STATE(2),
    [sym_selectors] = STATE(616),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(2),
    [sym_string_value] = STATE(399),
    [sym_use_statement] = STATE(2),
    [sym_forward_statement] = STATE(2),
    [sym_mixin_statement] = STATE(2),
    [sym_include_statement] = STATE(2),
    [sym_function_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_extend_statement] = STATE(2),
    [sym_error_statement] = STATE(2),
    [sym_warn_statement] = STATE(2),
    [sym_debug_statement] = STATE(2),
    [sym_at_root_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_each_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_while_statement] = STATE(2),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(397),
    [aux_sym_stylesheet_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(186),
    [anon_sym_ATimport] = ACTIONS(9),
    [anon_sym_ATmedia] = ACTIONS(11),
    [anon_sym_ATcharset] = ACTIONS(13),
    [anon_sym_ATnamespace] = ACTIONS(15),
    [anon_sym_ATkeyframes] = ACTIONS(17),
    [aux_sym_keyframes_statement_token1] = ACTIONS(17),
    [anon_sym_ATsupports] = ACTIONS(19),
    [sym_nesting_selector] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_COLON_COLON] = ACTIONS(27),
    [anon_sym_POUND] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_identifier] = ACTIONS(37),
    [sym_at_keyword] = ACTIONS(39),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATuse] = ACTIONS(41),
    [anon_sym_ATforward] = ACTIONS(43),
    [anon_sym_ATmixin] = ACTIONS(45),
    [anon_sym_ATinclude] = ACTIONS(47),
    [anon_sym_ATfunction] = ACTIONS(49),
    [anon_sym_ATreturn] = ACTIONS(51),
    [anon_sym_ATextend] = ACTIONS(53),
    [anon_sym_ATerror] = ACTIONS(55),
    [anon_sym_ATwarn] = ACTIONS(57),
    [anon_sym_ATdebug] = ACTIONS(59),
    [anon_sym_ATat_DASHroot] = ACTIONS(61),
    [anon_sym_ATif] = ACTIONS(63),
    [anon_sym_ATeach] = ACTIONS(65),
    [anon_sym_ATfor] = ACTIONS(67),
    [anon_sym_ATwhile] = ACTIONS(69),
    [anon_sym_POUND_LBRACE] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(73),
    [sym_variable] = ACTIONS(75),
    [sym__pseudo_class_selector_colon] = ACTIONS(77),
  },
  [4] = {
    [sym_import_statement] = STATE(14),
    [sym_media_statement] = STATE(14),
    [sym_charset_statement] = STATE(14),
    [sym_namespace_statement] = STATE(14),
    [sym_keyframes_statement] = STATE(14),
    [sym_supports_statement] = STATE(14),
    [sym_postcss_statement] = STATE(14),
    [sym_at_rule] = STATE(14),
    [sym_rule_set] = STATE(14),
    [sym_selectors] = STATE(624),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(14),
    [sym_last_declaration] = STATE(673),
    [sym_string_value] = STATE(399),
    [sym_mixin_statement] = STATE(14),
    [sym_include_statement] = STATE(14),
    [sym_function_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_extend_statement] = STATE(14),
    [sym_error_statement] = STATE(14),
    [sym_warn_statement] = STATE(14),
    [sym_debug_statement] = STATE(14),
    [sym_at_root_statement] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_each_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(391),
    [aux_sym_block_repeat1] = STATE(14),
    [anon_sym_ATimport] = ACTIONS(188),
    [anon_sym_ATmedia] = ACTIONS(190),
    [anon_sym_ATcharset] = ACTIONS(192),
    [anon_sym_ATnamespace] = ACTIONS(194),
    [anon_sym_ATkeyframes] = ACTIONS(196),
    [aux_sym_keyframes_statement_token1] = ACTIONS(196),
    [anon_sym_RBRACE] = ACTIONS(198),
    [anon_sym_ATsupports] = ACTIONS(200),
    [sym_nesting_selector] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_COLON_COLON] = ACTIONS(27),
    [anon_sym_POUND] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_identifier] = ACTIONS(202),
    [sym_at_keyword] = ACTIONS(204),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATmixin] = ACTIONS(206),
    [anon_sym_ATinclude] = ACTIONS(208),
    [anon_sym_ATfunction] = ACTIONS(210),
    [anon_sym_ATreturn] = ACTIONS(212),
    [anon_sym_ATextend] = ACTIONS(214),
    [anon_sym_ATerror] = ACTIONS(216),
    [anon_sym_ATwarn] = ACTIONS(218),
    [anon_sym_ATdebug] = ACTIONS(220),
    [anon_sym_ATat_DASHroot] = ACTIONS(222),
    [anon_sym_ATif] = ACTIONS(224),
    [anon_sym_ATeach] = ACTIONS(226),
    [anon_sym_ATfor] = ACTIONS(228),
    [anon_sym_ATwhile] = ACTIONS(230),
    [anon_sym_POUND_LBRACE] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(73),
    [sym_variable] = ACTIONS(232),
    [sym__pseudo_class_selector_colon] = ACTIONS(77),
  },
  [5] = {
    [sym_import_statement] = STATE(4),
    [sym_media_statement] = STATE(4),
    [sym_charset_statement] = STATE(4),
    [sym_namespace_statement] = STATE(4),
    [sym_keyframes_statement] = STATE(4),
    [sym_supports_statement] = STATE(4),
    [sym_postcss_statement] = STATE(4),
    [sym_at_rule] = STATE(4),
    [sym_rule_set] = STATE(4),
    [sym_selectors] = STATE(624),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(4),
    [sym_last_declaration] = STATE(665),
    [sym_string_value] = STATE(399),
    [sym_mixin_statement] = STATE(4),
    [sym_include_statement] = STATE(4),
    [sym_function_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_extend_statement] = STATE(4),
    [sym_error_statement] = STATE(4),
    [sym_warn_statement] = STATE(4),
    [sym_debug_statement] = STATE(4),
    [sym_at_root_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_each_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(391),
    [aux_sym_block_repeat1] = STATE(4),
    [anon_sym_ATimport] = ACTIONS(188),
    [anon_sym_ATmedia] = ACTIONS(190),
    [anon_sym_ATcharset] = ACTIONS(192),
    [anon_sym_ATnamespace] = ACTIONS(194),
    [anon_sym_ATkeyframes] = ACTIONS(196),
    [aux_sym_keyframes_statement_token1] = ACTIONS(196),
    [anon_sym_RBRACE] = ACTIONS(234),
    [anon_sym_ATsupports] = ACTIONS(200),
    [sym_nesting_selector] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_COLON_COLON] = ACTIONS(27),
    [anon_sym_POUND] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_identifier] = ACTIONS(202),
    [sym_at_keyword] = ACTIONS(204),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATmixin] = ACTIONS(206),
    [anon_sym_ATinclude] = ACTIONS(208),
    [anon_sym_ATfunction] = ACTIONS(210),
    [anon_sym_ATreturn] = ACTIONS(212),
    [anon_sym_ATextend] = ACTIONS(214),
    [anon_sym_ATerror] = ACTIONS(216),
    [anon_sym_ATwarn] = ACTIONS(218),
    [anon_sym_ATdebug] = ACTIONS(220),
    [anon_sym_ATat_DASHroot] = ACTIONS(222),
    [anon_sym_ATif] = ACTIONS(224),
    [anon_sym_ATeach] = ACTIONS(226),
    [anon_sym_ATfor] = ACTIONS(228),
    [anon_sym_ATwhile] = ACTIONS(230),
    [anon_sym_POUND_LBRACE] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(73),
    [sym_variable] = ACTIONS(232),
    [sym__pseudo_class_selector_colon] = ACTIONS(77),
  },
  [6] = {
    [sym_import_statement] = STATE(10),
    [sym_media_statement] = STATE(10),
    [sym_charset_statement] = STATE(10),
    [sym_namespace_statement] = STATE(10),
    [sym_keyframes_statement] = STATE(10),
    [sym_supports_statement] = STATE(10),
    [sym_postcss_statement] = STATE(10),
    [sym_at_rule] = STATE(10),
    [sym_rule_set] = STATE(10),
    [sym_selectors] = STATE(624),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(10),
    [sym_last_declaration] = STATE(670),
    [sym_string_value] = STATE(399),
    [sym_mixin_statement] = STATE(10),
    [sym_include_statement] = STATE(10),
    [sym_function_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_extend_statement] = STATE(10),
    [sym_error_statement] = STATE(10),
    [sym_warn_statement] = STATE(10),
    [sym_debug_statement] = STATE(10),
    [sym_at_root_statement] = STATE(10),
    [sym_if_statement] = STATE(10),
    [sym_each_statement] = STATE(10),
    [sym_for_statement] = STATE(10),
    [sym_while_statement] = STATE(10),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(391),
    [aux_sym_block_repeat1] = STATE(10),
    [anon_sym_ATimport] = ACTIONS(188),
    [anon_sym_ATmedia] = ACTIONS(190),
    [anon_sym_ATcharset] = ACTIONS(192),
    [anon_sym_ATnamespace] = ACTIONS(194),
    [anon_sym_ATkeyframes] = ACTIONS(196),
    [aux_sym_keyframes_statement_token1] = ACTIONS(196),
    [anon_sym_RBRACE] = ACTIONS(236),
    [anon_sym_ATsupports] = ACTIONS(200),
    [sym_nesting_selector] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_COLON_COLON] = ACTIONS(27),
    [anon_sym_POUND] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_identifier] = ACTIONS(202),
    [sym_at_keyword] = ACTIONS(204),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATmixin] = ACTIONS(206),
    [anon_sym_ATinclude] = ACTIONS(208),
    [anon_sym_ATfunction] = ACTIONS(210),
    [anon_sym_ATreturn] = ACTIONS(212),
    [anon_sym_ATextend] = ACTIONS(214),
    [anon_sym_ATerror] = ACTIONS(216),
    [anon_sym_ATwarn] = ACTIONS(218),
    [anon_sym_ATdebug] = ACTIONS(220),
    [anon_sym_ATat_DASHroot] = ACTIONS(222),
    [anon_sym_ATif] = ACTIONS(224),
    [anon_sym_ATeach] = ACTIONS(226),
    [anon_sym_ATfor] = ACTIONS(228),
    [anon_sym_ATwhile] = ACTIONS(230),
    [anon_sym_POUND_LBRACE] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(73),
    [sym_variable] = ACTIONS(232),
    [sym__pseudo_class_selector_colon] = ACTIONS(77),
  },
  [7] = {
    [sym_import_statement] = STATE(14),
    [sym_media_statement] = STATE(14),
    [sym_charset_statement] = STATE(14),
    [sym_namespace_statement] = STATE(14),
    [sym_keyframes_statement] = STATE(14),
    [sym_supports_statement] = STATE(14),
    [sym_postcss_statement] = STATE(14),
    [sym_at_rule] = STATE(14),
    [sym_rule_set] = STATE(14),
    [sym_selectors] = STATE(624),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(14),
    [sym_last_declaration] = STATE(646),
    [sym_string_value] = STATE(399),
    [sym_mixin_statement] = STATE(14),
    [sym_include_statement] = STATE(14),
    [sym_function_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_extend_statement] = STATE(14),
    [sym_error_statement] = STATE(14),
    [sym_warn_statement] = STATE(14),
    [sym_debug_statement] = STATE(14),
    [sym_at_root_statement] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_each_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(391),
    [aux_sym_block_repeat1] = STATE(14),
    [anon_sym_ATimport] = ACTIONS(188),
    [anon_sym_ATmedia] = ACTIONS(190),
    [anon_sym_ATcharset] = ACTIONS(192),
    [anon_sym_ATnamespace] = ACTIONS(194),
    [anon_sym_ATkeyframes] = ACTIONS(196),
    [aux_sym_keyframes_statement_token1] = ACTIONS(196),
    [anon_sym_RBRACE] = ACTIONS(238),
    [anon_sym_ATsupports] = ACTIONS(200),
    [sym_nesting_selector] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_COLON_COLON] = ACTIONS(27),
    [anon_sym_POUND] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_identifier] = ACTIONS(202),
    [sym_at_keyword] = ACTIONS(204),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATmixin] = ACTIONS(206),
    [anon_sym_ATinclude] = ACTIONS(208),
    [anon_sym_ATfunction] = ACTIONS(210),
    [anon_sym_ATreturn] = ACTIONS(212),
    [anon_sym_ATextend] = ACTIONS(214),
    [anon_sym_ATerror] = ACTIONS(216),
    [anon_sym_ATwarn] = ACTIONS(218),
    [anon_sym_ATdebug] = ACTIONS(220),
    [anon_sym_ATat_DASHroot] = ACTIONS(222),
    [anon_sym_ATif] = ACTIONS(224),
    [anon_sym_ATeach] = ACTIONS(226),
    [anon_sym_ATfor] = ACTIONS(228),
    [anon_sym_ATwhile] = ACTIONS(230),
    [anon_sym_POUND_LBRACE] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(73),
    [sym_variable] = ACTIONS(232),
    [sym__pseudo_class_selector_colon] = ACTIONS(77),
  },
  [8] = {
    [sym_import_statement] = STATE(14),
    [sym_media_statement] = STATE(14),
    [sym_charset_statement] = STATE(14),
    [sym_namespace_statement] = STATE(14),
    [sym_keyframes_statement] = STATE(14),
    [sym_supports_statement] = STATE(14),
    [sym_postcss_statement] = STATE(14),
    [sym_at_rule] = STATE(14),
    [sym_rule_set] = STATE(14),
    [sym_selectors] = STATE(624),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(14),
    [sym_last_declaration] = STATE(638),
    [sym_string_value] = STATE(399),
    [sym_mixin_statement] = STATE(14),
    [sym_include_statement] = STATE(14),
    [sym_function_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_extend_statement] = STATE(14),
    [sym_error_statement] = STATE(14),
    [sym_warn_statement] = STATE(14),
    [sym_debug_statement] = STATE(14),
    [sym_at_root_statement] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_each_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(391),
    [aux_sym_block_repeat1] = STATE(14),
    [anon_sym_ATimport] = ACTIONS(188),
    [anon_sym_ATmedia] = ACTIONS(190),
    [anon_sym_ATcharset] = ACTIONS(192),
    [anon_sym_ATnamespace] = ACTIONS(194),
    [anon_sym_ATkeyframes] = ACTIONS(196),
    [aux_sym_keyframes_statement_token1] = ACTIONS(196),
    [anon_sym_RBRACE] = ACTIONS(240),
    [anon_sym_ATsupports] = ACTIONS(200),
    [sym_nesting_selector] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_COLON_COLON] = ACTIONS(27),
    [anon_sym_POUND] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_identifier] = ACTIONS(202),
    [sym_at_keyword] = ACTIONS(204),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATmixin] = ACTIONS(206),
    [anon_sym_ATinclude] = ACTIONS(208),
    [anon_sym_ATfunction] = ACTIONS(210),
    [anon_sym_ATreturn] = ACTIONS(212),
    [anon_sym_ATextend] = ACTIONS(214),
    [anon_sym_ATerror] = ACTIONS(216),
    [anon_sym_ATwarn] = ACTIONS(218),
    [anon_sym_ATdebug] = ACTIONS(220),
    [anon_sym_ATat_DASHroot] = ACTIONS(222),
    [anon_sym_ATif] = ACTIONS(224),
    [anon_sym_ATeach] = ACTIONS(226),
    [anon_sym_ATfor] = ACTIONS(228),
    [anon_sym_ATwhile] = ACTIONS(230),
    [anon_sym_POUND_LBRACE] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(73),
    [sym_variable] = ACTIONS(232),
    [sym__pseudo_class_selector_colon] = ACTIONS(77),
  },
  [9] = {
    [sym_import_statement] = STATE(8),
    [sym_media_statement] = STATE(8),
    [sym_charset_statement] = STATE(8),
    [sym_namespace_statement] = STATE(8),
    [sym_keyframes_statement] = STATE(8),
    [sym_supports_statement] = STATE(8),
    [sym_postcss_statement] = STATE(8),
    [sym_at_rule] = STATE(8),
    [sym_rule_set] = STATE(8),
    [sym_selectors] = STATE(624),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(8),
    [sym_last_declaration] = STATE(666),
    [sym_string_value] = STATE(399),
    [sym_mixin_statement] = STATE(8),
    [sym_include_statement] = STATE(8),
    [sym_function_statement] = STATE(8),
    [sym_return_statement] = STATE(8),
    [sym_extend_statement] = STATE(8),
    [sym_error_statement] = STATE(8),
    [sym_warn_statement] = STATE(8),
    [sym_debug_statement] = STATE(8),
    [sym_at_root_statement] = STATE(8),
    [sym_if_statement] = STATE(8),
    [sym_each_statement] = STATE(8),
    [sym_for_statement] = STATE(8),
    [sym_while_statement] = STATE(8),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(391),
    [aux_sym_block_repeat1] = STATE(8),
    [anon_sym_ATimport] = ACTIONS(188),
    [anon_sym_ATmedia] = ACTIONS(190),
    [anon_sym_ATcharset] = ACTIONS(192),
    [anon_sym_ATnamespace] = ACTIONS(194),
    [anon_sym_ATkeyframes] = ACTIONS(196),
    [aux_sym_keyframes_statement_token1] = ACTIONS(196),
    [anon_sym_RBRACE] = ACTIONS(242),
    [anon_sym_ATsupports] = ACTIONS(200),
    [sym_nesting_selector] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_COLON_COLON] = ACTIONS(27),
    [anon_sym_POUND] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_identifier] = ACTIONS(202),
    [sym_at_keyword] = ACTIONS(204),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATmixin] = ACTIONS(206),
    [anon_sym_ATinclude] = ACTIONS(208),
    [anon_sym_ATfunction] = ACTIONS(210),
    [anon_sym_ATreturn] = ACTIONS(212),
    [anon_sym_ATextend] = ACTIONS(214),
    [anon_sym_ATerror] = ACTIONS(216),
    [anon_sym_ATwarn] = ACTIONS(218),
    [anon_sym_ATdebug] = ACTIONS(220),
    [anon_sym_ATat_DASHroot] = ACTIONS(222),
    [anon_sym_ATif] = ACTIONS(224),
    [anon_sym_ATeach] = ACTIONS(226),
    [anon_sym_ATfor] = ACTIONS(228),
    [anon_sym_ATwhile] = ACTIONS(230),
    [anon_sym_POUND_LBRACE] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(73),
    [sym_variable] = ACTIONS(232),
    [sym__pseudo_class_selector_colon] = ACTIONS(77),
  },
  [10] = {
    [sym_import_statement] = STATE(14),
    [sym_media_statement] = STATE(14),
    [sym_charset_statement] = STATE(14),
    [sym_namespace_statement] = STATE(14),
    [sym_keyframes_statement] = STATE(14),
    [sym_supports_statement] = STATE(14),
    [sym_postcss_statement] = STATE(14),
    [sym_at_rule] = STATE(14),
    [sym_rule_set] = STATE(14),
    [sym_selectors] = STATE(624),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(14),
    [sym_last_declaration] = STATE(641),
    [sym_string_value] = STATE(399),
    [sym_mixin_statement] = STATE(14),
    [sym_include_statement] = STATE(14),
    [sym_function_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_extend_statement] = STATE(14),
    [sym_error_statement] = STATE(14),
    [sym_warn_statement] = STATE(14),
    [sym_debug_statement] = STATE(14),
    [sym_at_root_statement] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_each_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(391),
    [aux_sym_block_repeat1] = STATE(14),
    [anon_sym_ATimport] = ACTIONS(188),
    [anon_sym_ATmedia] = ACTIONS(190),
    [anon_sym_ATcharset] = ACTIONS(192),
    [anon_sym_ATnamespace] = ACTIONS(194),
    [anon_sym_ATkeyframes] = ACTIONS(196),
    [aux_sym_keyframes_statement_token1] = ACTIONS(196),
    [anon_sym_RBRACE] = ACTIONS(244),
    [anon_sym_ATsupports] = ACTIONS(200),
    [sym_nesting_selector] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_COLON_COLON] = ACTIONS(27),
    [anon_sym_POUND] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_identifier] = ACTIONS(202),
    [sym_at_keyword] = ACTIONS(204),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATmixin] = ACTIONS(206),
    [anon_sym_ATinclude] = ACTIONS(208),
    [anon_sym_ATfunction] = ACTIONS(210),
    [anon_sym_ATreturn] = ACTIONS(212),
    [anon_sym_ATextend] = ACTIONS(214),
    [anon_sym_ATerror] = ACTIONS(216),
    [anon_sym_ATwarn] = ACTIONS(218),
    [anon_sym_ATdebug] = ACTIONS(220),
    [anon_sym_ATat_DASHroot] = ACTIONS(222),
    [anon_sym_ATif] = ACTIONS(224),
    [anon_sym_ATeach] = ACTIONS(226),
    [anon_sym_ATfor] = ACTIONS(228),
    [anon_sym_ATwhile] = ACTIONS(230),
    [anon_sym_POUND_LBRACE] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(73),
    [sym_variable] = ACTIONS(232),
    [sym__pseudo_class_selector_colon] = ACTIONS(77),
  },
  [11] = {
    [sym_import_statement] = STATE(13),
    [sym_media_statement] = STATE(13),
    [sym_charset_statement] = STATE(13),
    [sym_namespace_statement] = STATE(13),
    [sym_keyframes_statement] = STATE(13),
    [sym_supports_statement] = STATE(13),
    [sym_postcss_statement] = STATE(13),
    [sym_at_rule] = STATE(13),
    [sym_rule_set] = STATE(13),
    [sym_selectors] = STATE(624),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(13),
    [sym_last_declaration] = STATE(647),
    [sym_string_value] = STATE(399),
    [sym_mixin_statement] = STATE(13),
    [sym_include_statement] = STATE(13),
    [sym_function_statement] = STATE(13),
    [sym_return_statement] = STATE(13),
    [sym_extend_statement] = STATE(13),
    [sym_error_statement] = STATE(13),
    [sym_warn_statement] = STATE(13),
    [sym_debug_statement] = STATE(13),
    [sym_at_root_statement] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_each_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(391),
    [aux_sym_block_repeat1] = STATE(13),
    [anon_sym_ATimport] = ACTIONS(188),
    [anon_sym_ATmedia] = ACTIONS(190),
    [anon_sym_ATcharset] = ACTIONS(192),
    [anon_sym_ATnamespace] = ACTIONS(194),
    [anon_sym_ATkeyframes] = ACTIONS(196),
    [aux_sym_keyframes_statement_token1] = ACTIONS(196),
    [anon_sym_RBRACE] = ACTIONS(246),
    [anon_sym_ATsupports] = ACTIONS(200),
    [sym_nesting_selector] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_COLON_COLON] = ACTIONS(27),
    [anon_sym_POUND] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_identifier] = ACTIONS(202),
    [sym_at_keyword] = ACTIONS(204),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATmixin] = ACTIONS(206),
    [anon_sym_ATinclude] = ACTIONS(208),
    [anon_sym_ATfunction] = ACTIONS(210),
    [anon_sym_ATreturn] = ACTIONS(212),
    [anon_sym_ATextend] = ACTIONS(214),
    [anon_sym_ATerror] = ACTIONS(216),
    [anon_sym_ATwarn] = ACTIONS(218),
    [anon_sym_ATdebug] = ACTIONS(220),
    [anon_sym_ATat_DASHroot] = ACTIONS(222),
    [anon_sym_ATif] = ACTIONS(224),
    [anon_sym_ATeach] = ACTIONS(226),
    [anon_sym_ATfor] = ACTIONS(228),
    [anon_sym_ATwhile] = ACTIONS(230),
    [anon_sym_POUND_LBRACE] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(73),
    [sym_variable] = ACTIONS(232),
    [sym__pseudo_class_selector_colon] = ACTIONS(77),
  },
  [12] = {
    [sym_import_statement] = STATE(7),
    [sym_media_statement] = STATE(7),
    [sym_charset_statement] = STATE(7),
    [sym_namespace_statement] = STATE(7),
    [sym_keyframes_statement] = STATE(7),
    [sym_supports_statement] = STATE(7),
    [sym_postcss_statement] = STATE(7),
    [sym_at_rule] = STATE(7),
    [sym_rule_set] = STATE(7),
    [sym_selectors] = STATE(624),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(7),
    [sym_last_declaration] = STATE(631),
    [sym_string_value] = STATE(399),
    [sym_mixin_statement] = STATE(7),
    [sym_include_statement] = STATE(7),
    [sym_function_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_extend_statement] = STATE(7),
    [sym_error_statement] = STATE(7),
    [sym_warn_statement] = STATE(7),
    [sym_debug_statement] = STATE(7),
    [sym_at_root_statement] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_each_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(391),
    [aux_sym_block_repeat1] = STATE(7),
    [anon_sym_ATimport] = ACTIONS(188),
    [anon_sym_ATmedia] = ACTIONS(190),
    [anon_sym_ATcharset] = ACTIONS(192),
    [anon_sym_ATnamespace] = ACTIONS(194),
    [anon_sym_ATkeyframes] = ACTIONS(196),
    [aux_sym_keyframes_statement_token1] = ACTIONS(196),
    [anon_sym_RBRACE] = ACTIONS(248),
    [anon_sym_ATsupports] = ACTIONS(200),
    [sym_nesting_selector] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_COLON_COLON] = ACTIONS(27),
    [anon_sym_POUND] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_identifier] = ACTIONS(202),
    [sym_at_keyword] = ACTIONS(204),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATmixin] = ACTIONS(206),
    [anon_sym_ATinclude] = ACTIONS(208),
    [anon_sym_ATfunction] = ACTIONS(210),
    [anon_sym_ATreturn] = ACTIONS(212),
    [anon_sym_ATextend] = ACTIONS(214),
    [anon_sym_ATerror] = ACTIONS(216),
    [anon_sym_ATwarn] = ACTIONS(218),
    [anon_sym_ATdebug] = ACTIONS(220),
    [anon_sym_ATat_DASHroot] = ACTIONS(222),
    [anon_sym_ATif] = ACTIONS(224),
    [anon_sym_ATeach] = ACTIONS(226),
    [anon_sym_ATfor] = ACTIONS(228),
    [anon_sym_ATwhile] = ACTIONS(230),
    [anon_sym_POUND_LBRACE] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(73),
    [sym_variable] = ACTIONS(232),
    [sym__pseudo_class_selector_colon] = ACTIONS(77),
  },
  [13] = {
    [sym_import_statement] = STATE(14),
    [sym_media_statement] = STATE(14),
    [sym_charset_statement] = STATE(14),
    [sym_namespace_statement] = STATE(14),
    [sym_keyframes_statement] = STATE(14),
    [sym_supports_statement] = STATE(14),
    [sym_postcss_statement] = STATE(14),
    [sym_at_rule] = STATE(14),
    [sym_rule_set] = STATE(14),
    [sym_selectors] = STATE(624),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(14),
    [sym_last_declaration] = STATE(644),
    [sym_string_value] = STATE(399),
    [sym_mixin_statement] = STATE(14),
    [sym_include_statement] = STATE(14),
    [sym_function_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_extend_statement] = STATE(14),
    [sym_error_statement] = STATE(14),
    [sym_warn_statement] = STATE(14),
    [sym_debug_statement] = STATE(14),
    [sym_at_root_statement] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_each_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(391),
    [aux_sym_block_repeat1] = STATE(14),
    [anon_sym_ATimport] = ACTIONS(188),
    [anon_sym_ATmedia] = ACTIONS(190),
    [anon_sym_ATcharset] = ACTIONS(192),
    [anon_sym_ATnamespace] = ACTIONS(194),
    [anon_sym_ATkeyframes] = ACTIONS(196),
    [aux_sym_keyframes_statement_token1] = ACTIONS(196),
    [anon_sym_RBRACE] = ACTIONS(250),
    [anon_sym_ATsupports] = ACTIONS(200),
    [sym_nesting_selector] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_DOT] = ACTIONS(25),
    [anon_sym_COLON_COLON] = ACTIONS(27),
    [anon_sym_POUND] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_SQUOTE] = ACTIONS(33),
    [anon_sym_DQUOTE] = ACTIONS(35),
    [sym_identifier] = ACTIONS(202),
    [sym_at_keyword] = ACTIONS(204),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATmixin] = ACTIONS(206),
    [anon_sym_ATinclude] = ACTIONS(208),
    [anon_sym_ATfunction] = ACTIONS(210),
    [anon_sym_ATreturn] = ACTIONS(212),
    [anon_sym_ATextend] = ACTIONS(214),
    [anon_sym_ATerror] = ACTIONS(216),
    [anon_sym_ATwarn] = ACTIONS(218),
    [anon_sym_ATdebug] = ACTIONS(220),
    [anon_sym_ATat_DASHroot] = ACTIONS(222),
    [anon_sym_ATif] = ACTIONS(224),
    [anon_sym_ATeach] = ACTIONS(226),
    [anon_sym_ATfor] = ACTIONS(228),
    [anon_sym_ATwhile] = ACTIONS(230),
    [anon_sym_POUND_LBRACE] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(73),
    [sym_variable] = ACTIONS(232),
    [sym__pseudo_class_selector_colon] = ACTIONS(77),
  },
  [14] = {
    [sym_import_statement] = STATE(14),
    [sym_media_statement] = STATE(14),
    [sym_charset_statement] = STATE(14),
    [sym_namespace_statement] = STATE(14),
    [sym_keyframes_statement] = STATE(14),
    [sym_supports_statement] = STATE(14),
    [sym_postcss_statement] = STATE(14),
    [sym_at_rule] = STATE(14),
    [sym_rule_set] = STATE(14),
    [sym_selectors] = STATE(624),
    [sym__selector] = STATE(399),
    [sym_universal_selector] = STATE(399),
    [sym_class_selector] = STATE(399),
    [sym_pseudo_class_selector] = STATE(399),
    [sym_pseudo_element_selector] = STATE(399),
    [sym_id_selector] = STATE(399),
    [sym_attribute_selector] = STATE(399),
    [sym_child_selector] = STATE(399),
    [sym_descendant_selector] = STATE(399),
    [sym_sibling_selector] = STATE(399),
    [sym_adjacent_sibling_selector] = STATE(399),
    [sym_namespace_selector] = STATE(399),
    [sym_declaration] = STATE(14),
    [sym_string_value] = STATE(399),
    [sym_mixin_statement] = STATE(14),
    [sym_include_statement] = STATE(14),
    [sym_function_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_extend_statement] = STATE(14),
    [sym_error_statement] = STATE(14),
    [sym_warn_statement] = STATE(14),
    [sym_debug_statement] = STATE(14),
    [sym_at_root_statement] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_each_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_interpolation] = STATE(179),
    [sym_placeholder] = STATE(399),
    [sym__concatenated_identifier] = STATE(391),
    [aux_sym_block_repeat1] = STATE(14),
    [anon_sym_ATimport] = ACTIONS(252),
    [anon_sym_ATmedia] = ACTIONS(255),
    [anon_sym_ATcharset] = ACTIONS(258),
    [anon_sym_ATnamespace] = ACTIONS(261),
    [anon_sym_ATkeyframes] = ACTIONS(264),
    [aux_sym_keyframes_statement_token1] = ACTIONS(264),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_ATsupports] = ACTIONS(269),
    [sym_nesting_selector] = ACTIONS(272),
    [anon_sym_STAR] = ACTIONS(275),
    [anon_sym_DOT] = ACTIONS(278),
    [anon_sym_COLON_COLON] = ACTIONS(281),
    [anon_sym_POUND] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(287),
    [anon_sym_SQUOTE] = ACTIONS(290),
    [anon_sym_DQUOTE] = ACTIONS(293),
    [sym_identifier] = ACTIONS(296),
    [sym_at_keyword] = ACTIONS(299),
    [sym_js_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_ATmixin] = ACTIONS(302),
    [anon_sym_ATinclude] = ACTIONS(305),
    [anon_sym_ATfunction] = ACTIONS(308),
    [anon_sym_ATreturn] = ACTIONS(311),
    [anon_sym_ATextend] = ACTIONS(314),
    [anon_sym_ATerror] = ACTIONS(317),
    [anon_sym_ATwarn] = ACTIONS(320),
    [anon_sym_ATdebug] = ACTIONS(323),
    [anon_sym_ATat_DASHroot] = ACTIONS(326),
    [anon_sym_ATif] = ACTIONS(329),
    [anon_sym_ATeach] = ACTIONS(332),
    [anon_sym_ATfor] = ACTIONS(335),
    [anon_sym_ATwhile] = ACTIONS(338),
    [anon_sym_POUND_LBRACE] = ACTIONS(341),
    [anon_sym_PERCENT] = ACTIONS(344),
    [sym_variable] = ACTIONS(347),
    [sym__pseudo_class_selector_colon] = ACTIONS(350),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 28,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(353), 1,
      sym_nesting_selector,
    ACTIONS(355), 1,
      anon_sym_DOT,
    ACTIONS(357), 1,
      anon_sym_POUND,
    ACTIONS(359), 1,
      anon_sym_RPAREN,
    ACTIONS(361), 1,
      sym_important,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(367), 1,
      anon_sym_DQUOTE,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(373), 1,
      anon_sym_LBRACK2,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(379), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(381), 1,
      sym_variable,
    STATE(132), 1,
      sym_interpolation,
    STATE(136), 1,
      sym_string_value,
    STATE(138), 1,
      sym__concatenated_identifier,
    STATE(152), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(203), 9,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
    STATE(400), 13,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_placeholder,
  [105] = 28,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(353), 1,
      sym_nesting_selector,
    ACTIONS(355), 1,
      anon_sym_DOT,
    ACTIONS(357), 1,
      anon_sym_POUND,
    ACTIONS(361), 1,
      sym_important,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(367), 1,
      anon_sym_DQUOTE,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(373), 1,
      anon_sym_LBRACK2,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(379), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(383), 1,
      anon_sym_RPAREN,
    STATE(132), 1,
      sym_interpolation,
    STATE(136), 1,
      sym_string_value,
    STATE(138), 1,
      sym__concatenated_identifier,
    STATE(151), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(203), 9,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
    STATE(390), 13,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_placeholder,
  [210] = 27,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(353), 1,
      sym_nesting_selector,
    ACTIONS(355), 1,
      anon_sym_DOT,
    ACTIONS(357), 1,
      anon_sym_POUND,
    ACTIONS(361), 1,
      sym_important,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(367), 1,
      anon_sym_DQUOTE,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(373), 1,
      anon_sym_LBRACK2,
    ACTIONS(375), 1,
      sym_identifier,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(379), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(381), 1,
      sym_variable,
    STATE(132), 1,
      sym_interpolation,
    STATE(136), 1,
      sym_string_value,
    STATE(138), 1,
      sym__concatenated_identifier,
    STATE(164), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(203), 9,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
    STATE(425), 13,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_placeholder,
  [312] = 27,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(355), 1,
      anon_sym_DOT,
    ACTIONS(385), 1,
      sym_nesting_selector,
    ACTIONS(387), 1,
      anon_sym_POUND,
    ACTIONS(389), 1,
      sym_important,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(397), 1,
      anon_sym_LBRACK2,
    ACTIONS(399), 1,
      sym_identifier,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(403), 1,
      sym_variable,
    STATE(179), 1,
      sym_interpolation,
    STATE(314), 1,
      sym_string_value,
    STATE(321), 1,
      sym__concatenated_identifier,
    STATE(444), 1,
      sym_class_selector,
    STATE(482), 9,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
    STATE(487), 12,
      sym__selector,
      sym_universal_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_placeholder,
  [413] = 27,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(355), 1,
      anon_sym_DOT,
    ACTIONS(385), 1,
      sym_nesting_selector,
    ACTIONS(387), 1,
      anon_sym_POUND,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(397), 1,
      anon_sym_LBRACK2,
    ACTIONS(399), 1,
      sym_identifier,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(405), 1,
      sym_important,
    ACTIONS(407), 1,
      sym_variable,
    STATE(179), 1,
      sym_interpolation,
    STATE(314), 1,
      sym_string_value,
    STATE(321), 1,
      sym__concatenated_identifier,
    STATE(433), 1,
      sym_class_selector,
    STATE(469), 9,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
    STATE(487), 12,
      sym__selector,
      sym_universal_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_placeholder,
  [514] = 6,
    ACTIONS(413), 1,
      anon_sym_ATelse,
    STATE(45), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(21), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(409), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(411), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [570] = 6,
    ACTIONS(413), 1,
      anon_sym_ATelse,
    STATE(54), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(22), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(415), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(417), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [626] = 5,
    ACTIONS(423), 1,
      anon_sym_ATelse,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(22), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(419), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(421), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [679] = 23,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(426), 1,
      anon_sym_COMMA,
    ACTIONS(428), 1,
      anon_sym_SEMI,
    ACTIONS(430), 1,
      anon_sym_RBRACE,
    ACTIONS(432), 1,
      sym_nesting_selector,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(440), 1,
      sym_important,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(452), 1,
      sym_variable,
    STATE(147), 1,
      aux_sym_declaration_repeat1,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(434), 5,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(438), 5,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
    STATE(199), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [767] = 6,
    ACTIONS(454), 1,
      anon_sym_ATelse,
    STATE(120), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(31), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(415), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(417), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [821] = 6,
    ACTIONS(454), 1,
      anon_sym_ATelse,
    STATE(115), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(24), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(409), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(411), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [875] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(456), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(458), 26,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATelse,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [922] = 23,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(460), 1,
      anon_sym_SEMI,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    ACTIONS(464), 1,
      anon_sym_LPAREN2,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(470), 1,
      sym_identifier,
    ACTIONS(472), 1,
      anon_sym_POUND_LBRACE,
    STATE(62), 1,
      sym_block,
    STATE(145), 1,
      sym_interpolation,
    STATE(186), 1,
      aux_sym_postcss_statement_repeat1,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    STATE(499), 6,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [1009] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(474), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(476), 26,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATelse,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1056] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(478), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(480), 26,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATelse,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1103] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(482), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(484), 26,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATelse,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1150] = 5,
    ACTIONS(486), 1,
      anon_sym_ATelse,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(31), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(419), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(421), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1201] = 23,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(464), 1,
      anon_sym_LPAREN2,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(470), 1,
      sym_identifier,
    ACTIONS(472), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(489), 1,
      anon_sym_SEMI,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    STATE(87), 1,
      sym_block,
    STATE(145), 1,
      sym_interpolation,
    STATE(183), 1,
      aux_sym_postcss_statement_repeat1,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    STATE(498), 6,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [1288] = 22,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(426), 1,
      anon_sym_COMMA,
    ACTIONS(432), 1,
      sym_nesting_selector,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(452), 1,
      sym_variable,
    ACTIONS(493), 1,
      anon_sym_SEMI,
    ACTIONS(495), 1,
      sym_important,
    STATE(153), 1,
      sym_interpolation,
    STATE(161), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(434), 5,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(438), 5,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
    STATE(199), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [1373] = 22,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(426), 1,
      anon_sym_COMMA,
    ACTIONS(428), 1,
      anon_sym_SEMI,
    ACTIONS(432), 1,
      sym_nesting_selector,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(452), 1,
      sym_variable,
    ACTIONS(497), 1,
      sym_important,
    STATE(153), 1,
      sym_interpolation,
    STATE(171), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(434), 5,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(438), 5,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
    STATE(199), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [1458] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(499), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(501), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1504] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(503), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(505), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1550] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(507), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(509), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1596] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(511), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(513), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1642] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(474), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(476), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1688] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(515), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(517), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1734] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(519), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(521), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1780] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(523), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(525), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1826] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(527), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(529), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1872] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(531), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(533), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1918] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(415), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(417), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [1964] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(535), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(537), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2010] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(539), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(541), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2056] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(543), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(545), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2102] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(547), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(549), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2148] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(551), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(553), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2194] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(555), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(557), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2240] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(482), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(484), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2286] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(559), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(561), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2332] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(563), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(565), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2378] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(567), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(569), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2424] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(571), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(573), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2470] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(575), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(577), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2516] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(579), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(581), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2562] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(583), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(585), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2608] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(587), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(589), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2654] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(478), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(480), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2700] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(579), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(581), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2746] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(591), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(593), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2792] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(595), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(597), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2838] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(599), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(601), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2884] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(603), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(605), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2930] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(607), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(609), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [2976] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(611), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(613), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3022] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(615), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(617), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3068] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(619), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(621), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3114] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(623), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(625), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3160] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(627), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(629), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3206] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(631), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(633), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3252] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(635), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(637), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3298] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(639), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(641), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3344] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(643), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(645), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3390] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(647), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(649), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3436] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(651), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(653), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3482] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(655), 12,
      sym__pseudo_class_selector_colon,
      ts_builtin_sym_end,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(657), 25,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATuse,
      anon_sym_ATforward,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3528] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(456), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(458), 24,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATelse,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3573] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(478), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(480), 24,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATelse,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3618] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(474), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(476), 24,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATelse,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3663] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(482), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(484), 24,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATelse,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3708] = 10,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(669), 1,
      sym__concat,
    STATE(131), 1,
      aux_sym__concatenated_identifier_repeat1,
    STATE(196), 1,
      sym_arguments,
    ACTIONS(663), 4,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(659), 9,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(661), 9,
      anon_sym_STAR,
      sym_important,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
    ACTIONS(667), 10,
      anon_sym_LPAREN2,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_LBRACK2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
  [3767] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(607), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(609), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3811] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(579), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(581), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3855] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(579), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(581), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3899] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(567), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(569), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3943] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(643), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(645), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [3987] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(515), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(517), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4031] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(527), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(529), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4075] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(535), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(537), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4119] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(539), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(541), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4163] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(555), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(557), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4207] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(591), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(593), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4251] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(595), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(597), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4295] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(611), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(613), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4339] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(615), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(617), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4383] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(619), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(621), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4427] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(623), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(625), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4471] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(627), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(629), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4515] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(631), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(633), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4559] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(635), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(637), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4603] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(639), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(641), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4647] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(482), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(484), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4691] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(651), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(653), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4735] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(583), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(585), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4779] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(503), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(505), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4823] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(507), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(509), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4867] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(511), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(513), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4911] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(519), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(521), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4955] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(523), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(525), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [4999] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(499), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(501), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5043] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(531), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(533), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5087] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(415), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(417), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5131] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(543), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(545), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5175] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(547), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(549), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5219] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(551), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(553), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5263] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(559), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(561), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5307] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(563), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(565), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5351] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(571), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(573), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5395] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(575), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(577), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5439] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(655), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(657), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5483] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(587), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(589), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5527] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(478), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(480), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5571] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(474), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(476), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5615] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(647), 12,
      sym__pseudo_class_selector_colon,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_POUND_LBRACE,
      anon_sym_PERCENT,
      sym_variable,
    ACTIONS(649), 23,
      anon_sym_ATimport,
      anon_sym_ATmedia,
      anon_sym_ATcharset,
      anon_sym_ATnamespace,
      anon_sym_ATkeyframes,
      aux_sym_keyframes_statement_token1,
      anon_sym_ATsupports,
      anon_sym_POUND,
      sym_identifier,
      sym_at_keyword,
      anon_sym_ATmixin,
      anon_sym_ATinclude,
      anon_sym_ATfunction,
      anon_sym_ATreturn,
      anon_sym_ATextend,
      anon_sym_ATerror,
      anon_sym_ATwarn,
      anon_sym_ATdebug,
      anon_sym_ATat_DASHroot,
      anon_sym_ATif,
      anon_sym_ATeach,
      anon_sym_ATfor,
      anon_sym_ATwhile,
  [5659] = 19,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(675), 1,
      anon_sym_LPAREN2,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(683), 1,
      sym_identifier,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(687), 1,
      sym_variable,
    STATE(385), 1,
      sym_interpolation,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    ACTIONS(671), 2,
      sym_nesting_selector,
      sym_important,
    STATE(598), 6,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
    STATE(405), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [5734] = 19,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(675), 1,
      anon_sym_LPAREN2,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(683), 1,
      sym_identifier,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(691), 1,
      sym_variable,
    STATE(385), 1,
      sym_interpolation,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    ACTIONS(689), 2,
      sym_nesting_selector,
      sym_important,
    STATE(598), 6,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
    STATE(409), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [5809] = 10,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(701), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(285), 1,
      sym__concatenated_identifier,
    ACTIONS(697), 4,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(699), 8,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_LBRACK2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_plain_value,
      sym_variable,
    ACTIONS(693), 9,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(695), 9,
      anon_sym_STAR,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5866] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(669), 1,
      sym__concat,
    STATE(133), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(705), 13,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_LBRACK2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(703), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [5915] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(669), 1,
      sym__concat,
    STATE(131), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(709), 13,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_LBRACK2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(707), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [5964] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(715), 1,
      sym__concat,
    STATE(133), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(713), 13,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_LBRACK2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(711), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [6013] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(713), 13,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_LBRACK2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(711), 20,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym__concat,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [6057] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(720), 13,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_LBRACK2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(718), 20,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym__concat,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [6101] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(697), 4,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(693), 9,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(699), 9,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_LBRACK2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(695), 10,
      anon_sym_STAR,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [6148] = 10,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      sym__concat,
    STATE(156), 1,
      aux_sym__concatenated_identifier_repeat1,
    STATE(196), 1,
      sym_arguments,
    ACTIONS(724), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(722), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(661), 11,
      sym_nesting_selector,
      anon_sym_STAR,
      sym_important,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
    ACTIONS(667), 12,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
  [6203] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(663), 4,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(659), 9,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(699), 9,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_LBRACK2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(695), 10,
      anon_sym_STAR,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [6250] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(730), 13,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_LBRACK2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(728), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [6293] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(734), 13,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_LBRACK2,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(732), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [6336] = 8,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    ACTIONS(726), 1,
      sym__concat,
    STATE(156), 1,
      aux_sym__concatenated_identifier_repeat1,
    STATE(196), 1,
      sym_arguments,
    ACTIONS(667), 12,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(661), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [6386] = 20,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(738), 1,
      anon_sym_RPAREN,
    STATE(148), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    STATE(564), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    ACTIONS(736), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [6459] = 20,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(740), 1,
      anon_sym_RPAREN,
    STATE(148), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    STATE(525), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    ACTIONS(736), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [6532] = 20,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(742), 1,
      anon_sym_RPAREN,
    STATE(148), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    STATE(574), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    ACTIONS(736), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [6605] = 8,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(726), 1,
      sym__concat,
    STATE(156), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(744), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(746), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(709), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(707), 13,
      anon_sym_SEMI,
      sym_nesting_selector,
      anon_sym_STAR,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [6654] = 20,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(748), 1,
      anon_sym_RPAREN,
    STATE(148), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    STATE(533), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    ACTIONS(736), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [6727] = 21,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(426), 1,
      anon_sym_COMMA,
    ACTIONS(432), 1,
      sym_nesting_selector,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(452), 1,
      sym_variable,
    ACTIONS(750), 1,
      anon_sym_SEMI,
    ACTIONS(752), 1,
      anon_sym_RBRACE,
    ACTIONS(754), 1,
      sym_important,
    STATE(153), 1,
      sym_interpolation,
    STATE(157), 1,
      aux_sym_declaration_repeat1,
    STATE(199), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [6801] = 18,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_POUND,
    ACTIONS(764), 1,
      anon_sym_LPAREN2,
    ACTIONS(767), 1,
      anon_sym_SQUOTE,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(773), 1,
      aux_sym_integer_value_token1,
    ACTIONS(776), 1,
      aux_sym_float_value_token1,
    ACTIONS(779), 1,
      anon_sym_LBRACK2,
    ACTIONS(782), 1,
      sym_identifier,
    ACTIONS(785), 1,
      sym_plain_value,
    ACTIONS(788), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(791), 1,
      sym_variable,
    STATE(148), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(758), 2,
      sym_nesting_selector,
      sym_important,
    ACTIONS(756), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [6869] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(665), 1,
      anon_sym_LPAREN,
    STATE(196), 1,
      sym_arguments,
    ACTIONS(699), 12,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(695), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [6913] = 18,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    STATE(148), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    ACTIONS(794), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [6981] = 20,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(796), 1,
      anon_sym_COMMA,
    ACTIONS(798), 1,
      anon_sym_RPAREN,
    STATE(148), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    STATE(605), 1,
      aux_sym_pseudo_class_arguments_repeat1,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [7053] = 20,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(796), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RPAREN,
    STATE(148), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    STATE(600), 1,
      aux_sym_pseudo_class_arguments_repeat1,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [7125] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(726), 1,
      sym__concat,
    STATE(156), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(709), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(707), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [7169] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(802), 1,
      sym__concat,
    STATE(154), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(713), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(711), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [7213] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(720), 13,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_and,
      anon_sym_or,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(718), 16,
      sym__concat,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [7253] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(726), 1,
      sym__concat,
    STATE(154), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(705), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(703), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [7297] = 19,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_COMMA,
    ACTIONS(813), 1,
      anon_sym_POUND,
    ACTIONS(816), 1,
      anon_sym_LPAREN2,
    ACTIONS(819), 1,
      anon_sym_SQUOTE,
    ACTIONS(822), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      aux_sym_integer_value_token1,
    ACTIONS(828), 1,
      aux_sym_float_value_token1,
    ACTIONS(831), 1,
      anon_sym_LBRACK2,
    ACTIONS(834), 1,
      sym_identifier,
    ACTIONS(837), 1,
      sym_plain_value,
    ACTIONS(840), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(843), 1,
      sym_variable,
    STATE(153), 1,
      sym_interpolation,
    STATE(157), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(808), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(810), 2,
      sym_nesting_selector,
      sym_important,
    STATE(199), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [7367] = 16,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(29), 1,
      anon_sym_POUND,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(846), 1,
      sym_nesting_selector,
    ACTIONS(848), 1,
      anon_sym_DOT,
    ACTIONS(850), 1,
      anon_sym_SQUOTE,
    ACTIONS(852), 1,
      anon_sym_DQUOTE,
    ACTIONS(854), 1,
      sym_identifier,
    ACTIONS(856), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(858), 1,
      sym__pseudo_class_selector_colon,
    STATE(300), 1,
      sym__concatenated_identifier,
    STATE(302), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(349), 14,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_string_value,
      sym_placeholder,
  [7430] = 16,
    ACTIONS(21), 1,
      sym_nesting_selector,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(25), 1,
      anon_sym_DOT,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(29), 1,
      anon_sym_POUND,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(860), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(300), 1,
      sym__concatenated_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(392), 14,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_string_value,
      sym_placeholder,
  [7493] = 16,
    ACTIONS(21), 1,
      sym_nesting_selector,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(25), 1,
      anon_sym_DOT,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(29), 1,
      anon_sym_POUND,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(860), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(300), 1,
      sym__concatenated_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(393), 14,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_string_value,
      sym_placeholder,
  [7556] = 20,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(426), 1,
      anon_sym_COMMA,
    ACTIONS(432), 1,
      sym_nesting_selector,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(452), 1,
      sym_variable,
    ACTIONS(862), 1,
      anon_sym_SEMI,
    ACTIONS(864), 1,
      sym_important,
    STATE(153), 1,
      sym_interpolation,
    STATE(157), 1,
      aux_sym_declaration_repeat1,
    STATE(199), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [7627] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(713), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(711), 17,
      sym__concat,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [7666] = 16,
    ACTIONS(21), 1,
      sym_nesting_selector,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(25), 1,
      anon_sym_DOT,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(29), 1,
      anon_sym_POUND,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(860), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(300), 1,
      sym__concatenated_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(394), 14,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_string_value,
      sym_placeholder,
  [7729] = 18,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    STATE(148), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    ACTIONS(866), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [7796] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(872), 1,
      sym_unit,
    ACTIONS(870), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(868), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [7837] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(878), 1,
      sym_unit,
    ACTIONS(876), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(874), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [7878] = 16,
    ACTIONS(21), 1,
      sym_nesting_selector,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(25), 1,
      anon_sym_DOT,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(29), 1,
      anon_sym_POUND,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(860), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(300), 1,
      sym__concatenated_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(459), 14,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_string_value,
      sym_placeholder,
  [7941] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(720), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(718), 17,
      sym__concat,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [7980] = 16,
    ACTIONS(21), 1,
      sym_nesting_selector,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(25), 1,
      anon_sym_DOT,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(29), 1,
      anon_sym_POUND,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(860), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(300), 1,
      sym__concatenated_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(395), 14,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_string_value,
      sym_placeholder,
  [8043] = 17,
    ACTIONS(21), 1,
      sym_nesting_selector,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(25), 1,
      anon_sym_DOT,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(29), 1,
      anon_sym_POUND,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(880), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(300), 1,
      sym__concatenated_identifier,
    STATE(336), 1,
      sym_namespace_selector,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(468), 13,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_string_value,
      sym_placeholder,
  [8108] = 20,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(426), 1,
      anon_sym_COMMA,
    ACTIONS(432), 1,
      sym_nesting_selector,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(452), 1,
      sym_variable,
    ACTIONS(750), 1,
      anon_sym_SEMI,
    ACTIONS(882), 1,
      sym_important,
    STATE(153), 1,
      sym_interpolation,
    STATE(157), 1,
      aux_sym_declaration_repeat1,
    STATE(199), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [8179] = 16,
    ACTIONS(21), 1,
      sym_nesting_selector,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(25), 1,
      anon_sym_DOT,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(29), 1,
      anon_sym_POUND,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(860), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(300), 1,
      sym__concatenated_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(396), 14,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_string_value,
      sym_placeholder,
  [8242] = 16,
    ACTIONS(21), 1,
      sym_nesting_selector,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(25), 1,
      anon_sym_DOT,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(29), 1,
      anon_sym_POUND,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(860), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(300), 1,
      sym__concatenated_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(407), 14,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_namespace_selector,
      sym_string_value,
      sym_placeholder,
  [8305] = 17,
    ACTIONS(21), 1,
      sym_nesting_selector,
    ACTIONS(23), 1,
      anon_sym_STAR,
    ACTIONS(25), 1,
      anon_sym_DOT,
    ACTIONS(27), 1,
      anon_sym_COLON_COLON,
    ACTIONS(29), 1,
      anon_sym_POUND,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(73), 1,
      anon_sym_PERCENT,
    ACTIONS(77), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(884), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(300), 1,
      sym__concatenated_identifier,
    STATE(333), 1,
      sym_namespace_selector,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(468), 13,
      sym__selector,
      sym_universal_selector,
      sym_class_selector,
      sym_pseudo_class_selector,
      sym_pseudo_element_selector,
      sym_id_selector,
      sym_attribute_selector,
      sym_child_selector,
      sym_descendant_selector,
      sym_sibling_selector,
      sym_adjacent_sibling_selector,
      sym_string_value,
      sym_placeholder,
  [8370] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(734), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(732), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [8408] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(888), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(886), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [8446] = 18,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(890), 1,
      anon_sym_RPAREN,
    STATE(142), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [8512] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(894), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(892), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [8550] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(896), 1,
      sym__concat,
    STATE(191), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(709), 4,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(707), 21,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8592] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(900), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(898), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [8630] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(904), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(902), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [8668] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(906), 1,
      sym__concat,
    STATE(182), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(713), 4,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(711), 21,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8710] = 18,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(909), 1,
      anon_sym_SEMI,
    STATE(148), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [8776] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(913), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(911), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [8814] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(917), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(915), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [8852] = 18,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(919), 1,
      anon_sym_SEMI,
    STATE(148), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [8918] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(923), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(921), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [8956] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(927), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(925), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [8994] = 18,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(929), 1,
      anon_sym_RPAREN,
    STATE(148), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [9060] = 18,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(931), 1,
      anon_sym_RPAREN,
    STATE(143), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [9126] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(896), 1,
      sym__concat,
    STATE(182), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(705), 4,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(703), 21,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9168] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(935), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(933), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [9206] = 18,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(937), 1,
      anon_sym_RPAREN,
    STATE(146), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [9272] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(730), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(728), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [9310] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(941), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(939), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [9348] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(945), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(943), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [9386] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(949), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(947), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [9424] = 18,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(951), 1,
      anon_sym_RPAREN,
    STATE(144), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [9490] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(434), 5,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(438), 5,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(955), 6,
      anon_sym_POUND,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(953), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_POUND_LBRACE,
  [9531] = 17,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    STATE(150), 1,
      aux_sym_postcss_statement_repeat1,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [9594] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(434), 5,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(438), 5,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(957), 6,
      anon_sym_POUND,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(808), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym_nesting_selector,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_POUND_LBRACE,
  [9635] = 17,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(381), 1,
      sym_variable,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    STATE(153), 1,
      sym_interpolation,
    STATE(189), 1,
      aux_sym_postcss_statement_repeat1,
    ACTIONS(361), 2,
      sym_nesting_selector,
      sym_important,
    STATE(203), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [9698] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(434), 5,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(438), 5,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(961), 6,
      anon_sym_POUND,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(959), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      sym_nesting_selector,
      anon_sym_RPAREN,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_POUND_LBRACE,
  [9739] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_SEMI,
    ACTIONS(965), 1,
      anon_sym_RBRACE,
    ACTIONS(699), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(695), 13,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [9780] = 17,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_POUND,
    ACTIONS(971), 1,
      anon_sym_LPAREN2,
    ACTIONS(973), 1,
      anon_sym_SQUOTE,
    ACTIONS(975), 1,
      anon_sym_DQUOTE,
    ACTIONS(977), 1,
      aux_sym_integer_value_token1,
    ACTIONS(979), 1,
      aux_sym_float_value_token1,
    ACTIONS(981), 1,
      anon_sym_LBRACK2,
    ACTIONS(983), 1,
      sym_identifier,
    ACTIONS(985), 1,
      sym_plain_value,
    ACTIONS(987), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(989), 1,
      sym_variable,
    STATE(401), 1,
      sym_interpolation,
    STATE(604), 1,
      sym__include_argument,
    ACTIONS(967), 2,
      sym_nesting_selector,
      sym_important,
    STATE(437), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [9843] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(720), 4,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(718), 22,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym__concat,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9880] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(713), 4,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(711), 22,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym__concat,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9917] = 17,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_POUND,
    ACTIONS(971), 1,
      anon_sym_LPAREN2,
    ACTIONS(973), 1,
      anon_sym_SQUOTE,
    ACTIONS(975), 1,
      anon_sym_DQUOTE,
    ACTIONS(977), 1,
      aux_sym_integer_value_token1,
    ACTIONS(979), 1,
      aux_sym_float_value_token1,
    ACTIONS(981), 1,
      anon_sym_LBRACK2,
    ACTIONS(983), 1,
      sym_identifier,
    ACTIONS(985), 1,
      sym_plain_value,
    ACTIONS(987), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(989), 1,
      sym_variable,
    STATE(401), 1,
      sym_interpolation,
    STATE(626), 1,
      sym__include_argument,
    ACTIONS(967), 2,
      sym_nesting_selector,
      sym_important,
    STATE(437), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [9980] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(750), 1,
      anon_sym_SEMI,
    ACTIONS(752), 1,
      anon_sym_RBRACE,
    ACTIONS(699), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(695), 13,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [10021] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(995), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(991), 2,
      sym_nesting_selector,
      sym_important,
    STATE(462), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10081] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(999), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(997), 2,
      sym_nesting_selector,
      sym_important,
    STATE(481), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10141] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1003), 1,
      sym_variable,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(1001), 2,
      sym_nesting_selector,
      sym_important,
    STATE(201), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10201] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(862), 1,
      anon_sym_SEMI,
    ACTIONS(699), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(695), 13,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [10239] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1007), 1,
      sym_variable,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(1005), 2,
      sym_nesting_selector,
      sym_important,
    STATE(23), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10299] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1011), 1,
      sym_variable,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(1009), 2,
      sym_nesting_selector,
      sym_important,
    STATE(33), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10359] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1015), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1013), 2,
      sym_nesting_selector,
      sym_important,
    STATE(477), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10419] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1017), 1,
      anon_sym_SEMI,
    ACTIONS(699), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(695), 13,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [10457] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1021), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1019), 2,
      sym_nesting_selector,
      sym_important,
    STATE(456), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10517] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_POUND,
    ACTIONS(971), 1,
      anon_sym_LPAREN2,
    ACTIONS(973), 1,
      anon_sym_SQUOTE,
    ACTIONS(975), 1,
      anon_sym_DQUOTE,
    ACTIONS(977), 1,
      aux_sym_integer_value_token1,
    ACTIONS(979), 1,
      aux_sym_float_value_token1,
    ACTIONS(981), 1,
      anon_sym_LBRACK2,
    ACTIONS(983), 1,
      sym_identifier,
    ACTIONS(985), 1,
      sym_plain_value,
    ACTIONS(987), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1025), 1,
      sym_variable,
    STATE(401), 1,
      sym_interpolation,
    ACTIONS(1023), 2,
      sym_nesting_selector,
      sym_important,
    STATE(455), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10577] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1029), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1027), 2,
      sym_nesting_selector,
      sym_important,
    STATE(429), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10637] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1033), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1031), 2,
      sym_nesting_selector,
      sym_important,
    STATE(442), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10697] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1037), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1035), 2,
      sym_nesting_selector,
      sym_important,
    STATE(440), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10757] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1041), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1039), 2,
      sym_nesting_selector,
      sym_important,
    STATE(363), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10817] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_POUND,
    ACTIONS(1047), 1,
      anon_sym_LPAREN2,
    ACTIONS(1049), 1,
      anon_sym_SQUOTE,
    ACTIONS(1051), 1,
      anon_sym_DQUOTE,
    ACTIONS(1053), 1,
      aux_sym_integer_value_token1,
    ACTIONS(1055), 1,
      aux_sym_float_value_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK2,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      sym_plain_value,
    ACTIONS(1063), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1065), 1,
      sym_variable,
    STATE(324), 1,
      sym_interpolation,
    ACTIONS(1043), 2,
      sym_nesting_selector,
      sym_important,
    STATE(278), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10877] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1067), 2,
      sym_nesting_selector,
      sym_important,
    STATE(486), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10937] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1071), 2,
      sym_nesting_selector,
      sym_important,
    STATE(464), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [10997] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1077), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1075), 2,
      sym_nesting_selector,
      sym_important,
    STATE(484), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11057] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1081), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1079), 2,
      sym_nesting_selector,
      sym_important,
    STATE(485), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11117] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1085), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1083), 2,
      sym_nesting_selector,
      sym_important,
    STATE(488), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11177] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_POUND,
    ACTIONS(1047), 1,
      anon_sym_LPAREN2,
    ACTIONS(1049), 1,
      anon_sym_SQUOTE,
    ACTIONS(1051), 1,
      anon_sym_DQUOTE,
    ACTIONS(1053), 1,
      aux_sym_integer_value_token1,
    ACTIONS(1055), 1,
      aux_sym_float_value_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK2,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      sym_plain_value,
    ACTIONS(1063), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1089), 1,
      sym_variable,
    STATE(324), 1,
      sym_interpolation,
    ACTIONS(1087), 2,
      sym_nesting_selector,
      sym_important,
    STATE(365), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11237] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1093), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1091), 2,
      sym_nesting_selector,
      sym_important,
    STATE(490), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11297] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1097), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1095), 2,
      sym_nesting_selector,
      sym_important,
    STATE(439), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11357] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1101), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1099), 2,
      sym_nesting_selector,
      sym_important,
    STATE(438), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11417] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1103), 2,
      sym_nesting_selector,
      sym_important,
    STATE(441), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11477] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1109), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1107), 2,
      sym_nesting_selector,
      sym_important,
    STATE(466), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11537] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1113), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1111), 2,
      sym_nesting_selector,
      sym_important,
    STATE(463), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11597] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1117), 1,
      sym_variable,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(1115), 2,
      sym_nesting_selector,
      sym_important,
    STATE(197), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11657] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1121), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1119), 2,
      sym_nesting_selector,
      sym_important,
    STATE(483), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11717] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_POUND,
    ACTIONS(971), 1,
      anon_sym_LPAREN2,
    ACTIONS(973), 1,
      anon_sym_SQUOTE,
    ACTIONS(975), 1,
      anon_sym_DQUOTE,
    ACTIONS(977), 1,
      aux_sym_integer_value_token1,
    ACTIONS(979), 1,
      aux_sym_float_value_token1,
    ACTIONS(981), 1,
      anon_sym_LBRACK2,
    ACTIONS(983), 1,
      sym_identifier,
    ACTIONS(985), 1,
      sym_plain_value,
    ACTIONS(987), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1125), 1,
      sym_variable,
    STATE(401), 1,
      sym_interpolation,
    ACTIONS(1123), 2,
      sym_nesting_selector,
      sym_important,
    STATE(449), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11777] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1129), 1,
      aux_sym_integer_value_token1,
    ACTIONS(1131), 1,
      aux_sym_float_value_token1,
    ACTIONS(1133), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1127), 2,
      sym_nesting_selector,
      sym_important,
    STATE(489), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11837] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1137), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1135), 2,
      sym_nesting_selector,
      sym_important,
    STATE(423), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11897] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1041), 1,
      sym_variable,
    ACTIONS(1129), 1,
      aux_sym_integer_value_token1,
    ACTIONS(1131), 1,
      aux_sym_float_value_token1,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1039), 2,
      sym_nesting_selector,
      sym_important,
    STATE(363), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [11957] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1141), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1139), 2,
      sym_nesting_selector,
      sym_important,
    STATE(448), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12017] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1129), 1,
      aux_sym_integer_value_token1,
    ACTIONS(1131), 1,
      aux_sym_float_value_token1,
    ACTIONS(1145), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1143), 2,
      sym_nesting_selector,
      sym_important,
    STATE(473), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12077] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(750), 1,
      anon_sym_SEMI,
    ACTIONS(699), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(695), 13,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [12115] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(963), 1,
      anon_sym_SEMI,
    ACTIONS(699), 11,
      anon_sym_POUND,
      anon_sym_GT,
      anon_sym_PLUS,
      aux_sym_integer_value_token1,
      aux_sym_float_value_token1,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
      sym_plain_value,
      sym_variable,
    ACTIONS(695), 13,
      anon_sym_COMMA,
      sym_nesting_selector,
      anon_sym_STAR,
      sym_important,
      anon_sym_LPAREN2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_LBRACK2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [12153] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_POUND,
    ACTIONS(1047), 1,
      anon_sym_LPAREN2,
    ACTIONS(1049), 1,
      anon_sym_SQUOTE,
    ACTIONS(1051), 1,
      anon_sym_DQUOTE,
    ACTIONS(1053), 1,
      aux_sym_integer_value_token1,
    ACTIONS(1055), 1,
      aux_sym_float_value_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK2,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      sym_plain_value,
    ACTIONS(1063), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1149), 1,
      sym_variable,
    STATE(324), 1,
      sym_interpolation,
    ACTIONS(1147), 2,
      sym_nesting_selector,
      sym_important,
    STATE(276), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12213] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1153), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1151), 2,
      sym_nesting_selector,
      sym_important,
    STATE(465), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12273] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1155), 2,
      sym_nesting_selector,
      sym_important,
    STATE(467), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12333] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1161), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1159), 2,
      sym_nesting_selector,
      sym_important,
    STATE(470), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12393] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1165), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1163), 2,
      sym_nesting_selector,
      sym_important,
    STATE(471), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12453] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1167), 2,
      sym_nesting_selector,
      sym_important,
    STATE(434), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12513] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1173), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1171), 2,
      sym_nesting_selector,
      sym_important,
    STATE(435), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12573] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1177), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1175), 2,
      sym_nesting_selector,
      sym_important,
    STATE(436), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12633] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1181), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1179), 2,
      sym_nesting_selector,
      sym_important,
    STATE(472), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12693] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(687), 1,
      sym_variable,
    ACTIONS(993), 1,
      sym_identifier,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(671), 2,
      sym_nesting_selector,
      sym_important,
    STATE(405), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12753] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1185), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1183), 2,
      sym_nesting_selector,
      sym_important,
    STATE(406), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12813] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_LPAREN2,
    ACTIONS(369), 1,
      aux_sym_integer_value_token1,
    ACTIONS(371), 1,
      aux_sym_float_value_token1,
    ACTIONS(377), 1,
      sym_plain_value,
    ACTIONS(436), 1,
      anon_sym_POUND,
    ACTIONS(442), 1,
      anon_sym_SQUOTE,
    ACTIONS(444), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      anon_sym_LBRACK2,
    ACTIONS(448), 1,
      sym_identifier,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1189), 1,
      sym_variable,
    STATE(153), 1,
      sym_interpolation,
    ACTIONS(1187), 2,
      sym_nesting_selector,
      sym_important,
    STATE(34), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12873] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1193), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1191), 2,
      sym_nesting_selector,
      sym_important,
    STATE(422), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12933] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1197), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1195), 2,
      sym_nesting_selector,
      sym_important,
    STATE(428), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [12993] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1201), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1199), 2,
      sym_nesting_selector,
      sym_important,
    STATE(426), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13053] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1205), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1203), 2,
      sym_nesting_selector,
      sym_important,
    STATE(431), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13113] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1207), 2,
      sym_nesting_selector,
      sym_important,
    STATE(432), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13173] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1213), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1211), 2,
      sym_nesting_selector,
      sym_important,
    STATE(474), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13233] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(691), 1,
      sym_variable,
    ACTIONS(993), 1,
      sym_identifier,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(689), 2,
      sym_nesting_selector,
      sym_important,
    STATE(409), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13293] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1217), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1215), 2,
      sym_nesting_selector,
      sym_important,
    STATE(410), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13353] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1221), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1219), 2,
      sym_nesting_selector,
      sym_important,
    STATE(475), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13413] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1225), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1223), 2,
      sym_nesting_selector,
      sym_important,
    STATE(413), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13473] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1229), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1227), 2,
      sym_nesting_selector,
      sym_important,
    STATE(414), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13533] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1233), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1231), 2,
      sym_nesting_selector,
      sym_important,
    STATE(476), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13593] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1237), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1235), 2,
      sym_nesting_selector,
      sym_important,
    STATE(478), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13653] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1241), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1239), 2,
      sym_nesting_selector,
      sym_important,
    STATE(479), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13713] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1245), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1243), 2,
      sym_nesting_selector,
      sym_important,
    STATE(480), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13773] = 16,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN2,
    ACTIONS(393), 1,
      aux_sym_integer_value_token1,
    ACTIONS(395), 1,
      aux_sym_float_value_token1,
    ACTIONS(401), 1,
      sym_plain_value,
    ACTIONS(673), 1,
      anon_sym_POUND,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      anon_sym_LBRACK2,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(993), 1,
      sym_identifier,
    ACTIONS(1249), 1,
      sym_variable,
    STATE(328), 1,
      sym_interpolation,
    ACTIONS(1247), 2,
      sym_nesting_selector,
      sym_important,
    STATE(420), 11,
      sym__value,
      sym_parenthesized_value,
      sym_color_value,
      sym_string_value,
      sym_integer_value,
      sym_float_value,
      sym_grid_value,
      sym_call_expression,
      sym_binary_expression,
      sym_list_value,
      sym__concatenated_identifier,
  [13833] = 10,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(663), 1,
      anon_sym_GT,
    ACTIONS(896), 1,
      sym__concat,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    STATE(191), 1,
      aux_sym__concatenated_identifier_repeat1,
    STATE(361), 1,
      sym_arguments,
    ACTIONS(667), 2,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(661), 7,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(659), 10,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [13880] = 11,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(1253), 1,
      anon_sym_SEMI,
    ACTIONS(1259), 1,
      anon_sym_LPAREN2,
    ACTIONS(1261), 1,
      sym_identifier,
    ACTIONS(1263), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    ACTIONS(1257), 4,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1255), 6,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(515), 7,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
      sym_interpolation,
  [13929] = 10,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1265), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(285), 1,
      sym__concatenated_identifier,
    ACTIONS(697), 2,
      anon_sym_POUND,
      anon_sym_GT,
    ACTIONS(699), 3,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(695), 6,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(693), 9,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [13976] = 11,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(1259), 1,
      anon_sym_LPAREN2,
    ACTIONS(1261), 1,
      sym_identifier,
    ACTIONS(1263), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1267), 1,
      anon_sym_SEMI,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    ACTIONS(1257), 4,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1255), 6,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(511), 7,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
      sym_interpolation,
  [14025] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(730), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(728), 20,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14059] = 5,
    ACTIONS(1273), 1,
      anon_sym_LPAREN,
    STATE(297), 1,
      sym_pseudo_class_arguments,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1271), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1269), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14095] = 5,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(298), 1,
      sym_pseudo_element_arguments,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1277), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1275), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14131] = 5,
    ACTIONS(1273), 1,
      anon_sym_LPAREN,
    STATE(305), 1,
      sym_pseudo_class_arguments,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1283), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1281), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14167] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(734), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(732), 20,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14201] = 5,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(306), 1,
      sym_pseudo_element_arguments,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1287), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1285), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14237] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1291), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1289), 20,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14268] = 7,
    ACTIONS(1273), 1,
      anon_sym_LPAREN,
    ACTIONS(1293), 1,
      sym__concat,
    STATE(297), 1,
      sym_pseudo_class_arguments,
    STATE(303), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1271), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1269), 16,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [14307] = 7,
    ACTIONS(1273), 1,
      anon_sym_LPAREN,
    ACTIONS(1293), 1,
      sym__concat,
    STATE(303), 1,
      aux_sym__concatenated_identifier_repeat1,
    STATE(305), 1,
      sym_pseudo_class_arguments,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1283), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1281), 16,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [14346] = 7,
    ACTIONS(856), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1295), 1,
      sym_identifier,
    STATE(285), 1,
      sym__concatenated_identifier,
    STATE(302), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(697), 3,
      anon_sym_POUND,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(693), 15,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [14385] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1299), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1297), 20,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14416] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1303), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1301), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14446] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1307), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1305), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14476] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1311), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1309), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14506] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1315), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1313), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14536] = 8,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1317), 1,
      sym__concat,
    STATE(329), 1,
      aux_sym__concatenated_identifier_repeat1,
    STATE(361), 1,
      sym_arguments,
    ACTIONS(667), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(661), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [14576] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1321), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1319), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14606] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1325), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1323), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14636] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1329), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1327), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14666] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1333), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1331), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14696] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1337), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1335), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14726] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(663), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(659), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14756] = 8,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1339), 1,
      anon_sym_LPAREN,
    ACTIONS(1341), 1,
      sym__concat,
    STATE(332), 1,
      aux_sym__concatenated_identifier_repeat1,
    STATE(353), 1,
      sym_arguments,
    ACTIONS(661), 8,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
    ACTIONS(667), 9,
      anon_sym_GT,
      anon_sym_LPAREN2,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
  [14796] = 5,
    ACTIONS(1293), 1,
      sym__concat,
    STATE(303), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(709), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(707), 17,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_LPAREN,
  [14830] = 5,
    ACTIONS(1293), 1,
      sym__concat,
    STATE(304), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(705), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(703), 17,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_LPAREN,
  [14864] = 5,
    ACTIONS(1343), 1,
      sym__concat,
    STATE(304), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(713), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(711), 17,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_LPAREN,
  [14898] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1348), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1346), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14928] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1352), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1350), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14958] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1356), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1354), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [14988] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1360), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1358), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [15018] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1364), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1362), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [15048] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1368), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1366), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [15078] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1372), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1370), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [15108] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1376), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1374), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [15138] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1380), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1378), 19,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_RPAREN,
  [15168] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_GT,
    ACTIONS(699), 2,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(695), 7,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(693), 10,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [15203] = 5,
    ACTIONS(1293), 1,
      sym__concat,
    STATE(303), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1291), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1289), 16,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [15236] = 7,
    ACTIONS(896), 1,
      sym__concat,
    ACTIONS(1384), 1,
      anon_sym_RBRACK,
    STATE(191), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(663), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1382), 6,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
    ACTIONS(659), 9,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [15273] = 5,
    ACTIONS(1293), 1,
      sym__concat,
    STATE(303), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(663), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(659), 16,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [15306] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(713), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(711), 18,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym__concat,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_LPAREN,
  [15335] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(720), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(718), 18,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym__concat,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_LPAREN,
  [15364] = 5,
    ACTIONS(1293), 1,
      sym__concat,
    STATE(303), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1299), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1297), 16,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [15397] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(663), 1,
      anon_sym_GT,
    ACTIONS(699), 2,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(695), 7,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(659), 10,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [15432] = 7,
    ACTIONS(896), 1,
      sym__concat,
    ACTIONS(1388), 1,
      anon_sym_RBRACK,
    STATE(191), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(663), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1386), 6,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
    ACTIONS(659), 9,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [15469] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(720), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(718), 17,
      sym__concat,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [15500] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1341), 1,
      sym__concat,
    STATE(332), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(709), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(707), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [15534] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1339), 1,
      anon_sym_LPAREN,
    STATE(353), 1,
      sym_arguments,
    ACTIONS(695), 8,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
    ACTIONS(699), 9,
      anon_sym_GT,
      anon_sym_LPAREN2,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
  [15568] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1390), 1,
      sym__concat,
    STATE(326), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(713), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(711), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [15602] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    STATE(361), 1,
      sym_arguments,
    ACTIONS(699), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(695), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [15636] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1317), 1,
      sym__concat,
    STATE(329), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(709), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(707), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [15670] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1317), 1,
      sym__concat,
    STATE(330), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(705), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(703), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [15704] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1393), 1,
      sym__concat,
    STATE(330), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(713), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(711), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [15738] = 10,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1317), 1,
      sym__concat,
    ACTIONS(1396), 1,
      anon_sym_COLON,
    STATE(329), 1,
      aux_sym__concatenated_identifier_repeat1,
    STATE(361), 1,
      sym_arguments,
    ACTIONS(667), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(722), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(661), 8,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15780] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1341), 1,
      sym__concat,
    STATE(326), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(705), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(703), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [15814] = 5,
    ACTIONS(1388), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(697), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1386), 6,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
    ACTIONS(693), 9,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [15845] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(720), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(718), 10,
      sym__concat,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [15874] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(935), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(933), 10,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [15903] = 5,
    ACTIONS(1384), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(697), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1382), 6,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
    ACTIONS(693), 9,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [15934] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(713), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(711), 15,
      sym__concat,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [15963] = 6,
    ACTIONS(896), 1,
      sym__concat,
    ACTIONS(1273), 1,
      anon_sym_LPAREN,
    STATE(191), 1,
      aux_sym__concatenated_identifier_repeat1,
    STATE(297), 1,
      sym_pseudo_class_arguments,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1269), 14,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [15996] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1398), 1,
      sym_unit,
    ACTIONS(870), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(868), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [16027] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1400), 1,
      sym_unit,
    ACTIONS(876), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(874), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [16058] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(734), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(732), 16,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [16085] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(730), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(728), 16,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [16112] = 6,
    ACTIONS(896), 1,
      sym__concat,
    ACTIONS(1273), 1,
      anon_sym_LPAREN,
    STATE(191), 1,
      aux_sym__concatenated_identifier_repeat1,
    STATE(305), 1,
      sym_pseudo_class_arguments,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1281), 14,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [16145] = 4,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1402), 2,
      sym_nesting_selector,
      anon_sym_DOT,
    ACTIONS(1406), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1404), 14,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [16174] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(713), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(711), 10,
      sym__concat,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [16203] = 4,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1402), 2,
      sym_nesting_selector,
      anon_sym_DOT,
    ACTIONS(1410), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1408), 14,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [16232] = 4,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1402), 2,
      sym_nesting_selector,
      anon_sym_DOT,
    ACTIONS(1414), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1412), 14,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [16261] = 4,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1402), 2,
      sym_nesting_selector,
      anon_sym_DOT,
    ACTIONS(1418), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1416), 14,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [16290] = 4,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1402), 2,
      sym_nesting_selector,
      anon_sym_DOT,
    ACTIONS(1422), 2,
      anon_sym_TILDE,
      anon_sym_PIPE,
    ACTIONS(1420), 14,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_STAR_EQ,
      anon_sym_DOLLAR_EQ,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_PLUS,
  [16319] = 7,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(697), 1,
      anon_sym_POUND,
    ACTIONS(1265), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(285), 1,
      sym__concatenated_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(693), 13,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [16354] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(917), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(915), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [16382] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(734), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(732), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [16410] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(945), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(943), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [16438] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(927), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(925), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [16466] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(888), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(886), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [16494] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(923), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(921), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [16522] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(894), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(892), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [16550] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(935), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(933), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [16578] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(900), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(898), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [16606] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(941), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(939), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [16634] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(945), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(943), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [16662] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(913), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(911), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [16690] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(949), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(947), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [16718] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(904), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(902), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [16746] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(949), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(947), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [16774] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1424), 1,
      sym_unit,
    ACTIONS(870), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(868), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16804] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1426), 1,
      sym_unit,
    ACTIONS(876), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(874), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16834] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(734), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(732), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [16862] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(941), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(939), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [16890] = 4,
    ACTIONS(896), 1,
      sym__concat,
    STATE(191), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1297), 15,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [16918] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(904), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(902), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [16946] = 4,
    ACTIONS(896), 1,
      sym__concat,
    STATE(191), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1289), 15,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [16974] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(923), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(921), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [17002] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(888), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(886), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [17030] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(894), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(892), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [17058] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(900), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(898), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [17086] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(730), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(728), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [17114] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(927), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(925), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [17142] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(913), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(911), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [17170] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(917), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(915), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_through,
  [17198] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(730), 8,
      anon_sym_GT,
      anon_sym_not,
      anon_sym_only,
      anon_sym_selector,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      sym_identifier,
    ACTIONS(728), 9,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_POUND_LBRACE,
  [17226] = 4,
    ACTIONS(896), 1,
      sym__concat,
    STATE(191), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(659), 14,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [17253] = 5,
    ACTIONS(896), 1,
      sym__concat,
    ACTIONS(1428), 1,
      anon_sym_COLON,
    STATE(191), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(659), 13,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [17282] = 5,
    ACTIONS(896), 1,
      sym__concat,
    ACTIONS(1430), 1,
      anon_sym_COLON,
    STATE(191), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(659), 13,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [17311] = 7,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1317), 1,
      sym__concat,
    STATE(329), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(744), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(709), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(707), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17344] = 8,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      sym__concat,
    STATE(389), 1,
      aux_sym__concatenated_identifier_repeat1,
    STATE(445), 1,
      sym_arguments,
    ACTIONS(667), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(661), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [17379] = 5,
    ACTIONS(896), 1,
      sym__concat,
    ACTIONS(1436), 1,
      anon_sym_COLON,
    STATE(191), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(659), 13,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [17408] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1438), 1,
      sym__concat,
    STATE(388), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(713), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(711), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [17437] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1434), 1,
      sym__concat,
    STATE(388), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(705), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(703), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [17466] = 14,
    ACTIONS(796), 1,
      anon_sym_COMMA,
    ACTIONS(798), 1,
      anon_sym_RPAREN,
    ACTIONS(1443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1445), 1,
      anon_sym_POUND,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1449), 1,
      anon_sym_GT,
    ACTIONS(1451), 1,
      anon_sym_TILDE,
    ACTIONS(1453), 1,
      anon_sym_PLUS,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      sym__descendant_operator,
    ACTIONS(1459), 1,
      sym__pseudo_class_selector_colon,
    STATE(605), 1,
      aux_sym_pseudo_class_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
  [17511] = 3,
    ACTIONS(1436), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(659), 13,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [17534] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
    ACTIONS(1408), 12,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [17557] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
    ACTIONS(1412), 12,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [17580] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
    ACTIONS(1416), 12,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [17603] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
    ACTIONS(1420), 12,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [17626] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
    ACTIONS(1404), 12,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [17649] = 3,
    ACTIONS(1428), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(659), 13,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [17672] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    STATE(445), 1,
      sym_arguments,
    ACTIONS(699), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(695), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [17701] = 14,
    ACTIONS(1443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1445), 1,
      anon_sym_POUND,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1449), 1,
      anon_sym_GT,
    ACTIONS(1451), 1,
      anon_sym_TILDE,
    ACTIONS(1453), 1,
      anon_sym_PLUS,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      sym__descendant_operator,
    ACTIONS(1459), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(1461), 1,
      anon_sym_COMMA,
    ACTIONS(1463), 1,
      anon_sym_LBRACE,
    STATE(586), 1,
      aux_sym_selectors_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
  [17746] = 14,
    ACTIONS(796), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_RPAREN,
    ACTIONS(1443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1445), 1,
      anon_sym_POUND,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1449), 1,
      anon_sym_GT,
    ACTIONS(1451), 1,
      anon_sym_TILDE,
    ACTIONS(1453), 1,
      anon_sym_PLUS,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      sym__descendant_operator,
    ACTIONS(1459), 1,
      sym__pseudo_class_selector_colon,
    STATE(600), 1,
      aux_sym_pseudo_class_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
  [17791] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1434), 1,
      sym__concat,
    STATE(389), 1,
      aux_sym__concatenated_identifier_repeat1,
    ACTIONS(709), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(707), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [17820] = 7,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(1259), 1,
      anon_sym_LPAREN2,
    ACTIONS(1261), 1,
      sym_identifier,
    ACTIONS(1263), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    STATE(518), 7,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
      sym_interpolation,
  [17850] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(713), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(711), 10,
      sym__concat,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [17874] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(720), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(718), 10,
      sym__concat,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [17898] = 7,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1471), 1,
      anon_sym_RPAREN,
    STATE(593), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17928] = 7,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1473), 1,
      anon_sym_RBRACK,
    STATE(594), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17958] = 12,
    ACTIONS(1443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1445), 1,
      anon_sym_POUND,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1449), 1,
      anon_sym_GT,
    ACTIONS(1451), 1,
      anon_sym_TILDE,
    ACTIONS(1453), 1,
      anon_sym_PLUS,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      sym__descendant_operator,
    ACTIONS(1459), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
    ACTIONS(1475), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [17998] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1477), 1,
      sym_unit,
    ACTIONS(876), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(874), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [18024] = 7,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1479), 1,
      anon_sym_RPAREN,
    STATE(583), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18054] = 7,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1481), 1,
      anon_sym_RBRACK,
    STATE(585), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18084] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1483), 1,
      anon_sym_COLON,
    ACTIONS(699), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(695), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [18110] = 7,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(1259), 1,
      anon_sym_LPAREN2,
    ACTIONS(1261), 1,
      sym_identifier,
    ACTIONS(1263), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    STATE(500), 7,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
      sym_interpolation,
  [18140] = 7,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1485), 1,
      anon_sym_RPAREN,
    STATE(587), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18170] = 7,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1487), 1,
      anon_sym_RBRACK,
    STATE(588), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18200] = 7,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(1259), 1,
      anon_sym_LPAREN2,
    ACTIONS(1263), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1489), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    STATE(598), 7,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
      sym_interpolation,
  [18230] = 7,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(1259), 1,
      anon_sym_LPAREN2,
    ACTIONS(1261), 1,
      sym_identifier,
    ACTIONS(1263), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    STATE(510), 7,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
      sym_interpolation,
  [18260] = 7,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(1259), 1,
      anon_sym_LPAREN2,
    ACTIONS(1261), 1,
      sym_identifier,
    ACTIONS(1263), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    STATE(502), 7,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
      sym_interpolation,
  [18290] = 7,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(1259), 1,
      anon_sym_LPAREN2,
    ACTIONS(1261), 1,
      sym_identifier,
    ACTIONS(1263), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    STATE(509), 7,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
      sym_interpolation,
  [18320] = 7,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(1259), 1,
      anon_sym_LPAREN2,
    ACTIONS(1261), 1,
      sym_identifier,
    ACTIONS(1263), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    STATE(559), 7,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
      sym_interpolation,
  [18350] = 7,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1491), 1,
      anon_sym_RPAREN,
    STATE(606), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18380] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1493), 1,
      sym_unit,
    ACTIONS(870), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(868), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [18406] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1495), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18432] = 7,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1497), 1,
      anon_sym_RBRACK,
    STATE(592), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18462] = 7,
    ACTIONS(468), 1,
      anon_sym_selector,
    ACTIONS(1259), 1,
      anon_sym_LPAREN2,
    ACTIONS(1261), 1,
      sym_identifier,
    ACTIONS(1263), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(466), 2,
      anon_sym_not,
      anon_sym_only,
    STATE(517), 7,
      sym__query,
      sym_feature_query,
      sym_parenthesized_query,
      sym_binary_query,
      sym_unary_query,
      sym_selector_query,
      sym_interpolation,
  [18492] = 12,
    ACTIONS(1443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1445), 1,
      anon_sym_POUND,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1449), 1,
      anon_sym_GT,
    ACTIONS(1451), 1,
      anon_sym_TILDE,
    ACTIONS(1453), 1,
      anon_sym_PLUS,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      sym__descendant_operator,
    ACTIONS(1459), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(866), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
  [18532] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_LBRACE,
    STATE(80), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18559] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1501), 1,
      sym_unit,
    ACTIONS(870), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_through,
    ACTIONS(868), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18584] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    STATE(121), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18611] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(26), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18638] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(730), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(728), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [18661] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    STATE(123), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18688] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    STATE(124), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18715] = 3,
    ACTIONS(1505), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(693), 11,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [18736] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18763] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_LBRACE,
    STATE(25), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18790] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    STATE(127), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18817] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1507), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1511), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1509), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18842] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    STATE(20), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18869] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18896] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    STATE(60), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18923] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    STATE(77), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18950] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    STATE(79), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18977] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(913), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(911), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19000] = 3,
    ACTIONS(1513), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(693), 11,
      sym__descendant_operator,
      sym__pseudo_class_selector_colon,
      sym_nesting_selector,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_TILDE,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [19021] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(945), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(943), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19044] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(917), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(915), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19067] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(927), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(925), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19090] = 6,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    STATE(56), 1,
      sym_block,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19117] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(949), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(947), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19140] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(888), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(886), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19163] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(894), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(892), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19186] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(900), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(898), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19209] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(904), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(902), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19232] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1515), 1,
      sym_unit,
    ACTIONS(876), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_through,
    ACTIONS(874), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19257] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1517), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1511), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1509), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19282] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1519), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19307] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(923), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(921), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19330] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(734), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(732), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19353] = 12,
    ACTIONS(1443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1445), 1,
      anon_sym_POUND,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1449), 1,
      anon_sym_GT,
    ACTIONS(1451), 1,
      anon_sym_TILDE,
    ACTIONS(1453), 1,
      anon_sym_PLUS,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      sym__descendant_operator,
    ACTIONS(1459), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(1521), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
  [19392] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(935), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(933), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19415] = 4,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(941), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(939), 9,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN2,
  [19438] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19462] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_RBRACK,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19486] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1527), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19510] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1529), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19534] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_RBRACE,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19558] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19582] = 11,
    ACTIONS(1443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1445), 1,
      anon_sym_POUND,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1449), 1,
      anon_sym_GT,
    ACTIONS(1451), 1,
      anon_sym_TILDE,
    ACTIONS(1453), 1,
      anon_sym_PLUS,
    ACTIONS(1457), 1,
      sym__descendant_operator,
    ACTIONS(1459), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(1535), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
  [19618] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19642] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19666] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1539), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19690] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19714] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_through,
    ACTIONS(1545), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1543), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19738] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1549), 1,
      anon_sym_RBRACE,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19762] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1551), 1,
      anon_sym_RBRACE,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19786] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1553), 1,
      anon_sym_RBRACE,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19810] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1555), 1,
      anon_sym_RBRACK,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19834] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1557), 1,
      anon_sym_RBRACE,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19858] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1559), 1,
      anon_sym_RBRACE,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19882] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_RBRACE,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19906] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1563), 1,
      anon_sym_RBRACE,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19930] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1513), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19954] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1565), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [19978] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20002] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20026] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20050] = 11,
    ACTIONS(1443), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1445), 1,
      anon_sym_POUND,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1449), 1,
      anon_sym_GT,
    ACTIONS(1451), 1,
      anon_sym_TILDE,
    ACTIONS(1453), 1,
      anon_sym_PLUS,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      sym__descendant_operator,
    ACTIONS(1459), 1,
      sym__pseudo_class_selector_colon,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1441), 2,
      sym_nesting_selector,
      anon_sym_DOT,
  [20086] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20110] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1575), 1,
      anon_sym_through,
    ACTIONS(1545), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1543), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20134] = 5,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_SEMI,
    ACTIONS(1469), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_LT,
    ACTIONS(1467), 7,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20158] = 7,
    ACTIONS(1579), 1,
      anon_sym_RBRACE,
    ACTIONS(1581), 1,
      anon_sym_from,
    ACTIONS(1583), 1,
      sym_to,
    ACTIONS(1585), 1,
      aux_sym_integer_value_token1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(495), 2,
      sym_keyframe_block,
      aux_sym_keyframe_block_list_repeat1,
    STATE(613), 2,
      sym_from,
      sym_integer_value,
  [20183] = 8,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_SQUOTE,
    ACTIONS(1051), 1,
      anon_sym_DQUOTE,
    ACTIONS(1339), 1,
      anon_sym_LPAREN,
    STATE(353), 1,
      sym_arguments,
    ACTIONS(1587), 2,
      sym_identifier,
      sym_plain_value,
    STATE(650), 2,
      sym_string_value,
      sym_call_expression,
  [20210] = 7,
    ACTIONS(1581), 1,
      anon_sym_from,
    ACTIONS(1583), 1,
      sym_to,
    ACTIONS(1585), 1,
      aux_sym_integer_value_token1,
    ACTIONS(1589), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(491), 2,
      sym_keyframe_block,
      aux_sym_keyframe_block_list_repeat1,
    STATE(613), 2,
      sym_from,
      sym_integer_value,
  [20235] = 8,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_SQUOTE,
    ACTIONS(1051), 1,
      anon_sym_DQUOTE,
    ACTIONS(1339), 1,
      anon_sym_LPAREN,
    STATE(353), 1,
      sym_arguments,
    ACTIONS(1587), 2,
      sym_identifier,
      sym_plain_value,
    STATE(658), 2,
      sym_string_value,
      sym_call_expression,
  [20262] = 7,
    ACTIONS(1591), 1,
      anon_sym_RBRACE,
    ACTIONS(1593), 1,
      anon_sym_from,
    ACTIONS(1596), 1,
      sym_to,
    ACTIONS(1599), 1,
      aux_sym_integer_value_token1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(495), 2,
      sym_keyframe_block,
      aux_sym_keyframe_block_list_repeat1,
    STATE(613), 2,
      sym_from,
      sym_integer_value,
  [20287] = 7,
    ACTIONS(1581), 1,
      anon_sym_from,
    ACTIONS(1583), 1,
      sym_to,
    ACTIONS(1585), 1,
      aux_sym_integer_value_token1,
    ACTIONS(1602), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(495), 2,
      sym_keyframe_block,
      aux_sym_keyframe_block_list_repeat1,
    STATE(613), 2,
      sym_from,
      sym_integer_value,
  [20312] = 7,
    ACTIONS(1581), 1,
      anon_sym_from,
    ACTIONS(1583), 1,
      sym_to,
    ACTIONS(1585), 1,
      aux_sym_integer_value_token1,
    ACTIONS(1604), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    STATE(496), 2,
      sym_keyframe_block,
      aux_sym_keyframe_block_list_repeat1,
    STATE(613), 2,
      sym_from,
      sym_integer_value,
  [20337] = 7,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      anon_sym_COMMA,
    ACTIONS(1608), 1,
      anon_sym_SEMI,
    STATE(95), 1,
      sym_block,
    STATE(516), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1610), 2,
      anon_sym_and,
      anon_sym_or,
  [20361] = 7,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      anon_sym_COMMA,
    ACTIONS(1612), 1,
      anon_sym_SEMI,
    STATE(63), 1,
      sym_block,
    STATE(514), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1610), 2,
      anon_sym_and,
      anon_sym_or,
  [20385] = 6,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      anon_sym_COMMA,
    STATE(40), 1,
      sym_block,
    STATE(540), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1610), 2,
      anon_sym_and,
      anon_sym_or,
  [20406] = 7,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_SQUOTE,
    ACTIONS(1051), 1,
      anon_sym_DQUOTE,
    ACTIONS(1587), 1,
      sym_plain_value,
    ACTIONS(1614), 1,
      sym_identifier,
    STATE(657), 2,
      sym_string_value,
      sym_call_expression,
  [20429] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1616), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
  [20442] = 7,
    ACTIONS(3), 1,
      sym_js_comment,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_SQUOTE,
    ACTIONS(1051), 1,
      anon_sym_DQUOTE,
    ACTIONS(1587), 1,
      sym_plain_value,
    ACTIONS(1618), 1,
      sym_identifier,
    STATE(659), 2,
      sym_string_value,
      sym_call_expression,
  [20465] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(722), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
  [20478] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1620), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
  [20491] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(718), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
  [20504] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1622), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
  [20517] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1624), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
  [20530] = 6,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      anon_sym_COMMA,
    STATE(90), 1,
      sym_block,
    STATE(560), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1610), 2,
      anon_sym_and,
      anon_sym_or,
  [20551] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1626), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
  [20564] = 5,
    ACTIONS(1606), 1,
      anon_sym_COMMA,
    ACTIONS(1628), 1,
      anon_sym_SEMI,
    STATE(584), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1610), 2,
      anon_sym_and,
      anon_sym_or,
  [20582] = 6,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    ACTIONS(1630), 1,
      anon_sym_SEMI,
    ACTIONS(1632), 1,
      anon_sym_LPAREN,
    STATE(68), 1,
      sym_block,
    STATE(599), 1,
      sym__include_arguments,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [20602] = 6,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    ACTIONS(1632), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_SEMI,
    STATE(97), 1,
      sym_block,
    STATE(590), 1,
      sym__include_arguments,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [20622] = 6,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      anon_sym_COMMA,
    ACTIONS(1636), 1,
      anon_sym_SEMI,
    STATE(41), 1,
      sym_block,
    STATE(532), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [20642] = 5,
    ACTIONS(1606), 1,
      anon_sym_COMMA,
    ACTIONS(1638), 1,
      anon_sym_SEMI,
    STATE(595), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1610), 2,
      anon_sym_and,
      anon_sym_or,
  [20660] = 6,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      anon_sym_COMMA,
    ACTIONS(1640), 1,
      anon_sym_SEMI,
    STATE(111), 1,
      sym_block,
    STATE(532), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [20680] = 3,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1610), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(1642), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [20694] = 4,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    STATE(51), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1610), 2,
      anon_sym_and,
      anon_sym_or,
  [20709] = 4,
    ACTIONS(1644), 1,
      anon_sym_DQUOTE,
    STATE(521), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1646), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [20724] = 4,
    ACTIONS(1648), 1,
      anon_sym_SQUOTE,
    STATE(553), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1650), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [20739] = 4,
    ACTIONS(1648), 1,
      anon_sym_DQUOTE,
    STATE(557), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1652), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [20754] = 5,
    ACTIONS(685), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1654), 1,
      sym_identifier,
    ACTIONS(1656), 1,
      anon_sym_DASH2,
    STATE(337), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [20771] = 5,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    ACTIONS(1658), 1,
      anon_sym_LPAREN2,
    STATE(98), 1,
      sym_block,
    STATE(612), 1,
      sym_parameters,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [20788] = 5,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    ACTIONS(1658), 1,
      anon_sym_LPAREN2,
    STATE(69), 1,
      sym_block,
    STATE(622), 1,
      sym_parameters,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [20805] = 4,
    ACTIONS(1660), 1,
      anon_sym_RPAREN,
    STATE(573), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [20820] = 4,
    ACTIONS(1662), 1,
      anon_sym_SQUOTE,
    STATE(528), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1664), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [20835] = 4,
    ACTIONS(1662), 1,
      anon_sym_DQUOTE,
    STATE(529), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1666), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [20850] = 4,
    ACTIONS(1668), 1,
      anon_sym_SQUOTE,
    STATE(553), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1650), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [20865] = 4,
    ACTIONS(1668), 1,
      anon_sym_DQUOTE,
    STATE(557), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1652), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [20880] = 5,
    ACTIONS(450), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1670), 1,
      sym_identifier,
    ACTIONS(1672), 1,
      anon_sym_DASH2,
    STATE(162), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [20897] = 4,
    ACTIONS(1674), 1,
      anon_sym_SQUOTE,
    STATE(563), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1676), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [20912] = 4,
    ACTIONS(1678), 1,
      anon_sym_COMMA,
    STATE(532), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1642), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [20927] = 4,
    ACTIONS(1681), 1,
      anon_sym_RPAREN,
    STATE(573), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [20942] = 4,
    ACTIONS(1683), 1,
      anon_sym_SQUOTE,
    STATE(536), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1685), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [20957] = 4,
    ACTIONS(1683), 1,
      anon_sym_DQUOTE,
    STATE(537), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1687), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [20972] = 4,
    ACTIONS(1689), 1,
      anon_sym_SQUOTE,
    STATE(553), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1650), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [20987] = 4,
    ACTIONS(1689), 1,
      anon_sym_DQUOTE,
    STATE(557), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1652), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [21002] = 5,
    ACTIONS(379), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1691), 1,
      sym_identifier,
    ACTIONS(1693), 1,
      anon_sym_DASH2,
    STATE(134), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21019] = 4,
    ACTIONS(1674), 1,
      anon_sym_DQUOTE,
    STATE(566), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1695), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [21034] = 5,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      anon_sym_COMMA,
    STATE(59), 1,
      sym_block,
    STATE(532), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21051] = 4,
    ACTIONS(1697), 1,
      anon_sym_SQUOTE,
    STATE(543), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1699), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [21066] = 4,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
    STATE(544), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1701), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [21081] = 4,
    ACTIONS(1703), 1,
      anon_sym_SQUOTE,
    STATE(553), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1650), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [21096] = 4,
    ACTIONS(1703), 1,
      anon_sym_DQUOTE,
    STATE(557), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1652), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [21111] = 5,
    ACTIONS(856), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1705), 1,
      sym_identifier,
    ACTIONS(1707), 1,
      anon_sym_DASH2,
    STATE(318), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21128] = 4,
    ACTIONS(1644), 1,
      anon_sym_SQUOTE,
    STATE(520), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1709), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [21143] = 4,
    ACTIONS(1711), 1,
      anon_sym_SQUOTE,
    STATE(549), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1713), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [21158] = 4,
    ACTIONS(1711), 1,
      anon_sym_DQUOTE,
    STATE(550), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1715), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [21173] = 4,
    ACTIONS(1717), 1,
      anon_sym_SQUOTE,
    STATE(553), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1650), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [21188] = 4,
    ACTIONS(1717), 1,
      anon_sym_DQUOTE,
    STATE(557), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1652), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [21203] = 5,
    ACTIONS(987), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1719), 1,
      sym_identifier,
    ACTIONS(1721), 1,
      anon_sym_DASH2,
    STATE(403), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21220] = 4,
    ACTIONS(1723), 1,
      anon_sym_SQUOTE,
    STATE(553), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1650), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [21235] = 4,
    ACTIONS(1725), 1,
      anon_sym_SQUOTE,
    STATE(553), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1727), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [21250] = 5,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    ACTIONS(1658), 1,
      anon_sym_LPAREN2,
    STATE(67), 1,
      sym_block,
    STATE(617), 1,
      sym_parameters,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21267] = 5,
    ACTIONS(856), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1730), 1,
      sym_identifier,
    STATE(289), 1,
      sym__concatenated_identifier,
    STATE(302), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21284] = 4,
    ACTIONS(1732), 1,
      anon_sym_DQUOTE,
    STATE(562), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1734), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [21299] = 4,
    ACTIONS(1736), 1,
      anon_sym_DQUOTE,
    STATE(557), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1738), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [21314] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(478), 4,
      anon_sym_RBRACE,
      anon_sym_from,
      sym_to,
      aux_sym_integer_value_token1,
  [21325] = 4,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    STATE(94), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1610), 2,
      anon_sym_and,
      anon_sym_or,
  [21340] = 5,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    ACTIONS(1606), 1,
      anon_sym_COMMA,
    STATE(107), 1,
      sym_block,
    STATE(532), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21357] = 4,
    ACTIONS(1741), 1,
      anon_sym_COMMA,
    STATE(561), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1495), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [21372] = 4,
    ACTIONS(1723), 1,
      anon_sym_DQUOTE,
    STATE(557), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1652), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [21387] = 4,
    ACTIONS(1744), 1,
      anon_sym_SQUOTE,
    STATE(553), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1650), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [21402] = 4,
    ACTIONS(1746), 1,
      anon_sym_RPAREN,
    STATE(573), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [21417] = 5,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1748), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(282), 1,
      sym__concatenated_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21434] = 4,
    ACTIONS(1744), 1,
      anon_sym_DQUOTE,
    STATE(557), 1,
      aux_sym_string_value_repeat2,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1652), 2,
      aux_sym_string_value_token2,
      sym_escape_sequence,
  [21449] = 5,
    ACTIONS(1063), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1750), 1,
      sym_identifier,
    ACTIONS(1752), 1,
      anon_sym_DASH2,
    STATE(345), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21466] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(474), 4,
      anon_sym_RBRACE,
      anon_sym_from,
      sym_to,
      aux_sym_integer_value_token1,
  [21477] = 3,
    ACTIONS(1396), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(722), 3,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
  [21490] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1754), 4,
      anon_sym_RBRACE,
      anon_sym_from,
      sym_to,
      aux_sym_integer_value_token1,
  [21501] = 5,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1265), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(285), 1,
      sym__concatenated_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21518] = 5,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1756), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(289), 1,
      sym__concatenated_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21535] = 4,
    ACTIONS(794), 1,
      anon_sym_RPAREN,
    STATE(573), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1758), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [21550] = 4,
    ACTIONS(1761), 1,
      anon_sym_RPAREN,
    STATE(573), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [21565] = 5,
    ACTIONS(856), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1763), 1,
      sym_identifier,
    STATE(280), 1,
      sym__concatenated_identifier,
    STATE(302), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21582] = 5,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1765), 1,
      sym_identifier,
    STATE(179), 1,
      sym_interpolation,
    STATE(280), 1,
      sym__concatenated_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21599] = 4,
    ACTIONS(1732), 1,
      anon_sym_SQUOTE,
    STATE(552), 1,
      aux_sym_string_value_repeat1,
    ACTIONS(3), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1767), 2,
      aux_sym_string_value_token1,
      sym_escape_sequence,
  [21614] = 5,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    ACTIONS(1658), 1,
      anon_sym_LPAREN2,
    STATE(85), 1,
      sym_block,
    STATE(611), 1,
      sym_parameters,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21631] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(482), 4,
      anon_sym_RBRACE,
      anon_sym_from,
      sym_to,
      aux_sym_integer_value_token1,
  [21642] = 5,
    ACTIONS(856), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1295), 1,
      sym_identifier,
    STATE(285), 1,
      sym__concatenated_identifier,
    STATE(302), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21659] = 5,
    ACTIONS(71), 1,
      anon_sym_POUND_LBRACE,
    ACTIONS(1769), 1,
      sym_identifier,
    ACTIONS(1771), 1,
      anon_sym_DASH2,
    STATE(207), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21676] = 4,
    ACTIONS(1773), 1,
      anon_sym_COMMA,
    ACTIONS(1775), 1,
      anon_sym_RPAREN,
    STATE(597), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21690] = 4,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1777), 1,
      anon_sym_RPAREN,
    STATE(561), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21704] = 4,
    ACTIONS(1606), 1,
      anon_sym_COMMA,
    ACTIONS(1779), 1,
      anon_sym_SEMI,
    STATE(532), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21718] = 4,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1781), 1,
      anon_sym_RBRACK,
    STATE(561), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21732] = 4,
    ACTIONS(1461), 1,
      anon_sym_COMMA,
    ACTIONS(1783), 1,
      anon_sym_LBRACE,
    STATE(589), 1,
      aux_sym_selectors_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21746] = 4,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    STATE(561), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21760] = 4,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1787), 1,
      anon_sym_RBRACK,
    STATE(561), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21774] = 4,
    ACTIONS(1475), 1,
      anon_sym_LBRACE,
    ACTIONS(1789), 1,
      anon_sym_COMMA,
    STATE(589), 1,
      aux_sym_selectors_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21788] = 4,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    ACTIONS(1792), 1,
      anon_sym_SEMI,
    STATE(113), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21802] = 4,
    ACTIONS(1794), 1,
      anon_sym_COMMA,
    ACTIONS(1797), 1,
      anon_sym_RPAREN2,
    STATE(591), 1,
      aux_sym__include_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21816] = 4,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1799), 1,
      anon_sym_RBRACK,
    STATE(561), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21830] = 4,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1801), 1,
      anon_sym_RPAREN,
    STATE(561), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21844] = 4,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1803), 1,
      anon_sym_RBRACK,
    STATE(561), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21858] = 4,
    ACTIONS(1606), 1,
      anon_sym_COMMA,
    ACTIONS(1805), 1,
      anon_sym_SEMI,
    STATE(532), 1,
      aux_sym_import_statement_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21872] = 4,
    ACTIONS(1773), 1,
      anon_sym_COMMA,
    ACTIONS(1807), 1,
      anon_sym_RPAREN,
    STATE(582), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21886] = 4,
    ACTIONS(1809), 1,
      anon_sym_COMMA,
    ACTIONS(1812), 1,
      anon_sym_RPAREN,
    STATE(597), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21900] = 3,
    ACTIONS(1814), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1610), 2,
      anon_sym_and,
      anon_sym_or,
  [21912] = 4,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    ACTIONS(1816), 1,
      anon_sym_SEMI,
    STATE(35), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21926] = 4,
    ACTIONS(796), 1,
      anon_sym_COMMA,
    ACTIONS(1818), 1,
      anon_sym_RPAREN,
    STATE(602), 1,
      aux_sym_pseudo_class_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21940] = 4,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    ACTIONS(1820), 1,
      anon_sym_if,
    STATE(119), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21954] = 4,
    ACTIONS(866), 1,
      anon_sym_RPAREN,
    ACTIONS(1822), 1,
      anon_sym_COMMA,
    STATE(602), 1,
      aux_sym_pseudo_class_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21968] = 4,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    ACTIONS(1825), 1,
      anon_sym_if,
    STATE(53), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21982] = 4,
    ACTIONS(1827), 1,
      anon_sym_COMMA,
    ACTIONS(1829), 1,
      anon_sym_RPAREN2,
    STATE(608), 1,
      aux_sym__include_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [21996] = 4,
    ACTIONS(796), 1,
      anon_sym_COMMA,
    ACTIONS(1831), 1,
      anon_sym_RPAREN,
    STATE(602), 1,
      aux_sym_pseudo_class_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22010] = 4,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1833), 1,
      anon_sym_RPAREN,
    STATE(561), 1,
      aux_sym_grid_value_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22024] = 3,
    ACTIONS(1837), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1835), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [22036] = 4,
    ACTIONS(1827), 1,
      anon_sym_COMMA,
    ACTIONS(1839), 1,
      anon_sym_RPAREN2,
    STATE(591), 1,
      aux_sym__include_arguments_repeat1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22050] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1812), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [22059] = 3,
    ACTIONS(1841), 1,
      anon_sym_COMMA,
    ACTIONS(1843), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22070] = 3,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22081] = 3,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    STATE(114), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22092] = 3,
    ACTIONS(1845), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22103] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1847), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [22112] = 3,
    ACTIONS(1849), 1,
      anon_sym_LBRACE,
    STATE(47), 1,
      sym_keyframe_block_list,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22123] = 3,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    STATE(55), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22134] = 3,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    STATE(42), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22145] = 3,
    ACTIONS(1339), 1,
      anon_sym_LPAREN,
    STATE(353), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22156] = 3,
    ACTIONS(1851), 1,
      anon_sym_COMMA,
    ACTIONS(1853), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22167] = 3,
    ACTIONS(1855), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym_keyframe_block_list,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22178] = 3,
    ACTIONS(1857), 1,
      aux_sym_color_value_token1,
    ACTIONS(1859), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22189] = 3,
    ACTIONS(462), 1,
      anon_sym_LBRACE,
    STATE(44), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22200] = 3,
    ACTIONS(1859), 1,
      sym_identifier,
    ACTIONS(1861), 1,
      aux_sym_color_value_token1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22211] = 3,
    ACTIONS(491), 1,
      anon_sym_LBRACE,
    STATE(88), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22222] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1863), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [22231] = 2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
    ACTIONS(1865), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [22240] = 3,
    ACTIONS(1867), 1,
      sym_variable,
    STATE(596), 1,
      sym_parameter,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22251] = 3,
    ACTIONS(1867), 1,
      sym_variable,
    STATE(609), 1,
      sym_parameter,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22262] = 3,
    ACTIONS(868), 1,
      anon_sym_LBRACE,
    ACTIONS(1869), 1,
      sym_unit,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22273] = 2,
    ACTIONS(1871), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22281] = 2,
    ACTIONS(238), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22289] = 2,
    ACTIONS(1873), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22297] = 2,
    ACTIONS(1875), 1,
      sym_variable,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22305] = 2,
    ACTIONS(1877), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22313] = 2,
    ACTIONS(1879), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22321] = 2,
    ACTIONS(1881), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22329] = 2,
    ACTIONS(1883), 1,
      aux_sym_color_value_token1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22337] = 2,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22345] = 2,
    ACTIONS(1887), 1,
      aux_sym_color_value_token1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22353] = 2,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22361] = 2,
    ACTIONS(1891), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22369] = 2,
    ACTIONS(1893), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22377] = 2,
    ACTIONS(1895), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22385] = 2,
    ACTIONS(1897), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22393] = 2,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22401] = 2,
    ACTIONS(1901), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22409] = 2,
    ACTIONS(250), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22417] = 2,
    ACTIONS(1903), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22425] = 2,
    ACTIONS(1905), 1,
      sym_variable,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22433] = 2,
    ACTIONS(1907), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22441] = 2,
    ACTIONS(1909), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22449] = 2,
    ACTIONS(1911), 1,
      aux_sym_color_value_token1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22457] = 2,
    ACTIONS(1913), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22465] = 2,
    ACTIONS(1915), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22473] = 2,
    ACTIONS(1917), 1,
      anon_sym_LPAREN2,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22481] = 2,
    ACTIONS(1820), 1,
      anon_sym_if,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22489] = 2,
    ACTIONS(1919), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22497] = 2,
    ACTIONS(1921), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22505] = 2,
    ACTIONS(1923), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22513] = 2,
    ACTIONS(1925), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22521] = 2,
    ACTIONS(1927), 1,
      sym_variable,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22529] = 2,
    ACTIONS(1929), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22537] = 2,
    ACTIONS(1931), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22545] = 2,
    ACTIONS(1933), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22553] = 2,
    ACTIONS(198), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22561] = 2,
    ACTIONS(240), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22569] = 2,
    ACTIONS(1935), 1,
      aux_sym_color_value_token1,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22577] = 2,
    ACTIONS(1937), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22585] = 2,
    ACTIONS(1939), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22593] = 2,
    ACTIONS(244), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22601] = 2,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22609] = 2,
    ACTIONS(1943), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22617] = 2,
    ACTIONS(1945), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22625] = 2,
    ACTIONS(1947), 1,
      sym_variable,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22633] = 2,
    ACTIONS(1949), 1,
      sym_variable,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22641] = 2,
    ACTIONS(1951), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22649] = 2,
    ACTIONS(1953), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22657] = 2,
    ACTIONS(1955), 1,
      sym_variable,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
  [22665] = 2,
    ACTIONS(1825), 1,
      anon_sym_if,
    ACTIONS(5), 2,
      sym_js_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(15)] = 0,
  [SMALL_STATE(16)] = 105,
  [SMALL_STATE(17)] = 210,
  [SMALL_STATE(18)] = 312,
  [SMALL_STATE(19)] = 413,
  [SMALL_STATE(20)] = 514,
  [SMALL_STATE(21)] = 570,
  [SMALL_STATE(22)] = 626,
  [SMALL_STATE(23)] = 679,
  [SMALL_STATE(24)] = 767,
  [SMALL_STATE(25)] = 821,
  [SMALL_STATE(26)] = 875,
  [SMALL_STATE(27)] = 922,
  [SMALL_STATE(28)] = 1009,
  [SMALL_STATE(29)] = 1056,
  [SMALL_STATE(30)] = 1103,
  [SMALL_STATE(31)] = 1150,
  [SMALL_STATE(32)] = 1201,
  [SMALL_STATE(33)] = 1288,
  [SMALL_STATE(34)] = 1373,
  [SMALL_STATE(35)] = 1458,
  [SMALL_STATE(36)] = 1504,
  [SMALL_STATE(37)] = 1550,
  [SMALL_STATE(38)] = 1596,
  [SMALL_STATE(39)] = 1642,
  [SMALL_STATE(40)] = 1688,
  [SMALL_STATE(41)] = 1734,
  [SMALL_STATE(42)] = 1780,
  [SMALL_STATE(43)] = 1826,
  [SMALL_STATE(44)] = 1872,
  [SMALL_STATE(45)] = 1918,
  [SMALL_STATE(46)] = 1964,
  [SMALL_STATE(47)] = 2010,
  [SMALL_STATE(48)] = 2056,
  [SMALL_STATE(49)] = 2102,
  [SMALL_STATE(50)] = 2148,
  [SMALL_STATE(51)] = 2194,
  [SMALL_STATE(52)] = 2240,
  [SMALL_STATE(53)] = 2286,
  [SMALL_STATE(54)] = 2332,
  [SMALL_STATE(55)] = 2378,
  [SMALL_STATE(56)] = 2424,
  [SMALL_STATE(57)] = 2470,
  [SMALL_STATE(58)] = 2516,
  [SMALL_STATE(59)] = 2562,
  [SMALL_STATE(60)] = 2608,
  [SMALL_STATE(61)] = 2654,
  [SMALL_STATE(62)] = 2700,
  [SMALL_STATE(63)] = 2746,
  [SMALL_STATE(64)] = 2792,
  [SMALL_STATE(65)] = 2838,
  [SMALL_STATE(66)] = 2884,
  [SMALL_STATE(67)] = 2930,
  [SMALL_STATE(68)] = 2976,
  [SMALL_STATE(69)] = 3022,
  [SMALL_STATE(70)] = 3068,
  [SMALL_STATE(71)] = 3114,
  [SMALL_STATE(72)] = 3160,
  [SMALL_STATE(73)] = 3206,
  [SMALL_STATE(74)] = 3252,
  [SMALL_STATE(75)] = 3298,
  [SMALL_STATE(76)] = 3344,
  [SMALL_STATE(77)] = 3390,
  [SMALL_STATE(78)] = 3436,
  [SMALL_STATE(79)] = 3482,
  [SMALL_STATE(80)] = 3528,
  [SMALL_STATE(81)] = 3573,
  [SMALL_STATE(82)] = 3618,
  [SMALL_STATE(83)] = 3663,
  [SMALL_STATE(84)] = 3708,
  [SMALL_STATE(85)] = 3767,
  [SMALL_STATE(86)] = 3811,
  [SMALL_STATE(87)] = 3855,
  [SMALL_STATE(88)] = 3899,
  [SMALL_STATE(89)] = 3943,
  [SMALL_STATE(90)] = 3987,
  [SMALL_STATE(91)] = 4031,
  [SMALL_STATE(92)] = 4075,
  [SMALL_STATE(93)] = 4119,
  [SMALL_STATE(94)] = 4163,
  [SMALL_STATE(95)] = 4207,
  [SMALL_STATE(96)] = 4251,
  [SMALL_STATE(97)] = 4295,
  [SMALL_STATE(98)] = 4339,
  [SMALL_STATE(99)] = 4383,
  [SMALL_STATE(100)] = 4427,
  [SMALL_STATE(101)] = 4471,
  [SMALL_STATE(102)] = 4515,
  [SMALL_STATE(103)] = 4559,
  [SMALL_STATE(104)] = 4603,
  [SMALL_STATE(105)] = 4647,
  [SMALL_STATE(106)] = 4691,
  [SMALL_STATE(107)] = 4735,
  [SMALL_STATE(108)] = 4779,
  [SMALL_STATE(109)] = 4823,
  [SMALL_STATE(110)] = 4867,
  [SMALL_STATE(111)] = 4911,
  [SMALL_STATE(112)] = 4955,
  [SMALL_STATE(113)] = 4999,
  [SMALL_STATE(114)] = 5043,
  [SMALL_STATE(115)] = 5087,
  [SMALL_STATE(116)] = 5131,
  [SMALL_STATE(117)] = 5175,
  [SMALL_STATE(118)] = 5219,
  [SMALL_STATE(119)] = 5263,
  [SMALL_STATE(120)] = 5307,
  [SMALL_STATE(121)] = 5351,
  [SMALL_STATE(122)] = 5395,
  [SMALL_STATE(123)] = 5439,
  [SMALL_STATE(124)] = 5483,
  [SMALL_STATE(125)] = 5527,
  [SMALL_STATE(126)] = 5571,
  [SMALL_STATE(127)] = 5615,
  [SMALL_STATE(128)] = 5659,
  [SMALL_STATE(129)] = 5734,
  [SMALL_STATE(130)] = 5809,
  [SMALL_STATE(131)] = 5866,
  [SMALL_STATE(132)] = 5915,
  [SMALL_STATE(133)] = 5964,
  [SMALL_STATE(134)] = 6013,
  [SMALL_STATE(135)] = 6057,
  [SMALL_STATE(136)] = 6101,
  [SMALL_STATE(137)] = 6148,
  [SMALL_STATE(138)] = 6203,
  [SMALL_STATE(139)] = 6250,
  [SMALL_STATE(140)] = 6293,
  [SMALL_STATE(141)] = 6336,
  [SMALL_STATE(142)] = 6386,
  [SMALL_STATE(143)] = 6459,
  [SMALL_STATE(144)] = 6532,
  [SMALL_STATE(145)] = 6605,
  [SMALL_STATE(146)] = 6654,
  [SMALL_STATE(147)] = 6727,
  [SMALL_STATE(148)] = 6801,
  [SMALL_STATE(149)] = 6869,
  [SMALL_STATE(150)] = 6913,
  [SMALL_STATE(151)] = 6981,
  [SMALL_STATE(152)] = 7053,
  [SMALL_STATE(153)] = 7125,
  [SMALL_STATE(154)] = 7169,
  [SMALL_STATE(155)] = 7213,
  [SMALL_STATE(156)] = 7253,
  [SMALL_STATE(157)] = 7297,
  [SMALL_STATE(158)] = 7367,
  [SMALL_STATE(159)] = 7430,
  [SMALL_STATE(160)] = 7493,
  [SMALL_STATE(161)] = 7556,
  [SMALL_STATE(162)] = 7627,
  [SMALL_STATE(163)] = 7666,
  [SMALL_STATE(164)] = 7729,
  [SMALL_STATE(165)] = 7796,
  [SMALL_STATE(166)] = 7837,
  [SMALL_STATE(167)] = 7878,
  [SMALL_STATE(168)] = 7941,
  [SMALL_STATE(169)] = 7980,
  [SMALL_STATE(170)] = 8043,
  [SMALL_STATE(171)] = 8108,
  [SMALL_STATE(172)] = 8179,
  [SMALL_STATE(173)] = 8242,
  [SMALL_STATE(174)] = 8305,
  [SMALL_STATE(175)] = 8370,
  [SMALL_STATE(176)] = 8408,
  [SMALL_STATE(177)] = 8446,
  [SMALL_STATE(178)] = 8512,
  [SMALL_STATE(179)] = 8550,
  [SMALL_STATE(180)] = 8592,
  [SMALL_STATE(181)] = 8630,
  [SMALL_STATE(182)] = 8668,
  [SMALL_STATE(183)] = 8710,
  [SMALL_STATE(184)] = 8776,
  [SMALL_STATE(185)] = 8814,
  [SMALL_STATE(186)] = 8852,
  [SMALL_STATE(187)] = 8918,
  [SMALL_STATE(188)] = 8956,
  [SMALL_STATE(189)] = 8994,
  [SMALL_STATE(190)] = 9060,
  [SMALL_STATE(191)] = 9126,
  [SMALL_STATE(192)] = 9168,
  [SMALL_STATE(193)] = 9206,
  [SMALL_STATE(194)] = 9272,
  [SMALL_STATE(195)] = 9310,
  [SMALL_STATE(196)] = 9348,
  [SMALL_STATE(197)] = 9386,
  [SMALL_STATE(198)] = 9424,
  [SMALL_STATE(199)] = 9490,
  [SMALL_STATE(200)] = 9531,
  [SMALL_STATE(201)] = 9594,
  [SMALL_STATE(202)] = 9635,
  [SMALL_STATE(203)] = 9698,
  [SMALL_STATE(204)] = 9739,
  [SMALL_STATE(205)] = 9780,
  [SMALL_STATE(206)] = 9843,
  [SMALL_STATE(207)] = 9880,
  [SMALL_STATE(208)] = 9917,
  [SMALL_STATE(209)] = 9980,
  [SMALL_STATE(210)] = 10021,
  [SMALL_STATE(211)] = 10081,
  [SMALL_STATE(212)] = 10141,
  [SMALL_STATE(213)] = 10201,
  [SMALL_STATE(214)] = 10239,
  [SMALL_STATE(215)] = 10299,
  [SMALL_STATE(216)] = 10359,
  [SMALL_STATE(217)] = 10419,
  [SMALL_STATE(218)] = 10457,
  [SMALL_STATE(219)] = 10517,
  [SMALL_STATE(220)] = 10577,
  [SMALL_STATE(221)] = 10637,
  [SMALL_STATE(222)] = 10697,
  [SMALL_STATE(223)] = 10757,
  [SMALL_STATE(224)] = 10817,
  [SMALL_STATE(225)] = 10877,
  [SMALL_STATE(226)] = 10937,
  [SMALL_STATE(227)] = 10997,
  [SMALL_STATE(228)] = 11057,
  [SMALL_STATE(229)] = 11117,
  [SMALL_STATE(230)] = 11177,
  [SMALL_STATE(231)] = 11237,
  [SMALL_STATE(232)] = 11297,
  [SMALL_STATE(233)] = 11357,
  [SMALL_STATE(234)] = 11417,
  [SMALL_STATE(235)] = 11477,
  [SMALL_STATE(236)] = 11537,
  [SMALL_STATE(237)] = 11597,
  [SMALL_STATE(238)] = 11657,
  [SMALL_STATE(239)] = 11717,
  [SMALL_STATE(240)] = 11777,
  [SMALL_STATE(241)] = 11837,
  [SMALL_STATE(242)] = 11897,
  [SMALL_STATE(243)] = 11957,
  [SMALL_STATE(244)] = 12017,
  [SMALL_STATE(245)] = 12077,
  [SMALL_STATE(246)] = 12115,
  [SMALL_STATE(247)] = 12153,
  [SMALL_STATE(248)] = 12213,
  [SMALL_STATE(249)] = 12273,
  [SMALL_STATE(250)] = 12333,
  [SMALL_STATE(251)] = 12393,
  [SMALL_STATE(252)] = 12453,
  [SMALL_STATE(253)] = 12513,
  [SMALL_STATE(254)] = 12573,
  [SMALL_STATE(255)] = 12633,
  [SMALL_STATE(256)] = 12693,
  [SMALL_STATE(257)] = 12753,
  [SMALL_STATE(258)] = 12813,
  [SMALL_STATE(259)] = 12873,
  [SMALL_STATE(260)] = 12933,
  [SMALL_STATE(261)] = 12993,
  [SMALL_STATE(262)] = 13053,
  [SMALL_STATE(263)] = 13113,
  [SMALL_STATE(264)] = 13173,
  [SMALL_STATE(265)] = 13233,
  [SMALL_STATE(266)] = 13293,
  [SMALL_STATE(267)] = 13353,
  [SMALL_STATE(268)] = 13413,
  [SMALL_STATE(269)] = 13473,
  [SMALL_STATE(270)] = 13533,
  [SMALL_STATE(271)] = 13593,
  [SMALL_STATE(272)] = 13653,
  [SMALL_STATE(273)] = 13713,
  [SMALL_STATE(274)] = 13773,
  [SMALL_STATE(275)] = 13833,
  [SMALL_STATE(276)] = 13880,
  [SMALL_STATE(277)] = 13929,
  [SMALL_STATE(278)] = 13976,
  [SMALL_STATE(279)] = 14025,
  [SMALL_STATE(280)] = 14059,
  [SMALL_STATE(281)] = 14095,
  [SMALL_STATE(282)] = 14131,
  [SMALL_STATE(283)] = 14167,
  [SMALL_STATE(284)] = 14201,
  [SMALL_STATE(285)] = 14237,
  [SMALL_STATE(286)] = 14268,
  [SMALL_STATE(287)] = 14307,
  [SMALL_STATE(288)] = 14346,
  [SMALL_STATE(289)] = 14385,
  [SMALL_STATE(290)] = 14416,
  [SMALL_STATE(291)] = 14446,
  [SMALL_STATE(292)] = 14476,
  [SMALL_STATE(293)] = 14506,
  [SMALL_STATE(294)] = 14536,
  [SMALL_STATE(295)] = 14576,
  [SMALL_STATE(296)] = 14606,
  [SMALL_STATE(297)] = 14636,
  [SMALL_STATE(298)] = 14666,
  [SMALL_STATE(299)] = 14696,
  [SMALL_STATE(300)] = 14726,
  [SMALL_STATE(301)] = 14756,
  [SMALL_STATE(302)] = 14796,
  [SMALL_STATE(303)] = 14830,
  [SMALL_STATE(304)] = 14864,
  [SMALL_STATE(305)] = 14898,
  [SMALL_STATE(306)] = 14928,
  [SMALL_STATE(307)] = 14958,
  [SMALL_STATE(308)] = 14988,
  [SMALL_STATE(309)] = 15018,
  [SMALL_STATE(310)] = 15048,
  [SMALL_STATE(311)] = 15078,
  [SMALL_STATE(312)] = 15108,
  [SMALL_STATE(313)] = 15138,
  [SMALL_STATE(314)] = 15168,
  [SMALL_STATE(315)] = 15203,
  [SMALL_STATE(316)] = 15236,
  [SMALL_STATE(317)] = 15273,
  [SMALL_STATE(318)] = 15306,
  [SMALL_STATE(319)] = 15335,
  [SMALL_STATE(320)] = 15364,
  [SMALL_STATE(321)] = 15397,
  [SMALL_STATE(322)] = 15432,
  [SMALL_STATE(323)] = 15469,
  [SMALL_STATE(324)] = 15500,
  [SMALL_STATE(325)] = 15534,
  [SMALL_STATE(326)] = 15568,
  [SMALL_STATE(327)] = 15602,
  [SMALL_STATE(328)] = 15636,
  [SMALL_STATE(329)] = 15670,
  [SMALL_STATE(330)] = 15704,
  [SMALL_STATE(331)] = 15738,
  [SMALL_STATE(332)] = 15780,
  [SMALL_STATE(333)] = 15814,
  [SMALL_STATE(334)] = 15845,
  [SMALL_STATE(335)] = 15874,
  [SMALL_STATE(336)] = 15903,
  [SMALL_STATE(337)] = 15934,
  [SMALL_STATE(338)] = 15963,
  [SMALL_STATE(339)] = 15996,
  [SMALL_STATE(340)] = 16027,
  [SMALL_STATE(341)] = 16058,
  [SMALL_STATE(342)] = 16085,
  [SMALL_STATE(343)] = 16112,
  [SMALL_STATE(344)] = 16145,
  [SMALL_STATE(345)] = 16174,
  [SMALL_STATE(346)] = 16203,
  [SMALL_STATE(347)] = 16232,
  [SMALL_STATE(348)] = 16261,
  [SMALL_STATE(349)] = 16290,
  [SMALL_STATE(350)] = 16319,
  [SMALL_STATE(351)] = 16354,
  [SMALL_STATE(352)] = 16382,
  [SMALL_STATE(353)] = 16410,
  [SMALL_STATE(354)] = 16438,
  [SMALL_STATE(355)] = 16466,
  [SMALL_STATE(356)] = 16494,
  [SMALL_STATE(357)] = 16522,
  [SMALL_STATE(358)] = 16550,
  [SMALL_STATE(359)] = 16578,
  [SMALL_STATE(360)] = 16606,
  [SMALL_STATE(361)] = 16634,
  [SMALL_STATE(362)] = 16662,
  [SMALL_STATE(363)] = 16690,
  [SMALL_STATE(364)] = 16718,
  [SMALL_STATE(365)] = 16746,
  [SMALL_STATE(366)] = 16774,
  [SMALL_STATE(367)] = 16804,
  [SMALL_STATE(368)] = 16834,
  [SMALL_STATE(369)] = 16862,
  [SMALL_STATE(370)] = 16890,
  [SMALL_STATE(371)] = 16918,
  [SMALL_STATE(372)] = 16946,
  [SMALL_STATE(373)] = 16974,
  [SMALL_STATE(374)] = 17002,
  [SMALL_STATE(375)] = 17030,
  [SMALL_STATE(376)] = 17058,
  [SMALL_STATE(377)] = 17086,
  [SMALL_STATE(378)] = 17114,
  [SMALL_STATE(379)] = 17142,
  [SMALL_STATE(380)] = 17170,
  [SMALL_STATE(381)] = 17198,
  [SMALL_STATE(382)] = 17226,
  [SMALL_STATE(383)] = 17253,
  [SMALL_STATE(384)] = 17282,
  [SMALL_STATE(385)] = 17311,
  [SMALL_STATE(386)] = 17344,
  [SMALL_STATE(387)] = 17379,
  [SMALL_STATE(388)] = 17408,
  [SMALL_STATE(389)] = 17437,
  [SMALL_STATE(390)] = 17466,
  [SMALL_STATE(391)] = 17511,
  [SMALL_STATE(392)] = 17534,
  [SMALL_STATE(393)] = 17557,
  [SMALL_STATE(394)] = 17580,
  [SMALL_STATE(395)] = 17603,
  [SMALL_STATE(396)] = 17626,
  [SMALL_STATE(397)] = 17649,
  [SMALL_STATE(398)] = 17672,
  [SMALL_STATE(399)] = 17701,
  [SMALL_STATE(400)] = 17746,
  [SMALL_STATE(401)] = 17791,
  [SMALL_STATE(402)] = 17820,
  [SMALL_STATE(403)] = 17850,
  [SMALL_STATE(404)] = 17874,
  [SMALL_STATE(405)] = 17898,
  [SMALL_STATE(406)] = 17928,
  [SMALL_STATE(407)] = 17958,
  [SMALL_STATE(408)] = 17998,
  [SMALL_STATE(409)] = 18024,
  [SMALL_STATE(410)] = 18054,
  [SMALL_STATE(411)] = 18084,
  [SMALL_STATE(412)] = 18110,
  [SMALL_STATE(413)] = 18140,
  [SMALL_STATE(414)] = 18170,
  [SMALL_STATE(415)] = 18200,
  [SMALL_STATE(416)] = 18230,
  [SMALL_STATE(417)] = 18260,
  [SMALL_STATE(418)] = 18290,
  [SMALL_STATE(419)] = 18320,
  [SMALL_STATE(420)] = 18350,
  [SMALL_STATE(421)] = 18380,
  [SMALL_STATE(422)] = 18406,
  [SMALL_STATE(423)] = 18432,
  [SMALL_STATE(424)] = 18462,
  [SMALL_STATE(425)] = 18492,
  [SMALL_STATE(426)] = 18532,
  [SMALL_STATE(427)] = 18559,
  [SMALL_STATE(428)] = 18584,
  [SMALL_STATE(429)] = 18611,
  [SMALL_STATE(430)] = 18638,
  [SMALL_STATE(431)] = 18661,
  [SMALL_STATE(432)] = 18688,
  [SMALL_STATE(433)] = 18715,
  [SMALL_STATE(434)] = 18736,
  [SMALL_STATE(435)] = 18763,
  [SMALL_STATE(436)] = 18790,
  [SMALL_STATE(437)] = 18817,
  [SMALL_STATE(438)] = 18842,
  [SMALL_STATE(439)] = 18869,
  [SMALL_STATE(440)] = 18896,
  [SMALL_STATE(441)] = 18923,
  [SMALL_STATE(442)] = 18950,
  [SMALL_STATE(443)] = 18977,
  [SMALL_STATE(444)] = 19000,
  [SMALL_STATE(445)] = 19021,
  [SMALL_STATE(446)] = 19044,
  [SMALL_STATE(447)] = 19067,
  [SMALL_STATE(448)] = 19090,
  [SMALL_STATE(449)] = 19117,
  [SMALL_STATE(450)] = 19140,
  [SMALL_STATE(451)] = 19163,
  [SMALL_STATE(452)] = 19186,
  [SMALL_STATE(453)] = 19209,
  [SMALL_STATE(454)] = 19232,
  [SMALL_STATE(455)] = 19257,
  [SMALL_STATE(456)] = 19282,
  [SMALL_STATE(457)] = 19307,
  [SMALL_STATE(458)] = 19330,
  [SMALL_STATE(459)] = 19353,
  [SMALL_STATE(460)] = 19392,
  [SMALL_STATE(461)] = 19415,
  [SMALL_STATE(462)] = 19438,
  [SMALL_STATE(463)] = 19462,
  [SMALL_STATE(464)] = 19486,
  [SMALL_STATE(465)] = 19510,
  [SMALL_STATE(466)] = 19534,
  [SMALL_STATE(467)] = 19558,
  [SMALL_STATE(468)] = 19582,
  [SMALL_STATE(469)] = 19618,
  [SMALL_STATE(470)] = 19642,
  [SMALL_STATE(471)] = 19666,
  [SMALL_STATE(472)] = 19690,
  [SMALL_STATE(473)] = 19714,
  [SMALL_STATE(474)] = 19738,
  [SMALL_STATE(475)] = 19762,
  [SMALL_STATE(476)] = 19786,
  [SMALL_STATE(477)] = 19810,
  [SMALL_STATE(478)] = 19834,
  [SMALL_STATE(479)] = 19858,
  [SMALL_STATE(480)] = 19882,
  [SMALL_STATE(481)] = 19906,
  [SMALL_STATE(482)] = 19930,
  [SMALL_STATE(483)] = 19954,
  [SMALL_STATE(484)] = 19978,
  [SMALL_STATE(485)] = 20002,
  [SMALL_STATE(486)] = 20026,
  [SMALL_STATE(487)] = 20050,
  [SMALL_STATE(488)] = 20086,
  [SMALL_STATE(489)] = 20110,
  [SMALL_STATE(490)] = 20134,
  [SMALL_STATE(491)] = 20158,
  [SMALL_STATE(492)] = 20183,
  [SMALL_STATE(493)] = 20210,
  [SMALL_STATE(494)] = 20235,
  [SMALL_STATE(495)] = 20262,
  [SMALL_STATE(496)] = 20287,
  [SMALL_STATE(497)] = 20312,
  [SMALL_STATE(498)] = 20337,
  [SMALL_STATE(499)] = 20361,
  [SMALL_STATE(500)] = 20385,
  [SMALL_STATE(501)] = 20406,
  [SMALL_STATE(502)] = 20429,
  [SMALL_STATE(503)] = 20442,
  [SMALL_STATE(504)] = 20465,
  [SMALL_STATE(505)] = 20478,
  [SMALL_STATE(506)] = 20491,
  [SMALL_STATE(507)] = 20504,
  [SMALL_STATE(508)] = 20517,
  [SMALL_STATE(509)] = 20530,
  [SMALL_STATE(510)] = 20551,
  [SMALL_STATE(511)] = 20564,
  [SMALL_STATE(512)] = 20582,
  [SMALL_STATE(513)] = 20602,
  [SMALL_STATE(514)] = 20622,
  [SMALL_STATE(515)] = 20642,
  [SMALL_STATE(516)] = 20660,
  [SMALL_STATE(517)] = 20680,
  [SMALL_STATE(518)] = 20694,
  [SMALL_STATE(519)] = 20709,
  [SMALL_STATE(520)] = 20724,
  [SMALL_STATE(521)] = 20739,
  [SMALL_STATE(522)] = 20754,
  [SMALL_STATE(523)] = 20771,
  [SMALL_STATE(524)] = 20788,
  [SMALL_STATE(525)] = 20805,
  [SMALL_STATE(526)] = 20820,
  [SMALL_STATE(527)] = 20835,
  [SMALL_STATE(528)] = 20850,
  [SMALL_STATE(529)] = 20865,
  [SMALL_STATE(530)] = 20880,
  [SMALL_STATE(531)] = 20897,
  [SMALL_STATE(532)] = 20912,
  [SMALL_STATE(533)] = 20927,
  [SMALL_STATE(534)] = 20942,
  [SMALL_STATE(535)] = 20957,
  [SMALL_STATE(536)] = 20972,
  [SMALL_STATE(537)] = 20987,
  [SMALL_STATE(538)] = 21002,
  [SMALL_STATE(539)] = 21019,
  [SMALL_STATE(540)] = 21034,
  [SMALL_STATE(541)] = 21051,
  [SMALL_STATE(542)] = 21066,
  [SMALL_STATE(543)] = 21081,
  [SMALL_STATE(544)] = 21096,
  [SMALL_STATE(545)] = 21111,
  [SMALL_STATE(546)] = 21128,
  [SMALL_STATE(547)] = 21143,
  [SMALL_STATE(548)] = 21158,
  [SMALL_STATE(549)] = 21173,
  [SMALL_STATE(550)] = 21188,
  [SMALL_STATE(551)] = 21203,
  [SMALL_STATE(552)] = 21220,
  [SMALL_STATE(553)] = 21235,
  [SMALL_STATE(554)] = 21250,
  [SMALL_STATE(555)] = 21267,
  [SMALL_STATE(556)] = 21284,
  [SMALL_STATE(557)] = 21299,
  [SMALL_STATE(558)] = 21314,
  [SMALL_STATE(559)] = 21325,
  [SMALL_STATE(560)] = 21340,
  [SMALL_STATE(561)] = 21357,
  [SMALL_STATE(562)] = 21372,
  [SMALL_STATE(563)] = 21387,
  [SMALL_STATE(564)] = 21402,
  [SMALL_STATE(565)] = 21417,
  [SMALL_STATE(566)] = 21434,
  [SMALL_STATE(567)] = 21449,
  [SMALL_STATE(568)] = 21466,
  [SMALL_STATE(569)] = 21477,
  [SMALL_STATE(570)] = 21490,
  [SMALL_STATE(571)] = 21501,
  [SMALL_STATE(572)] = 21518,
  [SMALL_STATE(573)] = 21535,
  [SMALL_STATE(574)] = 21550,
  [SMALL_STATE(575)] = 21565,
  [SMALL_STATE(576)] = 21582,
  [SMALL_STATE(577)] = 21599,
  [SMALL_STATE(578)] = 21614,
  [SMALL_STATE(579)] = 21631,
  [SMALL_STATE(580)] = 21642,
  [SMALL_STATE(581)] = 21659,
  [SMALL_STATE(582)] = 21676,
  [SMALL_STATE(583)] = 21690,
  [SMALL_STATE(584)] = 21704,
  [SMALL_STATE(585)] = 21718,
  [SMALL_STATE(586)] = 21732,
  [SMALL_STATE(587)] = 21746,
  [SMALL_STATE(588)] = 21760,
  [SMALL_STATE(589)] = 21774,
  [SMALL_STATE(590)] = 21788,
  [SMALL_STATE(591)] = 21802,
  [SMALL_STATE(592)] = 21816,
  [SMALL_STATE(593)] = 21830,
  [SMALL_STATE(594)] = 21844,
  [SMALL_STATE(595)] = 21858,
  [SMALL_STATE(596)] = 21872,
  [SMALL_STATE(597)] = 21886,
  [SMALL_STATE(598)] = 21900,
  [SMALL_STATE(599)] = 21912,
  [SMALL_STATE(600)] = 21926,
  [SMALL_STATE(601)] = 21940,
  [SMALL_STATE(602)] = 21954,
  [SMALL_STATE(603)] = 21968,
  [SMALL_STATE(604)] = 21982,
  [SMALL_STATE(605)] = 21996,
  [SMALL_STATE(606)] = 22010,
  [SMALL_STATE(607)] = 22024,
  [SMALL_STATE(608)] = 22036,
  [SMALL_STATE(609)] = 22050,
  [SMALL_STATE(610)] = 22059,
  [SMALL_STATE(611)] = 22070,
  [SMALL_STATE(612)] = 22081,
  [SMALL_STATE(613)] = 22092,
  [SMALL_STATE(614)] = 22103,
  [SMALL_STATE(615)] = 22112,
  [SMALL_STATE(616)] = 22123,
  [SMALL_STATE(617)] = 22134,
  [SMALL_STATE(618)] = 22145,
  [SMALL_STATE(619)] = 22156,
  [SMALL_STATE(620)] = 22167,
  [SMALL_STATE(621)] = 22178,
  [SMALL_STATE(622)] = 22189,
  [SMALL_STATE(623)] = 22200,
  [SMALL_STATE(624)] = 22211,
  [SMALL_STATE(625)] = 22222,
  [SMALL_STATE(626)] = 22231,
  [SMALL_STATE(627)] = 22240,
  [SMALL_STATE(628)] = 22251,
  [SMALL_STATE(629)] = 22262,
  [SMALL_STATE(630)] = 22273,
  [SMALL_STATE(631)] = 22281,
  [SMALL_STATE(632)] = 22289,
  [SMALL_STATE(633)] = 22297,
  [SMALL_STATE(634)] = 22305,
  [SMALL_STATE(635)] = 22313,
  [SMALL_STATE(636)] = 22321,
  [SMALL_STATE(637)] = 22329,
  [SMALL_STATE(638)] = 22337,
  [SMALL_STATE(639)] = 22345,
  [SMALL_STATE(640)] = 22353,
  [SMALL_STATE(641)] = 22361,
  [SMALL_STATE(642)] = 22369,
  [SMALL_STATE(643)] = 22377,
  [SMALL_STATE(644)] = 22385,
  [SMALL_STATE(645)] = 22393,
  [SMALL_STATE(646)] = 22401,
  [SMALL_STATE(647)] = 22409,
  [SMALL_STATE(648)] = 22417,
  [SMALL_STATE(649)] = 22425,
  [SMALL_STATE(650)] = 22433,
  [SMALL_STATE(651)] = 22441,
  [SMALL_STATE(652)] = 22449,
  [SMALL_STATE(653)] = 22457,
  [SMALL_STATE(654)] = 22465,
  [SMALL_STATE(655)] = 22473,
  [SMALL_STATE(656)] = 22481,
  [SMALL_STATE(657)] = 22489,
  [SMALL_STATE(658)] = 22497,
  [SMALL_STATE(659)] = 22505,
  [SMALL_STATE(660)] = 22513,
  [SMALL_STATE(661)] = 22521,
  [SMALL_STATE(662)] = 22529,
  [SMALL_STATE(663)] = 22537,
  [SMALL_STATE(664)] = 22545,
  [SMALL_STATE(665)] = 22553,
  [SMALL_STATE(666)] = 22561,
  [SMALL_STATE(667)] = 22569,
  [SMALL_STATE(668)] = 22577,
  [SMALL_STATE(669)] = 22585,
  [SMALL_STATE(670)] = 22593,
  [SMALL_STATE(671)] = 22601,
  [SMALL_STATE(672)] = 22609,
  [SMALL_STATE(673)] = 22617,
  [SMALL_STATE(674)] = 22625,
  [SMALL_STATE(675)] = 22633,
  [SMALL_STATE(676)] = 22641,
  [SMALL_STATE(677)] = 22649,
  [SMALL_STATE(678)] = 22657,
  [SMALL_STATE(679)] = 22665,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stylesheet, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [79] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0),
  [81] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(412),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(503),
  [93] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(671),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(402),
  [99] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(350),
  [102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(311),
  [105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(571),
  [108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(660),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(663),
  [114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(170),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(577),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(383),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(27),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(226),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(653),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(662),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(227),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(18),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(228),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(229),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(231),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(232),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(233),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(649),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(633),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(234),
  [174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(642),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(654),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stylesheet_repeat1, 2, 0, 0), SHIFT_REPEAT(576),
  [186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stylesheet, 1, 0, 0),
  [188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(247),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(418),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(501),
  [264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(632),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(419),
  [272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(350),
  [275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(311),
  [278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(571),
  [281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(660),
  [284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(663),
  [287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(170),
  [290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(577),
  [293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(387),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(634),
  [305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(635),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(636),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(249),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(19),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(251),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(252),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(674),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(678),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(254),
  [341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(642),
  [347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(669),
  [350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(576),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 11),
  [411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 11),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 11),
  [417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 11),
  [419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(679),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_declaration, 3, 0, 16),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 4, 0, 24),
  [458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 4, 0, 24),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4, 0, 0),
  [484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4, 0, 0),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(656),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_statement, 4, 0, 0),
  [501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_statement, 4, 0, 0),
  [503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_statement, 4, 0, 15),
  [505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_statement, 4, 0, 15),
  [507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyframe_block_list, 2, 0, 0),
  [509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyframe_block_list, 2, 0, 0),
  [511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 16),
  [513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 16),
  [515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_media_statement, 3, 0, 0),
  [517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_media_statement, 3, 0, 0),
  [519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_at_rule, 4, 0, 0),
  [521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_at_rule, 4, 0, 0),
  [523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_statement, 4, 0, 10),
  [525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_statement, 4, 0, 10),
  [527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_charset_statement, 3, 0, 0),
  [529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_charset_statement, 3, 0, 0),
  [531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 10),
  [533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 4, 0, 10),
  [535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_statement, 3, 0, 0),
  [537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_statement, 3, 0, 0),
  [539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyframes_statement, 3, 0, 8),
  [541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyframes_statement, 3, 0, 8),
  [543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 0),
  [545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 0),
  [547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyframe_block_list, 3, 0, 0),
  [549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyframe_block_list, 3, 0, 0),
  [551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 16),
  [553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 16),
  [555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_supports_statement, 3, 0, 0),
  [557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_supports_statement, 3, 0, 0),
  [559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 11),
  [565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 11),
  [567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule_set, 2, 0, 0),
  [569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rule_set, 2, 0, 0),
  [571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_each_statement, 5, 0, 20),
  [573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_each_statement, 5, 0, 20),
  [575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 6, 0, 16),
  [577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 6, 0, 16),
  [579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_at_rule, 2, 0, 0),
  [581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_at_rule, 2, 0, 0),
  [583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_media_statement, 4, 0, 0),
  [585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_media_statement, 4, 0, 0),
  [587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 26),
  [589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 26),
  [591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_at_rule, 3, 0, 0),
  [593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_at_rule, 3, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postcss_statement, 3, 0, 0),
  [597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postcss_statement, 3, 0, 0),
  [599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 0),
  [601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 3, 0, 0),
  [603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forward_statement, 3, 0, 0),
  [605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_forward_statement, 3, 0, 0),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_statement, 3, 0, 10),
  [609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_statement, 3, 0, 10),
  [611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_statement, 3, 0, 0),
  [613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_statement, 3, 0, 0),
  [615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 3, 0, 10),
  [617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 3, 0, 10),
  [619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extend_statement, 3, 0, 0),
  [625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extend_statement, 3, 0, 0),
  [627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_statement, 3, 0, 0),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_statement, 3, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_warn_statement, 3, 0, 0),
  [633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_warn_statement, 3, 0, 0),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debug_statement, 3, 0, 0),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debug_statement, 3, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_at_root_statement, 3, 0, 0),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_at_root_statement, 3, 0, 0),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 0),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 0),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 0),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_each_statement, 7, 0, 25),
  [657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_each_statement, 7, 0, 25),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__selector, 1, 0, 1),
  [661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value, 1, 0, 3),
  [663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__selector, 1, 0, 1),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value, 1, 0, 3),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__selector, 1, 0, 0),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value, 1, 0, 0),
  [697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__selector, 1, 0, 0),
  [699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value, 1, 0, 0),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__concatenated_identifier, 2, 0, 0),
  [705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__concatenated_identifier, 2, 0, 0),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__concatenated_identifier, 1, 0, 0),
  [709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__concatenated_identifier, 1, 0, 0),
  [711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__concatenated_identifier_repeat1, 2, 0, 0),
  [713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__concatenated_identifier_repeat1, 2, 0, 0),
  [715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__concatenated_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(538),
  [718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 0),
  [720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 0),
  [722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__query, 1, 0, 4),
  [724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__query, 1, 0, 4),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_value, 3, 0, 0),
  [730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_value, 3, 0, 0),
  [732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_value, 2, 0, 0),
  [734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_value, 2, 0, 0),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__query, 1, 0, 0),
  [746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__query, 1, 0, 0),
  [748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_declaration, 4, 0, 16),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0),
  [758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(203),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(652),
  [764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(265),
  [767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(526),
  [770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(527),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(165),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(266),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(271),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_postcss_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(203),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__concatenated_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(530),
  [805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(212),
  [808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0),
  [810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(199),
  [813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(652),
  [816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(265),
  [819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(526),
  [822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(527),
  [825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(165),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(266),
  [834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(271),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(199),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pseudo_class_arguments_repeat1, 2, 0, 0),
  [868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer_value, 1, 0, 0),
  [870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer_value, 1, 0, 0),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float_value, 1, 0, 0),
  [876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float_value, 1, 0, 0),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_value, 4, 0, 0),
  [888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_value, 4, 0, 0),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grid_value, 4, 0, 0),
  [894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grid_value, 4, 0, 0),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__concatenated_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(581),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_value, 3, 0, 0),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_value, 3, 0, 0),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grid_value, 3, 0, 0),
  [917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grid_value, 3, 0, 0),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_color_value, 2, 0, 0),
  [923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_color_value, 2, 0, 0),
  [925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer_value, 2, 0, 0),
  [935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer_value, 2, 0, 0),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float_value, 2, 0, 0),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float_value, 2, 0, 0),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 7),
  [945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 7),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 0),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 0),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0),
  [955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 1, 0, 0),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 0),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_postcss_statement_repeat1, 1, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_postcss_statement_repeat1, 1, 0, 0),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_declaration, 5, 0, 16),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_class_selector, 2, 0, 2),
  [1271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_class_selector, 2, 0, 2),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_element_selector, 2, 0, 5),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_element_selector, 2, 0, 5),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_class_selector, 3, 0, 12),
  [1283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_class_selector, 3, 0, 12),
  [1285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_element_selector, 3, 0, 13),
  [1287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_element_selector, 3, 0, 13),
  [1289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_selector, 2, 0, 2),
  [1291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_selector, 2, 0, 2),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_selector, 3, 0, 12),
  [1299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_selector, 3, 0, 12),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_id_selector, 2, 0, 6),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_id_selector, 2, 0, 6),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_class_arguments, 4, 0, 0),
  [1307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_class_arguments, 4, 0, 0),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_element_arguments, 4, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_element_arguments, 4, 0, 0),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_selector, 6, 0, 18),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_selector, 6, 0, 18),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder, 2, 0, 0),
  [1321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder, 2, 0, 0),
  [1323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_element_arguments, 2, 0, 0),
  [1325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_element_arguments, 2, 0, 0),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_class_selector, 3, 0, 2),
  [1329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_class_selector, 3, 0, 2),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_element_selector, 3, 0, 5),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_element_selector, 3, 0, 5),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_selector, 3, 0, 9),
  [1337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_selector, 3, 0, 9),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__concatenated_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_class_selector, 4, 0, 12),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_class_selector, 4, 0, 12),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_element_selector, 4, 0, 13),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_element_selector, 4, 0, 13),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_id_selector, 3, 0, 14),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_id_selector, 3, 0, 14),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_class_arguments, 2, 0, 0),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_class_arguments, 2, 0, 0),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_selector, 4, 0, 18),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_selector, 4, 0, 18),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_class_arguments, 3, 0, 0),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_class_arguments, 3, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_universal_selector, 1, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_universal_selector, 1, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pseudo_element_arguments, 3, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pseudo_element_arguments, 3, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_selector, 5, 0, 9),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_selector, 5, 0, 9),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__concatenated_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(567),
  [1393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__concatenated_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_descendant_selector, 3, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_descendant_selector, 3, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_child_selector, 3, 0, 0),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_child_selector, 3, 0, 0),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sibling_selector, 3, 0, 0),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sibling_selector, 3, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adjacent_sibling_selector, 3, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_adjacent_sibling_selector, 3, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_selector, 3, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_selector, 3, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__concatenated_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(551),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selectors, 1, 0, 0),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_selectors_repeat1, 2, 0, 0),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_grid_value_repeat1, 2, 0, 0),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__include_argument, 1, 0, 17),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__include_argument, 3, 0, 23),
  [1519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 22),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_keyframe_block_list_repeat1, 2, 0, 0),
  [1593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_keyframe_block_list_repeat1, 2, 0, 0), SHIFT_REPEAT(640),
  [1596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_keyframe_block_list_repeat1, 2, 0, 0), SHIFT_REPEAT(613),
  [1599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_keyframe_block_list_repeat1, 2, 0, 0), SHIFT_REPEAT(629),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_query, 3, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_feature_query, 5, 0, 21),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_query, 3, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_query, 4, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_query, 2, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_statement_repeat1, 2, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(424),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_value_repeat1, 2, 0, 0),
  [1727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_value_repeat1, 2, 0, 0), SHIFT_REPEAT(553),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_value_repeat2, 2, 0, 0),
  [1738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_value_repeat2, 2, 0, 0), SHIFT_REPEAT(557),
  [1741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_grid_value_repeat1, 2, 0, 0), SHIFT_REPEAT(259),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyframe_block, 2, 0, 0),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selectors, 2, 0, 0),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_selectors_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__include_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__include_arguments_repeat1, 2, 0, 0),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(628),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pseudo_class_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(17),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__include_arguments, 4, 0, 19),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__include_arguments, 3, 0, 19),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__include_arguments_repeat1, 2, 0, 19),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 1, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1937] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__descendant_operator = 0,
  ts_external_token__pseudo_class_selector_colon = 1,
  ts_external_token___error_recovery = 2,
  ts_external_token__concat = 3,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__descendant_operator] = sym__descendant_operator,
  [ts_external_token__pseudo_class_selector_colon] = sym__pseudo_class_selector_colon,
  [ts_external_token___error_recovery] = sym___error_recovery,
  [ts_external_token__concat] = sym__concat,
};

static const bool ts_external_scanner_states[6][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__descendant_operator] = true,
    [ts_external_token__pseudo_class_selector_colon] = true,
    [ts_external_token___error_recovery] = true,
    [ts_external_token__concat] = true,
  },
  [2] = {
    [ts_external_token__pseudo_class_selector_colon] = true,
  },
  [3] = {
    [ts_external_token__descendant_operator] = true,
    [ts_external_token__pseudo_class_selector_colon] = true,
    [ts_external_token__concat] = true,
  },
  [4] = {
    [ts_external_token__descendant_operator] = true,
    [ts_external_token__pseudo_class_selector_colon] = true,
  },
  [5] = {
    [ts_external_token__concat] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_scss_external_scanner_create(void);
void tree_sitter_scss_external_scanner_destroy(void *);
bool tree_sitter_scss_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_scss_external_scanner_serialize(void *, char *);
void tree_sitter_scss_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_scss(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_scss_external_scanner_create,
      tree_sitter_scss_external_scanner_destroy,
      tree_sitter_scss_external_scanner_scan,
      tree_sitter_scss_external_scanner_serialize,
      tree_sitter_scss_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
